/*

 Name      :  Intro
 Notes     :  Splash screen image on startup
 
 image converter used:
 http://gameduino.com/tools/bg/ 
 
 */

#define LOGO_TRSI_FRAMES 1
static void draw_logo_trsi(int x, int y, byte anim, byte rot, byte jk = 0) {
  switch (anim) {
  case 0:
    GD.xsprite(x, y, -80, -48, 0, 4, rot, jk);
    GD.xsprite(x, y, -64, -48, 0, 6, rot, jk);
    GD.xsprite(x, y, -48, -48, 1, 4, rot, jk);
    GD.xsprite(x, y, -32, -48, 1, 6, rot, jk);
    GD.xsprite(x, y, -16, -48, 2, 4, rot, jk);
    GD.xsprite(x, y, 0, -48, 2, 6, rot, jk);
    GD.xsprite(x, y, 16, -48, 3, 4, rot, jk);
    GD.xsprite(x, y, 32, -48, 3, 6, rot, jk);
    GD.xsprite(x, y, 48, -48, 4, 4, rot, jk);
    GD.xsprite(x, y, 64, -48, 4, 6, rot, jk);
    GD.xsprite(x, y, -80, -32, 5, 4, rot, jk);
    GD.xsprite(x, y, -64, -32, 5, 6, rot, jk);
    GD.xsprite(x, y, -48, -32, 6, 4, rot, jk);
    GD.xsprite(x, y, -32, -32, 6, 6, rot, jk);
    GD.xsprite(x, y, -16, -32, 7, 4, rot, jk);
    GD.xsprite(x, y, 0, -32, 7, 6, rot, jk);
    GD.xsprite(x, y, 16, -32, 8, 4, rot, jk);
    GD.xsprite(x, y, 32, -32, 8, 6, rot, jk);
    GD.xsprite(x, y, 48, -32, 9, 4, rot, jk);
    GD.xsprite(x, y, 64, -32, 9, 6, rot, jk);
    GD.xsprite(x, y, -80, -16, 10, 4, rot, jk);
    GD.xsprite(x, y, -64, -16, 10, 6, rot, jk);
    GD.xsprite(x, y, -48, -16, 11, 4, rot, jk);
    GD.xsprite(x, y, -32, -16, 11, 6, rot, jk);
    GD.xsprite(x, y, -16, -16, 12, 4, rot, jk);
    GD.xsprite(x, y, 0, -16, 12, 6, rot, jk);
    GD.xsprite(x, y, 16, -16, 13, 4, rot, jk);
    GD.xsprite(x, y, 32, -16, 13, 6, rot, jk);
    GD.xsprite(x, y, 48, -16, 14, 4, rot, jk);
    GD.xsprite(x, y, 64, -16, 14, 6, rot, jk);
    GD.xsprite(x, y, -96, 0, 15, 4, rot, jk);
    GD.xsprite(x, y, -80, 0, 15, 6, rot, jk);
    GD.xsprite(x, y, -64, 0, 16, 4, rot, jk);
    GD.xsprite(x, y, -48, 0, 16, 6, rot, jk);
    GD.xsprite(x, y, -32, 0, 17, 4, rot, jk);
    GD.xsprite(x, y, -16, 0, 17, 6, rot, jk);
    GD.xsprite(x, y, 0, 0, 18, 4, rot, jk);
    GD.xsprite(x, y, 16, 0, 18, 6, rot, jk);
    GD.xsprite(x, y, 32, 0, 19, 4, rot, jk);
    GD.xsprite(x, y, 48, 0, 19, 6, rot, jk);
    GD.xsprite(x, y, -96, 16, 20, 4, rot, jk);
    GD.xsprite(x, y, -80, 16, 20, 6, rot, jk);
    GD.xsprite(x, y, -64, 16, 21, 4, rot, jk);
    GD.xsprite(x, y, -48, 16, 21, 6, rot, jk);
    GD.xsprite(x, y, -32, 16, 22, 4, rot, jk);
    GD.xsprite(x, y, -16, 16, 22, 6, rot, jk);
    GD.xsprite(x, y, 0, 16, 23, 4, rot, jk);
    GD.xsprite(x, y, 16, 16, 23, 6, rot, jk);
    GD.xsprite(x, y, 32, 16, 24, 4, rot, jk);
    GD.xsprite(x, y, 48, 16, 24, 6, rot, jk);
    GD.xsprite(x, y, -16, 32, 25, 4, rot, jk);
    GD.xsprite(x, y, 0, 32, 25, 6, rot, jk);
    GD.xsprite(x, y, 16, 32, 26, 4, rot, jk);
    GD.xsprite(x, y, 32, 32, 26, 6, rot, jk);
    GD.xsprite(x, y, -16, 48, 27, 4, rot, jk);
    GD.xsprite(x, y, 0, 48, 27, 6, rot, jk);
    GD.xsprite(x, y, 16, 48, 28, 4, rot, jk);
    break;
  }
}

static PROGMEM prog_uchar logo_trsi_sprimg[] = {

  0xc9,  0x41,  0x6f,  0xf8,  0x0f,  0xe0,  0x41,  0x3e,  0xa4,  0x87,  0xfd,  0x48,  0x1e,  0xed,  0x63,  0x7b, 
  0xfc,  0x4f,  0xe2,  0x29,  0x3e,  0xad,  0x67,  0x7c,  0xff,  0xf6,  0xed,  0x67,  0xff,  0x60,  0x1d,  0xfc, 
  0x83,  0x49,  0xf0,  0x0f,  0x76,  0xd1,  0x37,  0xd8,  0x87,  0xaf,  0xb0,  0x1e,  0x23,  0xf4,  0x07,  0xc8, 
  0x28,  0x1f,  0x9c,  0x83,  0x5f,  0x98,  0x0a,  0x06,  0xfa,  0xf5,  0xaa,  0x8d,  0xe2,  0x61,  0x53,  0x3d, 
  0x5f,  0xb4,  0x68,  0x23,  0x6b,  0x80,  0x54,  0x8f,  0x1e,  0x2d,  0xd8,  0x00,  0xd1,  0xff,  0x87,  0xf8, 
  0x88,  0x1f,  0xeb,  0x13,  0x7f,  0x9a,  0xcf,  0xfa,  0xb2,  0x64,  0x37,  0x80,  0x07,  0xf9,  0x90,  0x1e, 
  0xf6,  0x23,  0xb9,  0xde,  0x00,  0xa9,  0x3b,  0xc0,  0xeb,  0x0e,  0x8e,  0x01,  0x20,  0x30,  0x06,  0xa5, 
  0x80,  0xa9,  0x5b,  0xad,  0xea,  0x00,  0x11,  0x80,  0x95,  0xab,  0x0a,  0xd0,  0x68,  0xc9,  0xa2,  0x26, 
  0x4b,  0x9a,  0x34,  0x29,  0xa6,  0x04,  0x18,  0x10,  0x60,  0x14,  0x00,  0x18,  0x48,  0x42,  0x1d,  0x00, 
  0x50,  0x10,  0x27,  0x10,  0x00,  0x18,  0x05,  0x07,  0x06,  0xc1,  0x51,  0x11,  0x6a,  0xd2,  0x48,  0x09, 
  0x20,  0x20,  0x14,  0x9c,  0x15,  0x06,  0x07,  0x09,  0x92,  0x90,  0x22,  0x08,  0x0e,  0x21,  0x28,  0x24, 
  0x32,  0x08,  0x00,  0x12,  0x18,  0x00,  0x88,  0x1a,  0xc1,  0x98,  0x10,  0xa1,  0xf8,  0x18,  0x1c,  0x24, 
  0x21,  0x08,  0xb7,  0xe1,  0x4b,  0x11,  0xa3,  0xf8,  0xf1,  0xff,  0x83,  0x78,  0x88,  0x0f,  0xeb,  0x11, 
  0x3f,  0x9a,  0xc7,  0x7a,  0xff,  0x7e,  0x03,  0x78,  0x90,  0x0e,  0xde,  0x3e,  0xbc,  0xfb,  0x09,  0xed, 
  0x76,  0x23,  0xa0,  0x47,  0xcf,  0x5e,  0x23,  0xbb,  0x5d,  0xdb,  0x7e,  0x7d,  0x7b,  0x0e,  0x01,  0x3e, 
  0xfc,  0x44,  0x54,  0xdb,  0x21,  0xc0,  0xb7,  0x57,  0x8f,  0x5e,  0x63,  0x42,  0x00,  0xf4,  0x15,  0x0a, 

  0x69,  0xf1,  0x12,  0x25,  0xca,  0xb0,  0x45,  0xaf,  0xc1,  0xc1,  0xab,  0x57,  0xcf,  0x91,  0x23,  0x4e, 
  0xc0,  0x84,  0x05,  0x0b,  0x36,  0x64,  0xcc,  0x1c,  0x6d,  0x84,  0xd0,  0xe0,  0x01,  0x2d,  0x44,  0x40, 
  0x87,  0x0c,  0x11,  0x06,  0x77,  0xa3,  0xe1,  0xdb,  0x23,  0x34,  0x9c,  0xc1,  0x0b,  0x2a,  0x74,  0xa8, 
  0x5c,  0xc3,  0x55,  0x96,  0x80,  0x02,  0x25,  0x46,  0xc0,  0x80,  0x0e,  0x1b,  0x0a,  0x34,  0xa8,  0xc2, 
  0xe3,  0x93,  0x40,  0x68,  0xd8,  0x60,  0xe1,  0x82,  0x0e,  0x03,  0x06,  0x2e,  0x68,  0xd0,  0x20,  0x1b, 
  0x0e,  0x9f,  0x94,  0x71,  0xa5,  0x40,  0xc8,  0xd1,  0x03,  0x6a,  0x42,  0x80,  0x4c,  0x31,  0x39,  0x18, 
  0x84,  0xd8,  0xff,  0x87,  0xf8,  0x88,  0x1f,  0xeb,  0x13,  0x7f,  0x9a,  0xcf,  0xfa,  0xf9,  0xbe,  0xf8, 
  0x57,  0xf8,  0x9a,  0xdf,  0xe8,  0x5b,  0x7f,  0x97,  0xef,  0xfb,  0xc3,  0x2e,  0x9e,  0x7f,  0x80,  0x14, 
  0x23,  0x42,  0x78,  0x80,  0x30,  0xc1,  0x3d,  0x60,  0x0a,  0x87,  0x0f,  0x1f,  0x0e,  0x74,  0x8c,  0x18, 
  0x21,  0x52,  0xe4,  0x18,  0x08,  0x02,  0x86,  0x40,  0x8e,  0x14,  0xe1,  0x42,  0x87,  0x08,  0x31,  0x38, 
  0x04,  0xc3,  0xc0,  0x40,  0x51,  0x20,  0xc5,  0x00,  0x10,  0x1c,  0x83,  0x24,  0xc5,  0x90,  0x10,  0x36, 
  0x0c,  0x1a,  0x14,  0x28,  0xb0,  0x05,  0x04,  0xe0,  0xa8,  0x11,  0x0d,  0x82,  0x65,  0xe8,  0x8a,  0xce, 
  0x10,  0xe3,  0x63,  0xfc,  0x08,  0x58,  0xe1,  0x3a,  0x41,  0x87,  0xa4,  0x34,  0xf1,  0xff,  0x83,  0x78, 
  0x88,  0x0f,  0xeb,  0x11,  0x3f,  0x9a,  0xc7,  0xfa,  0xf8,  0x9e,  0xf8,  0x53,  0x78,  0x9a,  0xcf,  0xe8, 
  0x59,  0x3f,  0x97,  0xe7,  0xfb,  0xc2,  0x2e,  0x22,  0x80,  0x9a,  0xf0,  0x11,  0x40,  0x28,  0x53,  0x0d, 
  0xc0,  0x42,  0xbf,  0x43,  0x00,  0xa1,  0x11,  0xbc,  0xb8,  0x0a,  0x15,  0xfa,  0x2f,  0x42,  0x60,  0xc0, 

  0xa4,  0x1e,  0xac,  0x84,  0x0b,  0xb5,  0x1a,  0x5e,  0xbd,  0x52,  0xa5,  0xcc,  0x5d,  0x70,  0xb8,  0x30, 
  0x6a,  0x39,  0xf8,  0x71,  0x0e,  0x06,  0xc1,  0x31,  0xde,  0xc5,  0x02,  0xa1,  0xe1,  0x22,  0x7c,  0x46, 
  0xc7,  0xf8,  0xe5,  0xc1,  0xab,  0x77,  0xfb,  0x01,  0x50,  0x7f,  0x80,  0xd0,  0xaf,  0x9e,  0x3f,  0x78, 
  0xb4,  0x60,  0xd1,  0x06,  0x80,  0x60,  0xa2,  0x1e,  0x3d,  0x7a,  0xf0,  0xe8,  0x83,  0x43,  0x80,  0x0c, 
  0x97,  0xe2,  0xc9,  0x07,  0x8b,  0x00,  0x15,  0x2e,  0xc3,  0x67,  0x58,  0x08,  0x13,  0xe0,  0x03,  0x30, 
  0xd8,  0x00,  0x14,  0x3d,  0xf0,  0x93,  0xc7,  0xcf,  0x9e,  0x7c,  0xc0,  0x08,  0x08,  0x74,  0xc9,  0xb2, 
  0x25,  0x4b,  0x36,  0x78,  0xf0,  0x47,  0x1f,  0x3d,  0x02,  0x34,  0xda,  0x60,  0x41,  0x96,  0x74,  0x72, 
  0x50,  0x1f,  0x2e,  0x03,  0x64,  0xa0,  0x08,  0x5f,  0x6c,  0xb3,  0x62,  0x70,  0x08,  0x1b,  0x21,  0x29, 
  0x3a,  0x85,  0xcf,  0x6c,  0x11,  0x36,  0x03,  0x74,  0xf8,  0x08,  0x00,  0x45,  0x29,  0x1a,  0x85,  0xa0, 
  0xe8,  0x18,  0x3d,  0x62,  0x50,  0xf8,  0x0d,  0x8f,  0xe1,  0x2b,  0x86,  0x05,  0x80,  0xf0,  0x9b,  0x21, 
  0x02,  0xa8,  0x5c,  0xb6,  0x72,  0x9b,  0x93,  0xfe,  0xe0,  0x11,  0xae,  0x42,  0x65,  0xfc,  0x6a,  0x9f, 
  0x11,  0x44,  0x7e,  0xf0,  0x0c,  0xdf,  0x25,  0x31,  0xc6,  0xa6,  0x08,  0x04,  0x84,  0x08,  0x04,  0x08, 
  0x46,  0x84,  0x02,  0x24,  0x23,  0x49,  0x8c,  0xa4,  0x48,  0x92,  0x42,  0x28,  0x04,  0x84,  0x84,  0xe0, 
  0x1c,  0x42,  0x82,  0x46,  0x30,  0x0a,  0xce,  0x52,  0x22,  0x84,  0x24,  0x25,  0x04,  0x10,  0x10,  0x20, 
  0xc0,  0x20,  0x40,  0x30,  0x50,  0x10,  0x20,  0x02,  0xa0,  0xa2,  0x18,  0xa0,  0x4c,  0x5a,  0x80,  0x0c, 
  0x80,  0xda,  0x94,  0xe9,  0xd4,  0xa6,  0x53,  0xa5,  0x4e,  0x69,  0x21,  0x20,  0x24,  0x85,  0x40,  0x9d, 

  0x01,  0x4a,  0x97,  0xb4,  0x00,  0x10,  0xcc,  0xc3,  0x45,  0x00,  0x08,  0x1f,  0x21,  0x30,  0x06,  0x46, 
  0x07,  0x95,  0xa1,  0x48,  0x27,  0x31,  0x66,  0x01,  0x90,  0x65,  0x20,  0x60,  0x22,  0x25,  0x40,  0x19, 
  0xd1,  0x42,  0x2c,  0x04,  0x04,  0x28,  0x46,  0x4c,  0x02,  0x40,  0xc0,  0xd4,  0x62,  0x24,  0x38,  0xb2, 
  0x8c,  0x18,  0x84,  0x82,  0x63,  0x84,  0x52,  0x62,  0x25,  0x7c,  0x44,  0xc8,  0xe0,  0x10,  0x20,  0xc2, 
  0xa5,  0x94,  0xe0,  0x11,  0x3d,  0xc2,  0x65,  0x50,  0x20,  0x12,  0xae,  0x83,  0xa7,  0xb5,  0x70,  0x1f, 
  0x9c,  0xc2,  0x47,  0xfc,  0x24,  0x10,  0x15,  0xe3,  0x67,  0x34,  0x8c,  0x80,  0xd6,  0x82,  0x43,  0x8b, 
  0x08,  0x9f,  0x84,  0xba,  0x62,  0x04,  0x32,  0x02,  0x0b,  0x57,  0x80,  0x80,  0x8a,  0x19,  0x3a,  0x0e, 
  0xc8,  0x98,  0x03,  0x84,  0x45,  0xcf,  0x9c,  0x21,  0xe3,  0x84,  0x15,  0x20,  0x20,  0x43,  0xc5,  0x03, 
  0x03,  0x7a,  0x08,  0x34,  0xec,  0x11,  0x33,  0x44,  0x9c,  0x38,  0xa1,  0xe1,  0x80,  0x88,  0x15,  0x0e, 
  0x0e,  0xe8,  0x58,  0x03,  0x85,  0x60,  0xcb,  0x10,  0x21,  0x47,  0xe7,  0xf0,  0x11,  0x1c,  0xc3,  0x86, 
  0x60,  0x03,  0x10,  0x21,  0xe2,  0xc6,  0x8b,  0x0b,  0x2b,  0x64,  0x1c,  0x01,  0x20,  0x41,  0xe0,  0xc1, 
  0x2b,  0xd6,  0x2e,  0x1e,  0xac,  0xb0,  0x61,  0xc3,  0x82,  0x08,  0x03,  0x0e,  0x9e,  0x00,  0x89,  0x17, 
  0x8e,  0x59,  0xfb,  0xf4,  0x61,  0xc0,  0x86,  0x0b,  0x0b,  0x3a,  0x74,  0xb8,  0x21,  0x20,  0x5c,  0x04, 
  0x08,  0xb3,  0x76,  0x83,  0x07,  0xee,  0x1c,  0x80,  0x03,  0x7b,  0x70,  0x0c,  0x9f,  0x78,  0xec,  0x9a, 
  0x15,  0x0b,  0x15,  0x36,  0x0e,  0x5c,  0xb8,  0x71,  0x84,  0x8d,  0xf0,  0xc5,  0xd7,  0xae,  0x5d,  0xa3, 
  0x98,  0xf1,  0xe2,  0xc6,  0x1d,  0x26,  0x03,  0x10,  0x5c,  0x31,  0x7e,  0x0c,  0x1b,  0xe6,  0x1c,  0x1c, 

  0x02,  0x44,  0xc8,  0x08,  0x5f,  0x74,  0x4c,  0x78,  0xb6,  0x1c,  0x02,  0xc2,  0x05,  0xee,  0x18,  0x10, 
  0x9e,  0x60,  0x18,  0x35,  0xec,  0xd9,  0xa0,  0x61,  0xc1,  0xe1,  0x99,  0x2e,  0x1e,  0x3a,  0xc1,  0xd1, 
  0xb2,  0x67,  0xcd,  0x86,  0x35,  0xc7,  0x8f,  0x2c,  0x18,  0x1e,  0xa0,  0x73,  0x0e,  0x0a,  0xe1,  0x23, 
  0x60,  0x08,  0xc6,  0x1b,  0x00,  0xe8,  0xa6,  0x07,  0xa8,  0x49,  0x42,  0xb3,  0x62,  0xcd,  0x96,  0x03, 
  0x86,  0xd6,  0xb8,  0x11,  0x22,  0xf0,  0xb4,  0x89,  0x60,  0x20,  0x58,  0x71,  0x0c,  0x08,  0x18,  0x82, 
  0x21,  0x62,  0x0c,  0x10,  0x18,  0x39,  0x06,  0x80,  0x40,  0x10,  0x20,  0x29,  0x06,  0x88,  0x16,  0x11, 
  0x02,  0x29,  0x06,  0x97,  0x10,  0x14,  0xbe,  0x22,  0x64,  0xb8,  0xc5,  0x48,  0x99,  0x62,  0x00,  0x0f, 
  0x0e,  0x58,  0x03,  0x00,  0xd4,  0x82,  0x60,  0x30,  0x00,  0x04,  0x8c,  0x00,  0x69,  0xd8,  0x8c,  0x19, 
  0xb3,  0x01,  0x21,  0x58,  0x06,  0x54,  0xe3,  0xc1,  0x23,  0x44,  0x88,  0x31,  0x68,  0x31,  0xc0,  0x86, 
  0x0f,  0xbd,  0x66,  0x02,  0xa4,  0xe5,  0x18,  0x18,  0x30,  0x62,  0x92,  0x46,  0xe3,  0x7a,  0xc5,  0x98, 
  0x0d,  0x1f,  0x96,  0x2d,  0x86,  0x84,  0x80,  0xa5,  0x59,  0xa3,  0x66,  0xed,  0x7a,  0xd5,  0xea,  0x8d, 
  0x0e,  0xc1,  0x31,  0x60,  0x6a,  0x0e,  0x01,  0x0a,  0x35,  0x2b,  0x55,  0xab,  0x26,  0x5c,  0x04,  0xa8, 
  0xb0,  0x11,  0x00,  0xea,  0x87,  0x62,  0xc5,  0x4a,  0xd5,  0xf0,  0x30,  0x60,  0x31,  0x1a,  0x05,  0x07, 
  0x85,  0xc1,  0x22,  0x78,  0x2a,  0xc5,  0xc3,  0x47,  0xe0,  0x20,  0x68,  0x03,  0xe1,  0x3a,  0x40,  0x48, 
  0x55,  0x2a,  0x46,  0xcc,  0x75,  0x80,  0x2c,  0x38,  0x18,  0x2b,  0x96,  0xac,  0x58,  0xba,  0x74,  0x38, 
  0xb0,  0xe1,  0xd0,  0xe1,  0xda,  0x0f,  0xb4,  0x46,  0x23,  0xe5,  0xca,  0xc3,  0x07,  0x6c,  0x18,  0x74, 

  0x78,  0xe8,  0xd1,  0x1e,  0x7e,  0x94,  0x32,  0x57,  0x2c,  0x51,  0xb0,  0x51,  0xa1,  0x01,  0xd2,  0x6b, 
  0x00,  0xf2,  0xec,  0xd5,  0x47,  0x00,  0x10,  0x1a,  0x02,  0x42,  0x42,  0xf0,  0xf2,  0xe8,  0xd9,  0x7b, 
  0x70,  0xf4,  0x11,  0x34,  0xc2,  0x87,  0x51,  0xab,  0x61,  0xc3,  0x73,  0x58,  0xf0,  0x13,  0xa0,  0x0c, 
  0x0a,  0xe8,  0x9e,  0x1e,  0x3c,  0x7a,  0x0f,  0xc6,  0x01,  0xb3,  0x13,  0xd9,  0xf1,  0x15,  0x1c,  0x02, 
  0x58,  0xf0,  0x30,  0x6d,  0xc2,  0x4e,  0xb8,  0x0a,  0x7e,  0xa6,  0xcd,  0xd8,  0xf6,  0xe3,  0xcb,  0x8f, 
  0xef,  0x00,  0x1d,  0x29,  0xfc,  0x86,  0xcb,  0x60,  0xe1,  0xc3,  0x77,  0x80,  0x89,  0x90,  0xb6,  0x6c, 
  0xfb,  0x0a,  0x40,  0xbe,  0x03,  0x44,  0x84,  0xf6,  0x6b,  0x2b,  0x38,  0xf8,  0x0c,  0xd0,  0x91,  0x32, 
  0x07,  0xf8,  0x0d,  0x1e,  0xb6,  0x7c,  0x06,  0xcd,  0x10,  0xec,  0xdb,  0x77,  0x70,  0xf0,  0x6b,  0xd3, 
  0x66,  0xf0,  0xf0,  0xe9,  0x2d,  0x40,  0x86,  0x8a,  0xe0,  0x10,  0x02,  0x6d,  0x86,  0xcf,  0x60,  0x18, 
  0xb0,  0xc2,  0xaf,  0xcd,  0x70,  0x19,  0x00,  0x42,  0x62,  0x0c,  0xf2,  0x1d,  0x3c,  0xc3,  0x65,  0x40, 
  0x89,  0x41,  0xc1,  0x3f,  0x52,  0x86,  0x2f,  0xfb,  0x01,  0x58,  0xbd,  0x7e,  0xf5,  0x01,  0x58,  0xae, 
  0xda,  0xe0,  0xad,  0x3f,  0x40,  0x04,  0xc0,  0x10,  0x1c,  0x7e,  0x42,  0x78,  0xf8,  0x0f,  0x4e,  0x11, 
  0x52,  0x7e,  0xfc,  0x89,  0x29,  0x21,  0x90,  0xbe,  0xff,  0x18,  0x1a,  0x3d,  0xf9,  0xf3,  0x27,  0x4f, 
  0x1f,  0x7c,  0xf0,  0x09,  0x57,  0xfc,  0xc1,  0x83,  0x47,  0x8f,  0x9e,  0x7c,  0xfa,  0x57,  0x1f,  0x1c, 
  0x43,  0x60,  0x74,  0x13,  0x8f,  0x3f,  0x5c,  0xa1,  0x27,  0x9b,  0xef,  0xc2,  0x46,  0x74,  0x22,  0x8b, 
  0xb6,  0xb8,  0x98,  0x4f,  0x02,  0xd1,  0x88,  0x3c,  0xda,  0xf0,  0x1d,  0x6e,  0xc1,  0x07,  0xc7,  0xf0, 

  0x93,  0x16,  0xc2,  0x55,  0x74,  0x24,  0xcb,  0xb6,  0x2a,  0x65,  0xc9,  0xb4,  0x8d,  0x36,  0x7c,  0x24, 
  0xcf,  0x2c,  0x19,  0xae,  0xa3,  0x61,  0xf8,  0x2e,  0x03,  0x99,  0x21,  0xb8,  0x91,  0x25,  0x4d,  0x88, 
  0x21,  0x83,  0x00,  0xc0,  0x88,  0x00,  0x23,  0x49,  0x92,  0x25,  0x49,  0x91,  0x24,  0x55,  0x8a,  0x36, 
  0x26,  0x41,  0x82,  0x81,  0xa4,  0x00,  0xc0,  0x48,  0x4a,  0x00,  0x96,  0xa6,  0x8c,  0x59,  0x78,  0x90, 
  0x20,  0x21,  0x04,  0x86,  0xcb,  0x90,  0xa4,  0x8d,  0x71,  0x74,  0x94,  0x14,  0x02,  0xc2,  0x47,  0x70, 
  0x96,  0xa6,  0x84,  0x81,  0xc4,  0xe8,  0x14,  0x0c,  0x95,  0x44,  0x83,  0x00,  0x21,  0x8d,  0x1a,  0xa3, 
  0xf8,  0x11,  0xcd,  0x43,  0x00,  0x35,  0x2c,  0x8c,  0x94,  0x48,  0x0a,  0x13,  0x01,  0x2a,  0x00,  0x29, 
  0xc3,  0x42,  0x2d,  0x09,  0x85,  0x84,  0x74,  0x23,  0x05,  0x09,  0x16,  0x2c,  0xb1,  0x53,  0x99,  0x92, 
  0x00,  0xa0,  0x2c,  0x5e,  0x2a,  0xe3,  0x42,  0x8d,  0x1a,  0xae,  0x48,  0x18,  0x9d,  0xa2,  0x97,  0x12, 
  0x2a,  0x58,  0x68,  0x89,  0x0c,  0x1f,  0x92,  0xc2,  0x47,  0x84,  0x0c,  0x8e,  0xda,  0xa8,  0xd0,  0xc4, 
  0xc9,  0x2b,  0x77,  0x29,  0x51,  0x14,  0x23,  0x95,  0x68,  0x11,  0x12,  0x1c,  0x02,  0x44,  0x34,  0xd6, 
  0x12,  0x0c,  0xb4,  0x58,  0xd3,  0xa2,  0x0b,  0x17,  0x2d,  0x9a,  0x34,  0x2b,  0x63,  0x0e,  0x08,  0x8e, 
  0x21,  0xc0,  0x96,  0xc8,  0xf0,  0x41,  0x2b,  0x7c,  0xa4,  0xce,  0x38,  0x11,  0x2e,  0x6d,  0x05,  0x80, 
  0xf0,  0x11,  0x02,  0xb2,  0xa0,  0x34,  0x6d,  0x01,  0xd0,  0x66,  0x08,  0xb0,  0x19,  0x1c,  0x71,  0xe2, 
  0xa2,  0x8d,  0x1b,  0x06,  0x65,  0xad,  0x86,  0x35,  0x2b,  0xd6,  0x1a,  0x20,  0x2c,  0x2b,  0x55,  0xac, 
  0x94,  0x36,  0x2e,  0xac,  0x82,  0x0d,  0x2b,  0x36,  0x2c,  0x58,  0x71,  0x50,  0x50,  0xec,  0x55,  0x70, 

  0xc0,  0xc0,  0xc5,  0xd5,  0x70,  0xb8,  0x09,  0x0e,  0x5a,  0x3d,  0x87,  0x4f,  0xa1,  0x42,  0x8d,  0x07, 
  0x87,  0x70,  0xad,  0xd4,  0x72,  0xf8,  0x54,  0x6a,  0xd8,  0xa8,  0xd1,  0x38,  0x19,  0x2e,  0x94,  0xaa, 
  0x50,  0xee,  0xd5,  0xab,  0x75,  0x15,  0x6a,  0x0c,  0x47,  0x07,  0xc1,  0x46,  0xa3,  0xa1,  0x72,  0xee, 
  0x56,  0xbd,  0x7a,  0xf7,  0x63,  0x26,  0x78,  0x18,  0x37,  0xae,  0x3d,  0x52,  0x04,  0x87,  0x80,  0xe1, 
  0xd5,  0x87,  0x1f,  0x3f,  0x76,  0xd4,  0x18,  0x15,  0x1a,  0x2e,  0x53,  0xa7,  0x52,  0xa3,  0xc1,  0x22, 
  0x40,  0x9a,  0x31,  0xaa,  0x3d,  0x7e,  0x84,  0x8d,  0x08,  0xa1,  0x23,  0x38,  0x47,  0x00,  0x33,  0xc6, 
  0x93,  0x91,  0x52,  0x1b,  0xc1,  0x25,  0x06,  0x04,  0x87,  0x14,  0xa0,  0x54,  0x7b,  0x70,  0xb7,  0x63, 
  0x34,  0x5d,  0x5a,  0x4d,  0x92,  0x7e,  0x02,  0x56,  0xf0,  0xd2,  0x6a,  0x34,  0x0b,  0x44,  0xd3,  0xf0, 
  0x6d,  0xd8,  0xaa,  0xe7,  0xe0,  0x9f,  0x3c,  0x0b,  0x85,  0x67,  0xef,  0x79,  0x2a,  0xf9,  0xda,  0x0d, 
  0x0e,  0x3e,  0x7c,  0x54,  0x81,  0x10,  0x9a,  0x30,  0xec,  0x93,  0x52,  0xad,  0x47,  0x8f,  0x1a,  0x3d, 
  0xca,  0x35,  0x6b,  0xd6,  0x1a,  0x20,  0x94,  0x6b,  0x57,  0x2c,  0xd9,  0x94,  0x2a,  0xd5,  0x6a,  0x02, 
  0xa0,  0x0a,  0xa5,  0x9a,  0xad,  0x6a,  0x0f,  0x0e,  0xca,  0xa5,  0xab,  0xd2,  0x1d,  0x20,  0x42,  0x80, 
  0x9c,  0x90,  0xa0,  0x5c,  0xab,  0x75,  0x8d,  0xc1,  0x41,  0xb6,  0xaa,  0x8e,  0x10,  0x0c,  0x64,  0x04, 
  0xac,  0x96,  0xa0,  0x43,  0x86,  0x6c,  0x56,  0xd1,  0x21,  0x00,  0xa8,  0x51,  0x1b,  0x12,  0x42,  0xc1, 
  0x40,  0x54,  0x2d,  0x5b,  0x56,  0x00,  0x50,  0x2d,  0x27,  0x00,  0x04,  0x2c,  0xe5,  0x32,  0x54,  0xc9, 
  0x96,  0xcd,  0x32,  0x04,  0xca,  0x96,  0x23,  0x37,  0x04,  0x04,  0x02,  0x39,  0xc1,  0x41,  0x6d,  0x08, 

  0xd0,  0xa5,  0x22,  0x3c,  0x86,  0x40,  0x59,  0xa1,  0x20,  0x5c,  0x84,  0x05,  0x56,  0xaa,  0x75,  0x27, 
  0x80,  0xa0,  0x10,  0x00,  0x22,  0x63,  0x70,  0x50,  0x1d,  0x08,  0xd4,  0xaa,  0x89,  0x1f,  0x64,  0xc3, 
  0xa7,  0xcc,  0xe0,  0x11,  0x20,  0xe3,  0x85,  0xda,  0x10,  0x10,  0x12,  0xe8,  0xb2,  0x95,  0x25,  0x33, 
  0xb8,  0x04,  0x0f,  0xb9,  0xd9,  0x50,  0x0d,  0x5e,  0x66,  0xc1,  0x38,  0x12,  0xb0,  0x0c,  0x0e,  0x11, 
  0x4a,  0x35,  0xab,  0x78,  0x19,  0x80,  0xc3,  0xa7,  0xec,  0xea,  0xa1,  0x9a,  0x51,  0xdc,  0x94,  0x19, 
  0x00,  0xc2,  0x57,  0x84,  0x62,  0x23,  0x3d,  0x03,  0xa4,  0x88,  0x00,  0x15,  0x3f,  0x63,  0x82,  0x1a, 
  0x59,  0x4c,  0xe4,  0xb3,  0x0e,  0x41,  0x32,  0x59,  0xda,  0x0c,  0x00,  0x3e,  0x03,  0x90,  0xb7,  0x00, 
  0xe9,  0xdb,  0x6f,  0x80,  0x08,  0xbe,  0xc1,  0x31,  0x00,  0xf8,  0x09,  0x81,  0xe1,  0x27,  0x38,  0x7b, 
  0x0b,  0x5f,  0xd6,  0x62,  0x40,  0x30,  0x09,  0x01,  0x5e,  0x7c,  0xc7,  0x40,  0x6b,  0x01,  0x20,  0xdc, 
  0x7a,  0xf3,  0x15,  0x3e,  0x02,  0x80,  0x35,  0x2b,  0x96,  0xbc,  0x84,  0xad,  0x00,  0x19,  0x3c,  0xc2, 
  0xb7,  0x27,  0x0f,  0x1e,  0xbc,  0x04,  0x03,  0x4f,  0x9e,  0xe3,  0x43,  0xfc,  0xb6,  0xe2,  0xc5,  0x53, 
  0x88,  0x08,  0x08,  0x5e,  0xc3,  0x53,  0x0c,  0x4c,  0x1e,  0xe1,  0x20,  0x40,  0xa6,  0x8b,  0x7c,  0x11, 
  0x9c,  0xf2,  0x47,  0xdc,  0x49,  0x09,  0xc1,  0x33,  0x3b,  0x16,  0x0f,  0x9f,  0xbe,  0xf2,  0x56,  0x70, 
  0x0e,  0x40,  0xc1,  0x22,  0x04,  0x06,  0xa2,  0xe8,  0x94,  0x03,  0x7d,  0x05,  0xc0,  0x10,  0xe5,  0x2b, 
  0x18,  0x85,  0xaf,  0xe0,  0x14,  0x0a,  0xe3,  0x8d,  0x5f,  0xff,  0x91,  0x23,  0xc0,  0x04,  0x97,  0xe0, 
  0x11,  0x9c,  0x7d,  0x64,  0xcd,  0xf0,  0x1b,  0xc0,  0xec,  0x07,  0xd0,  0xe0,  0x1e,  0x42,  0xf4,  0x87, 

  0xfb,  0xe0,  0x12,  0x7e,  0x83,  0xa9,  0xfe,  0x00,  0x10,  0xcf,  0xc3,  0x35,  0x7f,  0xf2,  0x49,  0x3f, 
  0x5c,  0x91,  0x27,  0x8f,  0x3e,  0xad,  0x47,  0x43,  0xf5,  0xc1,  0x23,  0x7c,  0xc6,  0xfd,  0xe0,  0x80, 
  0x3e,  0x7c,  0x86,  0xfb,  0x70,  0xc9,  0x3e,  0x20,  0x04,  0xf7,  0x68,  0x14,  0x3d,  0x73,  0x9f,  0xf8, 
  0xb0,  0x11,  0x2e,  0x03,  0x46,  0x34,  0x15,  0x1f,  0xae,  0x42,  0x20,  0xd9,  0xf8,  0x62,  0x1e,  0x7f, 
  0xb8,  0x8c,  0x50,  0x6c,  0x93,  0x49,  0x70,  0x63,  0x1f,  0x7e,  0xf4,  0x83,  0xa7,  0x4f,  0x3e,  0x40, 
  0x84,  0xff,  0xe0,  0x41,  0x1e,  0x3c,  0xfa,  0x00,  0x98,  0x3f,  0xc9,  0x92,  0x66,  0xcb,  0x9a,  0x34, 
  0x11,  0x49,  0x01,  0x50,  0x8a,  0x22,  0x25,  0x92,  0x94,  0x48,  0x51,  0x16,  0x2c,  0x58,  0x13,  0x27, 
  0xc0,  0x20,  0x04,  0x32,  0x0a,  0x4e,  0xd2,  0xa4,  0xb0,  0x66,  0xcd,  0x8a,  0x51,  0x70,  0x94,  0x12, 
  0x3e,  0xa4,  0x84,  0xcb,  0xf0,  0xc9,  0x22,  0x38,  0x85,  0x30,  0x69,  0xd2,  0x88,  0x30,  0x23,  0x12, 
  0x14,  0xa2,  0x40,  0xb8,  0x54,  0x12,  0x2e,  0x42,  0x80,  0x12,  0x22,  0xc1,  0x31,  0x40,  0x07,  0xa3, 
  0x50,  0x18,  0x1c,  0x02,  0x70,  0x50,  0x0a,  0x58,  0xda,  0x92,  0x50,  0x0c,  0x0a,  0xc1,  0x4a,  0xb4, 
  0x68,  0x89,  0x84,  0x71,  0x2b,  0x18,  0x2b,  0xb1,  0xa6,  0xc5,  0x66,  0x74,  0x0f,  0x9b,  0x01,  0xc2, 
  0xa6,  0xce,  0x78,  0x93,  0x36,  0xe2,  0x84,  0x96,  0x70,  0x19,  0x00,  0x4a,  0x44,  0xf4,  0x64,  0x12, 
  0xee,  0x42,  0x40,  0x45,  0x0c,  0x90,  0xe1,  0x2e,  0x7c,  0x45,  0x28,  0x65,  0x5a,  0xa2,  0x43,  0xb8, 
  0x0a,  0x9e,  0xe1,  0xc7,  0x4a,  0xb8,  0x09,  0x3f,  0xd1,  0x51,  0x9b,  0xcd,  0x00,  0x11,  0x3c,  0x7d, 
  0xfa,  0xa4,  0x49,  0x8b,  0x26,  0x4d,  0xda,  0x74,  0x69,  0x8b,  0x35,  0x1b,  0x00,  0x8d,  0x5b,  0xf5, 

  0xea,  0x35,  0x58,  0x84,  0x08,  0xda,  0x21,  0x90,  0x6f,  0x08,  0xb4,  0x1e,  0x1c,  0x3c,  0x07,  0x97, 
  0x00,  0x18,  0x02,  0xfc,  0xfa,  0x09,  0x1e,  0xe1,  0x03,  0x57,  0xb8,  0x0a,  0xc1,  0xe6,  0xfd,  0x7a, 
  0x0e,  0x1f,  0xe1,  0x36,  0x7c,  0xd2,  0xe7,  0x2f,  0x36,  0x06,  0xd2,  0xc6,  0x1d,  0x37,  0x43,  0x14, 
  0xfd,  0x00,  0x40,  0x97,  0x87,  0x61,  0xcf,  0xc1,  0x3d,  0x00,  0xf0,  0xa7,  0x4f,  0x87,  0xb2,  0x51, 
  0xba,  0x21,  0x00,  0x6f,  0x80,  0xa4,  0x1b,  0x0c,  0x42,  0x24,  0x1d,  0x1a,  0x34,  0xe2,  0x49,  0x30, 
  0x0a,  0x98,  0x7c,  0x93,  0x85,  0xda,  0x68,  0x11,  0x3e,  0x82,  0x6b,  0xf4,  0xa0,  0x43,  0x93,  0xad, 
  0xda,  0xf0,  0x1e,  0x13,  0xe8,  0xd2,  0xe1,  0x45,  0x96,  0x6d,  0xfc,  0x08,  0x6f,  0xc1,  0x93,  0xba, 
  0xd9,  0x60,  0x97,  0x02,  0x02,  0x24,  0x1d,  0x3c,  0x66,  0xf9,  0xc2,  0xc7,  0x1f,  0xdf,  0x32,  0x06, 
  0x5f,  0x3a,  0xe6,  0xcd,  0x07,  0x57,  0xf1,  0x01,  0x80,  0x3f,  0x7f,  0xbe,  0x7c,  0xcc,  0x07,  0x0e, 
  0xf8,  0xc9,  0x98,  0xbf,  0x78,  0xf5,  0xea,  0xe5,  0xcb,  0x67,  0x63,  0x3f,  0x00,  0xe9,  0x0f,  0x0a, 
  0xfa,  0x03,  0x81,  0x7e,  0xf9,  0x21,  0x40,  0xbd,  0xff,  0x10,  0x44,  0x3e,  0x48,  0x04,  0xc7,  0x00, 
  0x11,  0x21,  0xfd,  0x07,  0x80,  0xe0,  0xc9,  0x3e,  0x78,  0x84,  0x80,  0x90,  0x18,  0x13,  0x82,  0x67, 
  0x44,  0x50,  0x1f,  0x3c,  0x63,  0x50,  0xc4,  0x0c,  0x5e,  0x7e,  0xed,  0x26,  0xea,  0x08,  0x15,  0xbe, 
  0xfc,  0xfa,  0xf0,  0x98,  0xa8,  0x53,  0xa7,  0x7c,  0xf6,  0xc1,  0x69,  0x32,  0x24,  0xea,  0xcc,  0xc8, 
  0x9e,  0xbd,  0x77,  0x1f,  0xde,  0xbd,  0x7a,  0xf7,  0x93,  0x68,  0x82,  0x23,  0xfb,  0x60,  0xe0,  0xdd, 
  0x77,  0xca,  0x4a,  0x45,  0x01,  0x68,  0x23,  0x7a,  0xf5,  0x11,  0x00,  0xbc,  0xdb,  0x09,  0x0e,  0xb9, 

  0x22,  0x44,  0x90,  0x0f,  0x5e,  0x01,  0x53,  0x07,  0x9b,  0x70,  0x1d,  0x12,  0xe2,  0x85,  0x67,  0x8f, 
  0x9e,  0x3d,  0x2b,  0x27,  0x43,  0x3e,  0x00,  0x46,  0x88,  0x40,  0x11,  0x1c,  0x53,  0x82,  0x6a,  0x52, 
  0x6c,  0xa3,  0x71,  0xf8,  0xf6,  0x63,  0x4a,  0x15,  0x49,  0x56,  0xc4,  0x48,  0x85,  0xeb,  0x90,  0xe0, 
  0xdd,  0x97,  0x49,  0x95,  0xc4,  0x58,  0x91,  0x0a,  0x90,  0x64,  0x63,  0xb2,  0x4f,  0x61,  0xcc,  0x48, 
  0x05,  0x00,  0x92,  0x01,  0x23,  0x42,  0x24,  0x0c,  0xf4,  0x21,  0xc1,  0xa4,  0x2e,  0x53,  0xba,  0x4c, 
  0xea,  0x0c,  0x80,  0x36,  0x03,  0x90,  0x4f,  0x5f,  0x3a,  0x55,  0xea,  0x52,  0x65,  0x52,  0x9b,  0x4e, 
  0x6d,  0x36,  0x03,  0x84,  0xb5,  0xe0,  0xad,  0x2b,  0x98,  0x05,  0x27,  0x6f,  0xbe,  0x75,  0x29,  0xd3, 
  0x16,  0x02,  0xad,  0x85,  0x14,  0x6f,  0xbe,  0x7c,  0x85,  0xfb,  0xe0,  0x14,  0x1f,  0x7c,  0x87,  0x8b, 
  0xb0,  0x61,  0x2d,  0x00,  0x87,  0x02,  0x9f,  0x5e,  0x7c,  0x07,  0x8f,  0xe0,  0x12,  0xa1,  0xe2,  0x45, 
  0x78,  0xf0,  0x1d,  0xee,  0xac,  0x79,  0x0b,  0x00,  0x5e,  0x7c,  0x84,  0xaf,  0x60,  0x1b,  0x2e,  0xc2, 
  0x93,  0xdf,  0xe0,  0x68,  0x25,  0x2c,  0x06,  0xa4,  0x78,  0x19,  0x02,  0xac,  0x04,  0x87,  0xa8,  0x14, 
  0x90,  0xc2,  0x63,  0xf8,  0x0c,  0x01,  0x5e,  0xc2,  0x44,  0x70,  0x0e,  0x5e,  0xe1,  0x2b,  0xbc,  0xc7, 
  0x8b,  0x00,  0x61,  0x25,  0x00,  0x84,  0xaf,  0x88,  0x11,  0x1e,  0x42,  0x70,  0x74,  0x0b,  0xae,  0xe1, 
  0xd3,  0x4b,  0x08,  0xf6,  0x55,  0x35,  0x43,  0xa0,  0xdf,  0x3b,  0x23,  0x1e,  0xfd,  0x50,  0x0c,  0x50, 
  0x6c,  0x9f,  0x88,  0xfe,  0xb1,  0x10,  0x02,  0x42,  0x12,  0xd9,  0x37,  0xab,  0x3f,  0x78,  0x84,  0x90, 
  0xf0,  0xfb,  0x14,  0x42,  0xe8,  0x97,  0x7d,  0x1b,  0xfc,  0xc3,  0xcf,  0x17,  0x4e,  0x50,  0x11,  0x30, 

  0x7c,  0x47,  0xd0,  0x94,  0x12,  0xbe,  0x62,  0xb4,  0xfe,  0x94,  0x14,  0x7e,  0x12,  0xbc,  0x7a,  0xf2, 
  0xea,  0x03,  0x40,  0xf0,  0x4c,  0xb0,  0x99,  0x2a,  0x77,  0x04,  0xff,  0x50,  0x1a,  0xbe,  0x42,  0x78, 
  0xc4,  0x0c,  0xde,  0x11,  0xbe,  0x59,  0x04,  0xff,  0xe0,  0x1f,  0xe2,  0xc3,  0x7f,  0xcc,  0xef,  0x87, 
  0x52,  0xa4,  0x05,  0x00,  0x65,  0xdf,  0xf0,  0xbf,  0x04,  0x00,  0x29,  0x21,  0x40,  0xc9,  0xc3,  0xf8, 
  0x37,  0xc1,  0x3b,  0x5c,  0xbc,  0xc4,  0x7f,  0x1d,  0x9e,  0x7c,  0x4a,  0x93,  0xa2,  0x4d,  0xcb,  0xc3, 
  0x0a,  0x41,  0xc1,  0x2b,  0x1a,  0xbe,  0xdf,  0xf0,  0xec,  0x53,  0x4b,  0xb8,  0x08,  0x10,  0x2f,  0xfb, 
  0x05,  0x04,  0xef,  0xe0,  0x1e,  0x9c,  0x6e,  0x82,  0x15,  0x2d,  0x17,  0xe2,  0x61,  0xfe,  0xe0,  0x83, 
  0x64,  0x2b,  0x00,  0xd9,  0xb4,  0x75,  0x2c,  0x4e,  0xd0,  0xf9,  0xb4,  0x1d,  0x80,  0xde,  0xd0,  0x37, 
  0x7a,  0x81,  0xb6,  0xed,  0x06,  0xc8,  0x20,  0x14,  0x30,  0x03,  0x50,  0x70,  0x0f,  0x2e,  0xc1,  0xc3, 
  0x6e,  0xe0,  0x09,  0x74,  0xc1,  0x3d,  0xb4,  0x87,  0xff,  0x28,  0x1e,  0xe3,  0xf7,  0xa1,  0xf9,  0x00, 
  0x20,  0x1e,  0x3e,  0xfd,  0x00,  0xc0,  0x5f,  0x3c,  0xff,  0x9b,  0x70,  0x0b,  0xd4,  0xda,  0x0f,  0x9e, 
  0xfc,  0xf1,  0x07,  0x2f,  0xfc,  0xe2,  0x8f,  0x83,  0x7e,  0xf6,  0xe7,  0x40,  0x7c,  0x00,  0x08,  0x9f, 
  0xf4,  0x03,  0x81,  0x7a,  0xf9,  0xf2,  0x23,  0xc4,  0x35,  0x88,  0x1e,  0x11,  0x84,  0x3f,  0xfd,  0xe0, 
  0x10,  0x3c,  0xcd,  0xc7,  0x89,  0x10,  0x18,  0xbc,  0xf0,  0xab,  0x7f,  0x0d,  0xf2,  0xed,  0x07,  0xc5, 
  0x90,  0x18,  0x83,  0xc0,  0x47,  0x0b,  0xfd,  0xc9,  0x43,  0x3f,  0x7d,  0xfc,  0x69,  0x33,  0x02,  0x25, 
  0x80,  0x04,  0x91,  0x3e,  0xec,  0xab,  0x87,  0x9f,  0x3d,  0x42,  0x50,  0xf0,  0xca,  0x9e,  0x39,  0x80, 

  0x3d,  0x7c,  0xfe,  0x39,  0x33,  0x3c,  0x26,  0x0f,  0xf9,  0x72,  0xd3,  0x97,  0x7a,  0xf1,  0xa9,  0x20, 
  0x00,  0x66,  0x0f,  0xf6,  0xf2,  0xd9,  0xfe,  0xcd,  0x8a,  0xa0,  0x3f,  0x40,  0x14,  0xa3,  0x32,  0x48, 
  0xf7,  0x57,  0x99,  0x2f,  0x82,  0xc1,  0x51,  0xbd,  0x79,  0xfc,  0x49,  0xe1,  0x0b,  0xd5,  0x89,  0x00, 
  0x50,  0x37,  0x83,  0x07,  0xff,  0xe0,  0x5d,  0x25,  0xc4,  0xe7,  0x8a,  0xe0,  0x58,  0x1c,  0x62,  0xe0, 
  0x67,  0x34,  0x5f,  0x02,  0x2a,  0x43,  0x08,  0x6a,  0x5a,  0xbf,  0xcb,  0x7c,  0x15,  0x0c,  0x5e,  0x49, 
  0xa0,  0x5e,  0xa8,  0x62,  0x4d,  0x2a,  0x40,  0xb0,  0x22,  0xc5,  0x32,  0x40,  0x06,  0x00,  0xb2,  0x64, 
  0x59,  0x93,  0x0e,  0x8c,  0x24,  0x03,  0x04,  0x31,  0x52,  0x01,  0x82,  0x08,  0xb1,  0x00,  0x19,  0xbc, 
  0x42,  0x60,  0x70,  0x0c,  0x21,  0xc1,  0x18,  0x19,  0xb1,  0xe0,  0x80,  0x84,  0x58,  0x80,  0x24,  0x82, 
  0x24,  0x7a,  0x21,  0x0b,  0x50,  0xd1,  0x28,  0x60,  0x44,  0x0f,  0x54,  0x44,  0x89,  0xa2,  0x42,  0x86, 
  0x2a,  0x5c,  0x06,  0x80,  0x70,  0x11,  0x3c,  0xe2,  0x03,  0x41,  0xe2,  0x68,  0x22,  0x64,  0x30,  0x0c, 
  0x97,  0xc1,  0x13,  0x15,  0x1a,  0x34,  0x64,  0x51,  0x11,  0x03,  0x82,  0x2c,  0x7c,  0x20,  0x22,  0x12, 
  0x20,  0xe3,  0x06,  0xaa,  0x00,  0x09,  0x2c,  0x38,  0x24,  0x23,  0x22,  0x84,  0x88,  0xc4,  0x0d,  0xa4, 
  0x41,  0x01,  0x48,  0xbc,  0x08,  0x1f,  0xe1,  0x2a,  0x7c,  0x21,  0x45,  0x01,  0x22,  0xdc,  0xc6,  0x20, 
  0x84,  0x08,  0x82,  0x43,  0xba,  0x08,  0xc0,  0xe1,  0x13,  0x11,  0x21,  0x84,  0x08,  0x91,  0xa3,  0x8c, 
  0x19,  0xd9,  0x28,  0x3a,  0x11,  0x92,  0x04,  0x10,  0x30,  0x72,  0x50,  0xa8,  0x80,  0x20,  0x09,  0x10, 
  0x88,  0x02,  0x04,  0x22,  0x04,  0x92,  0x24,  0x20,  0x0d,  0x00,  0xd1,  0x31,  0x04,  0x64,  0x47,  0x42, 

  0x08,  0x18,  0x49,  0x92,  0x84,  0x06,  0x04,  0x1a,  0x50,  0x48,  0x00,  0x01,  0x09,  0xd7,  0x88,  0x82, 
  0x87,  0x04,  0x2b,  0xd6,  0xbc,  0x78,  0x0b,  0x90,  0x3e,  0x7d,  0xfa,  0xf2,  0x1d,  0x00,  0xfc,  0x06, 
  0x00,  0x2b,  0x5e,  0x02,  0x90,  0xaf,  0xe0,  0x10,  0x3c,  0xfd,  0x86,  0xc0,  0xe0,  0x19,  0x3e,  0x83, 
  0x4b,  0x00,  0x0a,  0xdf,  0xe1,  0xc1,  0x67,  0xb4,  0x0c,  0xdf,  0x71,  0x33,  0x20,  0x44,  0xc7,  0x68, 
  0x1c,  0x20,  0xc3,  0x53,  0x32,  0x8c,  0xb7,  0x7e,  0xfd,  0x07,  0xf7,  0xf0,  0x13,  0x3c,  0x93,  0x41, 
  0xbc,  0x0a,  0xae,  0xe1,  0x23,  0x2b,  0x06,  0xf7,  0xe0,  0x15,  0x2e,  0x8b,  0x6a,  0x70,  0xf2,  0x1f, 
  0x2d,  0x83,  0x7b,  0x70,  0xf4,  0x1f,  0x5e,  0xe2,  0x5d,  0xf0,  0x2a,  0x73,  0xe1,  0x39,  0x7c,  0x96, 
  0xe9,  0xe0,  0x16,  0x3c,  0xf2,  0x7c,  0x00,  0x49,  0xc6,  0x65,  0x3a,  0xfc,  0xd8,  0xb7,  0x6f,  0x57, 
  0xed,  0x6f,  0x08,  0x10,  0xa8,  0x03,  0x04,  0x2a,  0x54,  0xa8,  0xc1,  0xa2,  0x35,  0x6f,  0x5e,  0x7d, 
  0xf0,  0x40,  0x1b,  0x0c,  0xd0,  0xa2,  0x46,  0xbd,  0x38,  0x02,  0xa4,  0x79,  0xfd,  0xea,  0xc9,  0x87, 
  0x8f,  0x10,  0x80,  0x36,  0x04,  0x06,  0x0f,  0x50,  0xa8,  0xd5,  0xab,  0x97,  0x4f,  0x9e,  0x7c,  0x30, 
  0x08,  0x4e,  0xa0,  0x51,  0x83,  0x0c,  0x01,  0xf2,  0x03,  0x00,  0x7b,  0xf4,  0xe1,  0x32,  0x7c,  0xa2, 
  0x05,  0x0d,  0x1a,  0x24,  0xcc,  0x60,  0x11,  0x00,  0xd1,  0x07,  0xcf,  0xa4,  0x10,  0x1c,  0x40,  0xc3, 
  0x06,  0x19,  0x1e,  0x43,  0x04,  0xf9,  0x10,  0x06,  0x1b,  0x56,  0xf8,  0x88,  0x50,  0xe8,  0xc3,  0x05, 
  0x58,  0xb0,  0xa0,  0x03,  0x04,  0x6c,  0xd0,  0xfa,  0x43,  0x50,  0xc4,  0x80,  0x1f,  0x82,  0xc0,  0xc2, 
  0x85,  0x0d,  0x3b,  0x3b,  0x24,  0x68,  0xf2,  0xe0,  0x83,  0x13,  0xe8,  0x00,  0xa1,  0x3f,  0x02,  0x86, 

  0xe0,  0x98,  0x00,  0x37,  0x04,  0x05,  0x0f,  0xfd,  0xc9,  0x33,  0x40,  0x04,  0xc0,  0x04,  0xad,  0xdf, 
  0x7e,  0x08,  0x0a,  0xde,  0xb5,  0xb1,  0x49,  0x04,  0xc7,  0x84,  0x10,  0x7c,  0x4a,  0x63,  0x2b,  0x68, 
  0x1f,  0x11,  0xb2,  0x21,  0xc4,  0x40,  0xf4,  0x21,  0x38,  0x38,  0xc5,  0xc8,  0xe0,  0x1c,  0x00,  0xda, 
  0x80,  0x06,  0x4b,  0x01,  0xc2,  0x42,  0x80,  0xf4,  0x14,  0x00,  0xb7,  0x96,  0x06,  0x0d,  0x16,  0x02, 
  0x44,  0x08,  0xf0,  0xe0,  0x29,  0x40,  0x1c,  0x25,  0xdf,  0xc1,  0xd1,  0x62,  0xf0,  0xb0,  0x10,  0x9e, 
  0xce,  0x74,  0xb8,  0x0a,  0x01,  0x1e,  0x02,  0xa0,  0xb7,  0xb3,  0xb8,  0x0e,  0xc2,  0x65,  0x80,  0xf0, 
  0x18,  0x3c,  0xa3,  0xf5,  0x96,  0x88,  0x46,  0xe1,  0xc5,  0xa7,  0xb7,  0x3b,  0x64,  0x31,  0x7c,  0x06, 
  0x4b,  0x8f,  0xc1,  0x35,  0x7c,  0x5a,  0x8c,  0x56,  0x9e,  0xe3,  0xe5,  0x91,  0x0e,  0x1f,  0xc1,  0xd3, 
  0xa3,  0xe7,  0x70,  0x11,  0x9c,  0x03,  0x40,  0x32,  0xf2,  0x58,  0x24,  0xc2,  0xc3,  0xaf,  0xba,  0x9c, 
  0xc1,  0xc9,  0x4b,  0x34,  0xfc,  0x65,  0x69,  0xc3,  0x4b,  0x70,  0x08,  0x81,  0x9f,  0xfa,  0x0f,  0x06, 
  0xe3,  0x68,  0xf5,  0x69,  0x82,  0x47,  0x08,  0x4e,  0x3b,  0xbf,  0x2a,  0x78,  0x84,  0xaf,  0x70,  0xf7, 
  0x3f,  0x82,  0x67,  0x48,  0xf0,  0x91,  0x4c,  0x83,  0xe7,  0xff,  0x98,  0xb0,  0x33,  0xe8,  0x4b,  0x06, 
  0x97,  0x5d,  0x21,  0x7e,  0x42,  0x06,  0x80,  0x95,  0x11,  0xbe,  0x42,  0x8a,  0x7a,  0xfe,  0x33,  0x51, 
  0x7d,  0x70,  0x0f,  0x50,  0xea,  0xcf,  0x45,  0x02,  0x8e,  0x30,  0x01,  0x3a,  0xc5,  0x04,  0xf7,  0xf0, 
  0x11,  0x42,  0x03,  0x59,  0xf0,  0x0c,  0xf1,  0xc1,  0x3f,  0xe2,  0x07,  0xff,  0x10,  0x1f,  0xfc,  0xc3, 
  0x78,  0x84,  0x8f,  0xea,  0x31,  0x3f,  0x9e,  0x27,  0xfa,  0xe4,  0x9e,  0xfa,  0x33,  0x78,  0x9e,  0x01, 

  0x02,  0x0c,  0x18,  0x28,  0x50,  0x60,  0x41,  0x83,  0x0d,  0xc0,  0xe0,  0x03,  0x00,  0x10,  0x20,  0xa0, 
  0x40,  0x07,  0x80,  0x10,  0x1a,  0x3c,  0x83,  0x65,  0xb8,  0x0c,  0xee,  0xe0,  0xc3,  0x61,  0x70,  0x0f, 
  0xde,  0x71,  0x26,  0xb8,  0x81,  0x8f,  0xe6,  0xc1,  0x25,  0x78,  0x84,  0xfb,  0xe0,  0x1f,  0xf5,  0xc3, 
  0x5f,  0xb0,  0x8f,  0xde,  0xc1,  0x3e,  0xb4,  0x87,  0xff,  0x28,  0x1e,  0xe3,  0x93,  0x78,  0x8a,  0x4f, 
  0xeb,  0x19,  0x3f,  0x9b,  0xe7,  0xfa,  0xfc,  0x0e,  0x1e,  0x3c, 
};
static PROGMEM prog_uchar logo_trsi_sprpal[] = {

  0x0e,  0x7b,  0xf7,  0x5a,  0x65,  0x76,  0x94,  0x4e,  0xc0,  0x71,  0x31,  0x42,  0xe0,  0x6c,  0x26,  0x3d, 
  0xe7,  0x18,  0x20,  0x5c,  0x20,  0x3c,  0x00,  0x18,  0x63,  0x0c,  0x00,  0x04,  0x00,  0x00,  0x00,  0x80, 
};




#define LOGO_DESIRE_FRAMES 1
static void draw_logo_desire(int x, int y, byte anim, byte rot, byte jk = 0) {
  switch (anim) {
  case 0:
    GD.xsprite(x, y, 0, -64, 0, 4, rot, jk);
    GD.xsprite(x, y, 16, -64, 0, 6, rot, jk);
    GD.xsprite(x, y, -112, -48, 1, 4, rot, jk);
    GD.xsprite(x, y, -96, -48, 1, 6, rot, jk);
    GD.xsprite(x, y, -80, -48, 2, 4, rot, jk);
    GD.xsprite(x, y, -64, -48, 2, 6, rot, jk);
    GD.xsprite(x, y, -48, -48, 3, 4, rot, jk);
    GD.xsprite(x, y, -32, -48, 3, 6, rot, jk);
    GD.xsprite(x, y, -16, -48, 4, 4, rot, jk);
    GD.xsprite(x, y, 0, -48, 4, 6, rot, jk);
    GD.xsprite(x, y, 16, -48, 5, 4, rot, jk);
    GD.xsprite(x, y, 32, -48, 5, 6, rot, jk);
    GD.xsprite(x, y, 48, -48, 6, 4, rot, jk);
    GD.xsprite(x, y, 64, -48, 6, 6, rot, jk);
    GD.xsprite(x, y, -96, -32, 7, 4, rot, jk);
    GD.xsprite(x, y, -80, -32, 7, 6, rot, jk);
    GD.xsprite(x, y, -64, -32, 8, 4, rot, jk);
    GD.xsprite(x, y, -48, -32, 8, 6, rot, jk);
    GD.xsprite(x, y, -32, -32, 9, 4, rot, jk);
    GD.xsprite(x, y, -16, -32, 9, 6, rot, jk);
    GD.xsprite(x, y, 0, -32, 10, 4, rot, jk);
    GD.xsprite(x, y, 16, -32, 10, 6, rot, jk);
    GD.xsprite(x, y, 32, -32, 11, 4, rot, jk);
    GD.xsprite(x, y, 48, -32, 11, 6, rot, jk);
    GD.xsprite(x, y, 64, -32, 12, 4, rot, jk);
    GD.xsprite(x, y, -96, -16, 12, 6, rot, jk);
    GD.xsprite(x, y, -80, -16, 13, 4, rot, jk);
    GD.xsprite(x, y, -64, -16, 13, 6, rot, jk);
    GD.xsprite(x, y, -48, -16, 14, 4, rot, jk);
    GD.xsprite(x, y, -32, -16, 14, 6, rot, jk);
    GD.xsprite(x, y, -16, -16, 15, 4, rot, jk);
    GD.xsprite(x, y, 0, -16, 15, 6, rot, jk);
    GD.xsprite(x, y, 16, -16, 16, 4, rot, jk);
    GD.xsprite(x, y, 32, -16, 16, 6, rot, jk);
    GD.xsprite(x, y, 48, -16, 17, 4, rot, jk);
    GD.xsprite(x, y, 64, -16, 17, 6, rot, jk);
    GD.xsprite(x, y, 80, -16, 18, 4, rot, jk);
    GD.xsprite(x, y, -96, 0, 18, 6, rot, jk);
    GD.xsprite(x, y, -80, 0, 19, 4, rot, jk);
    GD.xsprite(x, y, -64, 0, 19, 6, rot, jk);
    GD.xsprite(x, y, -48, 0, 20, 4, rot, jk);
    GD.xsprite(x, y, -32, 0, 20, 6, rot, jk);
    GD.xsprite(x, y, -16, 0, 21, 4, rot, jk);
    GD.xsprite(x, y, 0, 0, 21, 6, rot, jk);
    GD.xsprite(x, y, 16, 0, 22, 4, rot, jk);
    GD.xsprite(x, y, 32, 0, 22, 6, rot, jk);
    GD.xsprite(x, y, 48, 0, 23, 4, rot, jk);
    GD.xsprite(x, y, 64, 0, 23, 6, rot, jk);
    GD.xsprite(x, y, 80, 0, 24, 4, rot, jk);
    GD.xsprite(x, y, -112, 16, 24, 6, rot, jk);
    GD.xsprite(x, y, -96, 16, 25, 4, rot, jk);
    GD.xsprite(x, y, -80, 16, 25, 6, rot, jk);
    GD.xsprite(x, y, -64, 16, 26, 4, rot, jk);
    GD.xsprite(x, y, -48, 16, 26, 6, rot, jk);
    GD.xsprite(x, y, -32, 16, 27, 4, rot, jk);
    GD.xsprite(x, y, -16, 16, 27, 6, rot, jk);
    GD.xsprite(x, y, 0, 16, 28, 4, rot, jk);
    GD.xsprite(x, y, 16, 16, 28, 6, rot, jk);
    GD.xsprite(x, y, 32, 16, 29, 4, rot, jk);
    GD.xsprite(x, y, 48, 16, 29, 6, rot, jk);
    GD.xsprite(x, y, 64, 16, 30, 4, rot, jk);
    GD.xsprite(x, y, 80, 16, 30, 6, rot, jk);
    GD.xsprite(x, y, -96, 32, 31, 4, rot, jk);
    GD.xsprite(x, y, -80, 32, 31, 6, rot, jk);
    GD.xsprite(x, y, -64, 32, 32, 4, rot, jk);
    GD.xsprite(x, y, -48, 32, 32, 6, rot, jk);
    GD.xsprite(x, y, -32, 32, 33, 4, rot, jk);
    GD.xsprite(x, y, -16, 32, 33, 6, rot, jk);
    GD.xsprite(x, y, 0, 32, 34, 4, rot, jk);
    GD.xsprite(x, y, 16, 32, 34, 6, rot, jk);
    GD.xsprite(x, y, 32, 32, 35, 4, rot, jk);
    GD.xsprite(x, y, 48, 32, 35, 6, rot, jk);
    GD.xsprite(x, y, 64, 32, 36, 4, rot, jk);
    GD.xsprite(x, y, 80, 32, 36, 6, rot, jk);
    break;
  }
}

static PROGMEM prog_uchar logo_desire_sprimg[] = {

  0xc9,  0x41,  0x6c,  0xfa,  0x0f,  0xe0,  0x41,  0x3e,  0xa4,  0x87,  0xfd,  0x48,  0x1e,  0xed,  0x63,  0x7b, 
  0xfc,  0x4f,  0xe2,  0x29,  0x3e,  0xad,  0x67,  0xfc,  0x6c,  0x9e,  0xab,  0x3c,  0x07,  0x20,  0xff,  0xf8, 
  0x83,  0x7d,  0x28,  0x09,  0xa1,  0xc1,  0xa6,  0x1c,  0x47,  0xa8,  0xe0,  0x16,  0x29,  0xe0,  0x87,  0xa0, 
  0x70,  0xe7,  0xd1,  0x83,  0x07,  0xf0,  0xc1,  0xbf,  0x49,  0x06,  0x07,  0x0f,  0xe1,  0xd3,  0x3f,  0xe6, 
  0x56,  0x16,  0x3e,  0xdb,  0x57,  0xf0,  0xcf,  0xb4,  0xe1,  0xbf,  0x9f,  0x0f,  0xfa,  0xe1,  0x3e,  0xfa, 
  0x27,  0xf8,  0x94,  0x9f,  0xe9,  0x73,  0x7f,  0x91,  0x2f,  0xfb,  0xd5,  0xbe,  0xfe,  0xb7,  0xf8,  0x8e, 
  0xdf,  0xeb,  0x07,  0xff,  0x98,  0x9f,  0xfa,  0xf3,  0x7e,  0xf9,  0x6f,  0xf8,  0x9d,  0x7f,  0xe8,  0x4f, 
  0xff,  0x95,  0xbf,  0x0b,  0xf4,  0xf0,  0xc1,  0x07,  0x88,  0x00,  0x08,  0x3f,  0x70,  0xc2,  0x07,  0x14, 
  0x20,  0x42,  0x69,  0xb0,  0x0a,  0xc8,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff, 
  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xdf,  0xf9,  0xa7,  0xff,  0xee, 
  0xbf,  0xff,  0xff,  0xdf,  0xf3,  0x47,  0xff,  0xdc,  0x5f,  0xff,  0x07,  0xff,  0xf2,  0x3f,  0x0d,  0x80, 
  0x47,  0x0f,  0x1e,  0x03,  0x8a,  0x07,  0x0f,  0x00,  0x02,  0x70,  0x08,  0x07,  0x18,  0x34,  0x20,  0x40, 
  0xf8,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff, 
  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff, 
  0xdf,  0x67,  0xf4,  0xff,  0x83,  0xd7,  0x5b,  0x08,  0xfe,  0xff,  0xf3,  0x7b,  0xfc,  0x04,  0xf4,  0xff, 
  0xdf,  0x3f,  0x04,  0x88,  0x00,  0x20,  0x22,  0x84,  0xd0,  0x0f,  0x03,  0xe0,  0x20,  0x82,  0x08,  0x11, 

  0x20,  0xc2,  0x10,  0x30,  0x12,  0x02,  0x74,  0xd0,  0x80,  0xf8,  0xbf,  0xf0,  0xff,  0xff,  0xff,  0x13, 
  0xfc,  0x43,  0xf8,  0xff,  0x8f,  0xa0,  0x31,  0x22,  0xe2,  0x87,  0x50,  0xf0,  0x21,  0x29,  0xb4,  0x47, 
  0x98,  0x90,  0x58,  0xe4,  0x63,  0x02,  0xfa,  0x00,  0xfd,  0xff,  0x63,  0x66,  0x80,  0xfc,  0xff,  0xf5, 
  0x3d,  0x00,  0x80,  0xff,  0xff,  0x31,  0xa3,  0x29,  0x04,  0x80,  0xe0,  0x13,  0x34,  0xbb,  0x44,  0x9f, 
  0x08,  0x5e,  0x01,  0x34,  0x2a,  0xf6,  0xc9,  0x10,  0x1c,  0x96,  0x03,  0x70,  0xd0,  0x88,  0x92,  0x21, 
  0x18,  0x3e,  0x04,  0xf4,  0x1e,  0xde,  0x47,  0xd8,  0x00,  0xe0,  0x1f,  0x83,  0x87,  0xaf,  0x88,  0xe0, 
  0x07,  0x00,  0x00,  0xf8,  0x3d,  0x02,  0x46,  0x00,  0xe8,  0x37,  0x41,  0x60,  0x68,  0x8c,  0x8b,  0xfe, 
  0xe5,  0xb9,  0xff,  0x0f,  0x91,  0xe0,  0x1f,  0xdc,  0x27,  0x78,  0xd8,  0xf4,  0x1c,  0xdd,  0xe7,  0x96, 
  0xa7,  0xe0,  0x1e,  0x77,  0x83,  0x7b,  0xd2,  0x5f,  0xf7,  0x9b,  0x7d,  0xfb,  0xef,  0xf1,  0x03,  0x5f, 
  0x29,  0x3c,  0xa6,  0x84,  0xe3,  0x7f,  0x2e,  0xae,  0x74,  0x88,  0x0f,  0xde,  0x9e,  0xae,  0x7b,  0xf8, 
  0xb9,  0xf7,  0xd1,  0xfb,  0xe9,  0xbf,  0x92,  0x9e,  0x04,  0xa9,  0x4b,  0xf4,  0x8a,  0x3e,  0x38,  0x08, 
  0x00,  0xfc,  0x0f,  0x08,  0xf0,  0x21,  0x05,  0x80,  0x3e,  0x11,  0x60,  0x01,  0xfe,  0xf5,  0x20,  0x1e, 
  0xe2,  0xc3,  0x7a,  0xc4,  0x8f,  0xe6,  0xb1,  0x3e,  0xbe,  0x27,  0xfe,  0x14,  0x9e,  0xe6,  0x33,  0x7a, 
  0xd6,  0xcf,  0xe5,  0xf9,  0xbe,  0xb0,  0x17,  0xff,  0x32,  0x7e,  0xce,  0x2f,  0xfd,  0x75,  0xfb,  0x86, 
  0xff,  0xe3,  0xee,  0x3f,  0x09,  0xf4,  0x7f,  0xf2,  0xa9,  0xbf,  0x41,  0xfc,  0xf8,  0x23,  0x64,  0xc4, 
  0x0c,  0x18,  0x7d,  0x72,  0x30,  0x04,  0x48,  0x88,  0x00,  0x82,  0x73,  0xd0,  0x0c,  0x46,  0x01,  0x22, 

  0x78,  0x24,  0xac,  0x90,  0x00,  0x1f,  0xd0,  0xe8,  0x98,  0x04,  0x21,  0x62,  0x52,  0x84,  0xa7,  0x10, 
  0x1c,  0x0c,  0x43,  0xd0,  0xdf,  0x4f,  0x1b,  0x91,  0x2b,  0xfb,  0x67,  0x83,  0x58,  0x19,  0x90,  0x32, 
  0x34,  0x7c,  0xf4,  0x1e,  0x53,  0x54,  0xc6,  0xcc,  0x19,  0x01,  0x7a,  0x35,  0x80,  0x87,  0x0c,  0x19, 
  0x70,  0x40,  0x44,  0x1f,  0x00,  0x83,  0x0f,  0xa0,  0xdd,  0x11,  0x10,  0x13,  0x45,  0x80,  0x4c,  0x1a, 
  0xc1,  0x0b,  0xe0,  0x61,  0xc8,  0x0d,  0xc1,  0x25,  0x7c,  0x01,  0x0c,  0xc1,  0x19,  0x31,  0xfc,  0xde, 
  0xcc,  0x92,  0x10,  0x3e,  0x32,  0x65,  0xf8,  0x01,  0x10,  0x82,  0xc3,  0x77,  0x2a,  0x08,  0xdf,  0x21, 
  0x28,  0x7c,  0x05,  0x9f,  0x1a,  0x14,  0xfc,  0x83,  0x77,  0x84,  0x0a,  0xff,  0xf1,  0x33,  0x04,  0x45, 
  0xff,  0xe8,  0x91,  0x2e,  0x53,  0x42,  0x6d,  0x80,  0x90,  0x93,  0x02,  0x66,  0x90,  0x88,  0x80,  0x83, 
  0x21,  0x84,  0x05,  0xeb,  0xe0,  0x89,  0x00,  0x43,  0x00,  0x68,  0x8e,  0xfe,  0x3d,  0x78,  0x0c,  0x40, 
  0x9e,  0x42,  0x50,  0x48,  0x08,  0xfe,  0x1e,  0x63,  0x24,  0x22,  0x0c,  0x88,  0xc2,  0x7f,  0xf0,  0x0a, 
  0x0e,  0xe1,  0x3f,  0x24,  0x6c,  0x4a,  0x44,  0x08,  0xc3,  0x7f,  0xf4,  0xcc,  0x94,  0x90,  0x4a,  0xc5, 
  0x49,  0xcc,  0x96,  0xf1,  0x67,  0x74,  0x40,  0x2a,  0x88,  0x00,  0x10,  0x06,  0x80,  0xe8,  0x13,  0x7c, 
  0x20,  0x04,  0x9f,  0x53,  0x08,  0x28,  0x00,  0x5c,  0xc8,  0xe0,  0x87,  0x10,  0x03,  0xa6,  0x00,  0x50, 
  0xfc,  0x3d,  0xa5,  0x0f,  0x04,  0x98,  0x10,  0x05,  0xff,  0xf8,  0xf9,  0x38,  0x82,  0x43,  0xf1,  0x0f, 
  0x5e,  0xe5,  0x23,  0x00,  0x04,  0x4f,  0x4f,  0xf9,  0xcf,  0x43,  0xf0,  0xf0,  0xe4,  0x3f,  0x0e,  0x84, 
  0x80,  0x00,  0x50,  0xbc,  0x20,  0x01,  0xd8,  0x83,  0x0f,  0x1b,  0xfe,  0x02,  0x82,  0x04,  0x3e,  0x7d, 

  0x86,  0x83,  0xf3,  0x39,  0x20,  0xce,  0xc7,  0xf4,  0x6a,  0x0e,  0xc1,  0x3b,  0x5c,  0x04,  0xa7,  0x3a, 
  0x99,  0x3d,  0xc3,  0x57,  0x70,  0x6c,  0x1c,  0xdb,  0x33,  0x7a,  0x84,  0x9f,  0x46,  0x79,  0x02,  0x11, 
  0x06,  0x8f,  0x6e,  0x11,  0xbe,  0xe0,  0xb7,  0x8a,  0xce,  0x59,  0x13,  0xa2,  0x67,  0xf0,  0x0b,  0x4e, 
  0x1e,  0xb7,  0x41,  0xf0,  0x01,  0x1f,  0x5c,  0x82,  0x47,  0xf8,  0x2d,  0xae,  0xe1,  0xb3,  0x44,  0x8c, 
  0x80,  0x62,  0x01,  0xbe,  0x57,  0x7c,  0xc7,  0xe7,  0x15,  0xbc,  0x2e,  0x22,  0x24,  0x40,  0xe9,  0xeb, 
  0x79,  0x4e,  0xdf,  0xf4,  0x59,  0xbc,  0x96,  0x40,  0x7d,  0x18,  0x9f,  0xf5,  0x31,  0x56,  0x6c,  0x0d, 
  0x00,  0x10,  0xf6,  0xc4,  0xc5,  0x48,  0x0a,  0xf5,  0xe9,  0x35,  0x83,  0x0f,  0x7e,  0xc1,  0x15,  0xfe, 
  0x19,  0x1a,  0x0a,  0xc1,  0xaf,  0x5e,  0xfc,  0x8f,  0xf0,  0x80,  0x1e,  0x01,  0x82,  0xdf,  0x74,  0x96, 
  0xfe,  0x67,  0xf0,  0x44,  0x8c,  0x38,  0x70,  0xee,  0xc9,  0x16,  0x78,  0x2e,  0x86,  0xa1,  0x67,  0x4f, 
  0x9e,  0x3d,  0x7a,  0xd8,  0x01,  0x1b,  0xa9,  0x30,  0x54,  0xad,  0x10,  0x10,  0x5c,  0x83,  0x47,  0x8a, 
  0xc0,  0x0f,  0x1f,  0x32,  0x20,  0xc0,  0x00,  0x01,  0x2c,  0x8e,  0xea,  0x9d,  0x23,  0xf1,  0x5f,  0x48, 
  0x0c,  0x18,  0x30,  0x06,  0x88,  0x00,  0x18,  0xbc,  0x11,  0xae,  0x04,  0x04,  0x18,  0x10,  0x60,  0x44, 
  0x18,  0x20,  0xbf,  0xc4,  0xd8,  0x40,  0x8f,  0x71,  0x24,  0xe4,  0x04,  0x84,  0x01,  0xe2,  0x27,  0x46, 
  0xef,  0x1b,  0x09,  0xa1,  0x20,  0x20,  0x7c,  0x1b,  0xef,  0x02,  0x42,  0xf0,  0x44,  0xbf,  0x10,  0x9a, 
  0x46,  0x71,  0xf9,  0x0f,  0x00,  0x82,  0x5f,  0x70,  0x0e,  0x9e,  0x1e,  0x8e,  0x42,  0xf8,  0x0f,  0x3e, 
  0xe1,  0x3f,  0xfc,  0x78,  0x40,  0xbf,  0x23,  0xe2,  0x7f,  0xfc,  0xf8,  0x03,  0xd1,  0x27,  0xfe,  0x0d, 

  0x0f,  0xf8,  0x27,  0x02,  0x50,  0x70,  0x85,  0xb8,  0xb3,  0xea,  0xf0,  0xb2,  0x5a,  0x01,  0xf1,  0xd2, 
  0x43,  0x93,  0x68,  0x8a,  0xc1,  0xa5,  0x55,  0x9c,  0x49,  0xc0,  0x01,  0x00,  0x40,  0xb8,  0x46,  0x78, 
  0x23,  0x30,  0xd4,  0x03,  0xff,  0x88,  0x01,  0x21,  0x0e,  0x1e,  0xe1,  0x3a,  0x16,  0x20,  0x18,  0x0c, 
  0xfe,  0x83,  0x03,  0xa0,  0xbe,  0x11,  0x5c,  0x0e,  0xc0,  0x93,  0x44,  0x0c,  0x09,  0x71,  0x70,  0xdf, 
  0x9e,  0xfe,  0x21,  0x35,  0x8b,  0xe8,  0x19,  0x5c,  0x82,  0x57,  0x70,  0x40,  0x94,  0x43,  0x82,  0x63, 
  0xf8,  0x09,  0x5e,  0xc1,  0x25,  0xf8,  0x17,  0xc7,  0x07,  0x1d,  0x7e,  0xcb,  0xe5,  0x45,  0x8a,  0x10, 
  0xd5,  0xb3,  0x70,  0x14,  0x81,  0xe2,  0x34,  0x0d,  0x11,  0xe0,  0x0f,  0xbe,  0xc1,  0xe9,  0x5e,  0x21, 
  0x08,  0x7f,  0x01,  0xb4,  0x5b,  0x04,  0xff,  0xe0,  0xe7,  0xa1,  0x16,  0x20,  0x08,  0xff,  0xcb,  0xe2, 
  0x8d,  0x36,  0x8e,  0x98,  0xb5,  0x19,  0x82,  0x7b,  0xf0,  0x7a,  0x07,  0x10,  0xca,  0x67,  0x40,  0x05, 
  0x5f,  0x1e,  0x21,  0x07,  0xff,  0xe0,  0x05,  0x39,  0x00,  0x84,  0xff,  0xc6,  0x11,  0x2e,  0x21,  0x85, 
  0xff,  0xe8,  0x1d,  0x1c,  0x20,  0x41,  0x8c,  0xff,  0xe1,  0x37,  0x4b,  0x6d,  0xcc,  0xe8,  0x0d,  0x29, 
  0x00,  0x04,  0xcf,  0x03,  0x15,  0xbc,  0xd0,  0x07,  0xff,  0x93,  0x99,  0xa8,  0x1e,  0x13,  0xc4,  0xe3, 
  0x59,  0x2e,  0x83,  0x57,  0xf2,  0x04,  0x84,  0x08,  0x61,  0x72,  0x8f,  0xbf,  0xe5,  0x3f,  0xf9,  0x64, 
  0xff,  0xe0,  0xdf,  0xc0,  0xc3,  0x7f,  0xf5,  0x0f,  0x17,  0x33,  0x60,  0x49,  0x22,  0xd8,  0x1e,  0x9e, 
  0xd0,  0x83,  0x87,  0x70,  0x00,  0xa7,  0x00,  0xc2,  0xcf,  0x19,  0xbc,  0xca,  0x45,  0xf0,  0x5c,  0x0e, 
  0x8b,  0xe9,  0x17,  0x04,  0xaf,  0xf0,  0x15,  0x42,  0xa3,  0x07,  0xa4,  0xf0,  0xf9,  0x12,  0x42,  0xf0, 

  0x92,  0x0c,  0xdf,  0xfe,  0x83,  0xcf,  0xef,  0x0c,  0xff,  0x21,  0x2c,  0x7e,  0x44,  0xcf,  0xf0,  0xbb, 
  0x87,  0xe2,  0x77,  0xf4,  0xb9,  0x4d,  0xe1,  0x3f,  0xdc,  0x14,  0x8f,  0xde,  0x01,  0x69,  0x57,  0x46, 
  0xd3,  0x8e,  0x01,  0x1e,  0xc1,  0x98,  0x48,  0xdf,  0xd1,  0xb8,  0x52,  0x22,  0xa8,  0x04,  0xa7,  0x32, 
  0x4f,  0xc5,  0x90,  0xe2,  0x39,  0x3d,  0xe3,  0x4f,  0x71,  0x6c,  0x9e,  0xd9,  0xb7,  0x6d,  0x66,  0xff, 
  0xf8,  0x1d,  0x9c,  0x83,  0x5f,  0x70,  0x69,  0x13,  0x47,  0xb3,  0x3e,  0x06,  0xb8,  0xff,  0xb5,  0xaf, 
  0x83,  0x5f,  0x08,  0xf0,  0xe4,  0x29,  0x84,  0x07,  0xdf,  0xe8,  0x1f,  0xbd,  0x3c,  0x86,  0x2f,  0xf8, 
  0xe0,  0x03,  0xe8,  0x35,  0x8c,  0x3e,  0xf8,  0x03,  0x48,  0xfc,  0x47,  0x8f,  0x3f,  0x40,  0x7f,  0xc7, 
  0xe0,  0x1b,  0x40,  0xb2,  0x67,  0xf0,  0x87,  0x1f,  0x20,  0xe3,  0x7f,  0x70,  0x7e,  0x19,  0xe1,  0x3f, 
  0x7c,  0x05,  0xc0,  0xf2,  0x10,  0xfd,  0xc3,  0x77,  0xf6,  0x08,  0xff,  0xe1,  0xbb,  0xfa,  0xc7,  0xbf, 
  0xfc,  0x1f,  0xfe,  0xf2,  0x7f,  0xf8,  0xae,  0x1d,  0xb1,  0x21,  0x6d,  0xcd,  0xe5,  0x1f,  0x18,  0x3c, 
  0xd1,  0x07,  0xaf,  0xa3,  0xf3,  0x03,  0xc2,  0x47,  0x13,  0x68,  0x5a,  0xe1,  0xe7,  0x5a,  0xd4,  0xa6, 
  0xe8,  0x85,  0x30,  0x00,  0x42,  0x0a,  0x10,  0x90,  0x20,  0x00,  0x58,  0x02,  0x00,  0x01,  0x25,  0x8a, 
  0xf0,  0x0b,  0x01,  0x72,  0x00,  0x00,  0x0c,  0x78,  0x58,  0xc0,  0xff,  0x77,  0x90,  0x21,  0x01,  0x0e, 
  0x10,  0xc1,  0x21,  0xf8,  0x3f,  0x8f,  0x10,  0x00,  0x28,  0xfc,  0x7f,  0xa0,  0xf0,  0x1f,  0x50,  0x20, 
  0xc4,  0x80,  0xf8,  0x55,  0x24,  0x42,  0x4c,  0xe6,  0x40,  0x8c,  0xc8,  0x53,  0xf6,  0x09,  0x1a,  0x90, 
  0xa2,  0xc5,  0x2d,  0xc0,  0x84,  0xc9,  0x53,  0xf1,  0x8c,  0xfe,  0x10,  0x82,  0x4f,  0x75,  0x49,  0x94, 

  0x00,  0x30,  0x45,  0xcf,  0xad,  0x11,  0xff,  0x82,  0x07,  0xa2,  0xe8,  0xb9,  0x0f,  0xfe,  0x43,  0x86, 
  0x8d,  0x1f,  0xe1,  0x3f,  0x7c,  0xdd,  0x8f,  0x2b,  0x81,  0x11,  0x13,  0xa0,  0xa2,  0x52,  0x0c,  0x83, 
  0x17,  0x42,  0x4c,  0x41,  0x22,  0xda,  0x85,  0x4f,  0xf4,  0x18,  0x11,  0x85,  0x9f,  0xe0,  0x1b,  0x3e, 
  0x01,  0x65,  0xb7,  0xf0,  0x8d,  0x30,  0x7c,  0xe6,  0xdf,  0xf0,  0xf1,  0x34,  0xe0,  0x07,  0xcf,  0xfa, 
  0x30,  0x5d,  0x00,  0x04,  0xcf,  0xf0,  0x35,  0x0e,  0xc7,  0x77,  0xf2,  0x0a,  0x5f,  0xb3,  0x20,  0x84, 
  0x44,  0xbf,  0x85,  0x11,  0x61,  0xa2,  0x47,  0xf8,  0x81,  0x10,  0x42,  0xa3,  0x5f,  0xf2,  0x8c,  0xd0, 
  0xf1,  0x3f,  0x68,  0x45,  0xff,  0xe8,  0x15,  0x42,  0xa2,  0xff,  0x73,  0x4a,  0x85,  0xc1,  0x3f,  0x7f, 
  0x5f,  0x89,  0xe8,  0x37,  0x9c,  0x72,  0x14,  0x00,  0xff,  0x01,  0xc0,  0xa3,  0x27,  0x4f,  0x95,  0x22, 
  0xc0,  0x0e,  0x8b,  0xe0,  0xed,  0x21,  0xf8,  0x87,  0xff,  0xf0,  0x1f,  0xfe,  0x63,  0x71,  0xfc,  0x8c, 
  0x0e,  0xf1,  0x3f,  0x29,  0x24,  0xcf,  0x10,  0x98,  0x32,  0x82,  0x71,  0x10,  0x0c,  0x4e,  0x19,  0x63, 
  0x13,  0x44,  0xc2,  0x54,  0x95,  0xbe,  0xc2,  0xa1,  0x87,  0x0c,  0x9e,  0xfd,  0x93,  0x7f,  0xf1,  0x0f, 
  0xfe,  0xc5,  0xbf,  0xfc,  0x64,  0xff,  0xea,  0x8f,  0xa9,  0x78,  0x60,  0x0c,  0x90,  0x01,  0x11,  0x43, 
  0xf8,  0xfa,  0x01,  0x18,  0x82,  0x55,  0x88,  0x08,  0x7e,  0x98,  0x82,  0x57,  0x84,  0x0e,  0x5f,  0x1e, 
  0xc3,  0x4f,  0x8c,  0x0c,  0x84,  0xd5,  0x2b,  0xc0,  0xc0,  0x0f,  0xc0,  0xc1,  0xff,  0x37,  0x04,  0xff, 
  0x08,  0x1e,  0xfe,  0x63,  0x78,  0xf8,  0x0f,  0xff,  0xd1,  0x3d,  0xfe,  0x67,  0x54,  0xf0,  0xe9,  0x3f, 
  0xfb,  0x67,  0xff,  0xf0,  0x1f,  0xfe,  0xa3,  0x7f,  0x05,  0x8f,  0xff,  0xc9,  0x3f,  0x04,  0x79,  0x6e, 

  0xe0,  0xc1,  0x03,  0x7c,  0x00,  0xc8,  0x1e,  0x21,  0x3c,  0xf8,  0xe7,  0xff,  0xf0,  0x5f,  0xfc,  0x53, 
  0x02,  0xc4,  0x00,  0x80,  0x00,  0x11,  0xa4,  0x8b,  0x08,  0x00,  0x22,  0x40,  0x80,  0xc1,  0x30,  0xf8, 
  0x07,  0x8b,  0xe0,  0x1a,  0xfe,  0x82,  0x5b,  0xf8,  0x44,  0x14,  0xbe,  0xc2,  0x76,  0xa0,  0x8a,  0x7f, 
  0xc1,  0x35,  0xfc,  0x07,  0x57,  0x80,  0xc1,  0x3f,  0xc1,  0x22,  0x0c,  0xdf,  0xd9,  0x33,  0xbb,  0x00, 
  0x0c,  0xbe,  0xd9,  0x2d,  0xfa,  0x26,  0xef,  0xe0,  0x7f,  0x19,  0x20,  0x04,  0xbf,  0xfc,  0x1b,  0xfe, 
  0xc3,  0x7f,  0xf2,  0x81,  0x10,  0xff,  0x2b,  0x68,  0xf8,  0xaf,  0xbe,  0xe1,  0xbf,  0x7e,  0x7b,  0xf4, 
  0xe8,  0xc1,  0x93,  0x27,  0x8f,  0xdf,  0x29,  0x00,  0x6c,  0x20,  0x80,  0x00,  0x00,  0x00,  0x82,  0x04, 
  0x09,  0xbd,  0x7f,  0x8f,  0x08,  0x10,  0x40,  0x08,  0x10,  0x01,  0x00,  0x03,  0x46,  0x0c,  0x98,  0x30, 
  0x61,  0x0c,  0x5f,  0x88,  0x11,  0x43,  0x0e,  0x80,  0x08,  0x31,  0x22,  0x08,  0x1e,  0x98,  0xa2,  0x17, 
  0x22,  0xc8,  0x01,  0x02,  0x52,  0xf0,  0x40,  0x98,  0x1e,  0x30,  0x21,  0x0c,  0xde,  0xb3,  0x21,  0x00, 
  0x22,  0x1c,  0x0e,  0x98,  0x42,  0x40,  0xf8,  0x86,  0x08,  0x29,  0x40,  0x96,  0xc0,  0xf0,  0x81,  0x28, 
  0x7d,  0xf5,  0x8e,  0xf5,  0x02,  0x21,  0xfc,  0x06,  0xd7,  0xf0,  0x39,  0x3c,  0xc2,  0x7f,  0xf0,  0x49, 
  0xde,  0xe1,  0x3f,  0xfc,  0x47,  0xff,  0xf0,  0x1f,  0xfd,  0xc3,  0xdf,  0xad,  0x0c,  0xff,  0xd9,  0x79, 
  0x35,  0x84,  0xff,  0xe6,  0x58,  0x2c,  0xd3,  0x3f,  0xc2,  0x2e,  0xb1,  0xb2,  0x00,  0x6e,  0xcb,  0xbe, 
  0xb9,  0xdd,  0x01,  0x74,  0x07,  0x4f,  0xf8,  0x03,  0x40,  0x70,  0x6b,  0x8f,  0xe1,  0x1b,  0x41,  0x17, 
  0xa8,  0x1f,  0x08,  0x3b,  0x44,  0xf8,  0x00,  0x14,  0x00,  0xc0,  0x07,  0x80,  0xfb,  0x9a,  0x1c,  0x21, 

  0x85,  0x80,  0x39,  0x78,  0xee,  0x83,  0x47,  0x08,  0x00,  0xbf,  0x38,  0xae,  0x7b,  0xf8,  0xbd,  0xef, 
  0xe1,  0x3f,  0xfa,  0x87,  0xff,  0xec,  0x5f,  0x3c,  0xb3,  0xcb,  0x42,  0x2c,  0xbe,  0xc9,  0xbf,  0xfc, 
  0x56,  0xff,  0xea,  0x51,  0x3e,  0xf1,  0xa3,  0x4f,  0xbf,  0x8d,  0x01,  0xc0,  0xbe,  0x08,  0x1f,  0x21, 
  0xa0,  0x79,  0x16,  0x94,  0xf0,  0xdb,  0x3e,  0x9e,  0xe1,  0x08,  0xee,  0x7e,  0xc1,  0x07,  0xa1,  0x07, 
  0xff,  0xf0,  0x3b,  0x04,  0xa0,  0x66,  0x1d,  0x30,  0x01,  0x7a,  0x0c,  0x9e,  0x6f,  0xa1,  0x44,  0x84, 
  0x60,  0x40,  0x4d,  0x01,  0x60,  0xf8,  0x42,  0xdf,  0x1c,  0xe0,  0x77,  0x86,  0xf7,  0x00,  0x21,  0x52, 
  0x86,  0x2f,  0x84,  0xab,  0xa0,  0x79,  0xc6,  0xa4,  0xcc,  0x10,  0x3f,  0x11,  0x46,  0x8f,  0xee,  0x1c, 
  0xbf,  0x3d,  0x06,  0xef,  0xaf,  0x92,  0x0a,  0x20,  0x24,  0xaf,  0xf0,  0x31,  0x1b,  0x42,  0x68,  0xf0, 
  0x8d,  0xde,  0x23,  0x09,  0x40,  0xf8,  0x3d,  0x53,  0xe5,  0x2b,  0x78,  0xf5,  0x8d,  0xe0,  0x5d,  0xbf, 
  0xe3,  0xdf,  0x7c,  0x0b,  0x5e,  0xe1,  0x2f,  0x01,  0x47,  0xaf,  0x0b,  0x11,  0xfe,  0x12,  0x43,  0xfa, 
  0x4f,  0x9e,  0x2d,  0x29,  0x7f,  0x85,  0xef,  0xfe,  0x18,  0x7d,  0xbb,  0x57,  0xf0,  0x03,  0xe8,  0x3f, 
  0x00,  0x78,  0x0a,  0x00,  0x1e,  0x6a,  0x43,  0x00,  0x0d,  0x9e,  0x9f,  0x12,  0x00,  0xc0,  0x00,  0x0a, 
  0x20,  0x7c,  0x7a,  0x3c,  0x10,  0x18,  0x30,  0x06,  0x50,  0x0c,  0xc1,  0x1b,  0x11,  0x06,  0x84,  0x18, 
  0x03,  0x0c,  0x82,  0xf0,  0xb5,  0x23,  0x10,  0x5c,  0xc7,  0x80,  0x1c,  0xbc,  0xc3,  0xd7,  0x1a,  0x08, 
  0xd0,  0xe1,  0x07,  0x11,  0x82,  0x7f,  0x1f,  0xfc,  0x83,  0x7f,  0xfe,  0x08,  0xfe,  0xc1,  0x3f,  0xfc, 
  0x47,  0xdf,  0x64,  0x10,  0xff,  0x93,  0x7f,  0xf2,  0x0f,  0xdf,  0x03,  0x2c,  0xfc,  0x67,  0xff,  0xf8, 

  0x3f,  0xa2,  0xd2,  0xff,  0x98,  0x38,  0x87,  0xc1,  0x27,  0x80,  0x07,  0x29,  0x0f,  0x01,  0x60,  0x68, 
  0x04,  0x04,  0x4f,  0x01,  0xc2,  0x53,  0x14,  0x08,  0xeb,  0x11,  0x7f,  0x5a,  0x4d,  0xac,  0x58,  0x1e, 
  0xef,  0xc3,  0x7f,  0x78,  0x4f,  0xeb,  0x19,  0x3f,  0x9b,  0xe7,  0xfa,  0xfc,  0x5e,  0xf8,  0x4b,  0x78, 
  0x99,  0x40,  0x1f,  0x00,  0xcb,  0x7f,  0x15,  0xc2,  0x1f,  0x00,  0xaa,  0x7f,  0xf0,  0x6f,  0xf0,  0xe1, 
  0xbf,  0xe5,  0xc7,  0xc0,  0xf6,  0x1f,  0xfc,  0x7b,  0x7c,  0x5f,  0x06,  0x0f,  0x3f,  0x00,  0x64,  0x66, 
  0xf8,  0x07,  0xf1,  0x37,  0x40,  0x04,  0x1f,  0x02,  0xc0,  0x07,  0x1f,  0x08,  0x13,  0x60,  0x62,  0x40, 
  0x08,  0xff,  0xe1,  0x73,  0x63,  0x45,  0xc7,  0xe0,  0x03,  0x3e,  0x7c,  0x2e,  0xca,  0xf8,  0x90,  0x20, 
  0xa2,  0xef,  0x4a,  0x48,  0x00,  0xe1,  0x23,  0xfe,  0xe1,  0x47,  0x18,  0x0c,  0x02,  0x64,  0x72,  0x84, 
  0x8f,  0x1f,  0x7d,  0xa0,  0x0a,  0xce,  0xe1,  0x27,  0x38,  0x81,  0x0f,  0xce,  0xe1,  0x23,  0x80,  0x01, 
  0x04,  0x10,  0x80,  0x01,  0x05,  0x10,  0xf0,  0xc1,  0x26,  0x64,  0x78,  0xf6,  0x7c,  0x04,  0x02,  0xa4, 
  0xe7,  0xcb,  0x87,  0x39,  0x00,  0x61,  0x0a,  0x00,  0x81,  0x3b,  0x18,  0x22,  0x46,  0x1c,  0xd0,  0x02, 
  0xac,  0xe7,  0x10,  0x10,  0xc0,  0xc3,  0x63,  0xfc,  0x08,  0xee,  0x71,  0x19,  0x7f,  0x04,  0x4f,  0x30, 
  0xbd,  0x10,  0x11,  0x22,  0x48,  0xff,  0xd3,  0x63,  0xb7,  0x6c,  0x51,  0x10,  0x82,  0x27,  0xa2,  0xe0, 
  0xe9,  0x21,  0x68,  0x75,  0x84,  0x56,  0x01,  0x00,  0x13,  0x22,  0x4c,  0xc1,  0x37,  0x42,  0x01,  0x80, 
  0x80,  0x08,  0x73,  0xf8,  0x69,  0x1f,  0x3d,  0x1a,  0x40,  0x70,  0xc0,  0x1c,  0xbd,  0x9a,  0xd3,  0x84, 
  0x0c,  0x1f,  0x65,  0x23,  0xfa,  0xb4,  0xef,  0xf0,  0x09,  0x19,  0x10,  0xe4,  0xfe,  0x99,  0x3a,  0xfa, 

  0x77,  0xfc,  0x0c,  0x0e,  0x80,  0x86,  0x7b,  0x2f,  0x02,  0x1c,  0x00,  0xfa,  0x7b,  0x70,  0x0b,  0xf6, 
  0xff,  0xbf,  0xff,  0x07,  0xf8,  0x8e,  0x53,  0x2c,  0x03,  0x7e,  0xd0,  0x0c,  0xe0,  0x81,  0x76,  0x7c, 
  0x20,  0x86,  0x1c,  0x90,  0x20,  0x07,  0x40,  0xf8,  0x90,  0x02,  0x40,  0x5f,  0x1f,  0x5a,  0x8b,  0xf2, 
  0x53,  0x20,  0xec,  0x1f,  0x9e,  0x9e,  0x23,  0x24,  0x88,  0x80,  0xde,  0xd7,  0xf0,  0x08,  0x7e,  0x21, 
  0xe0,  0x05,  0x06,  0x4c,  0x8c,  0xfd,  0x21,  0xfc,  0x84,  0xc0,  0x08,  0x09,  0x01,  0xe1,  0xf0,  0x08, 
  0x5f,  0x80,  0xc2,  0x67,  0xb8,  0xec,  0x1f,  0x18,  0xc2,  0x2f,  0x00,  0x48,  0xff,  0x63,  0x01,  0x02, 
  0xc0,  0x78,  0x2e,  0xa2,  0x27,  0xfc,  0xf0,  0xd1,  0xff,  0x20,  0x45,  0x85,  0xfe,  0x19,  0x5c,  0xb6, 
  0x63,  0xe6,  0xe8,  0x3f,  0xe1,  0xb7,  0x7f,  0x02,  0xea,  0x81,  0x3d,  0x1d,  0x40,  0xb0,  0x08,  0xce, 
  0x21,  0xb4,  0x48,  0xa2,  0x0f,  0x2e,  0x81,  0xe6,  0x36,  0xbc,  0x88,  0x97,  0xe1,  0x29,  0x00,  0x04, 
  0xa6,  0x77,  0xd4,  0x3f,  0xb6,  0x67,  0x00,  0x0a,  0x5c,  0xfd,  0xf3,  0x5a,  0x06,  0xfc,  0x2a,  0xd9, 
  0x2e,  0x47,  0x7e,  0x15,  0xf4,  0x34,  0x08,  0xe0,  0x37,  0x81,  0x1f,  0x19,  0xb0,  0x30,  0x79,  0x0c, 
  0x10,  0xff,  0x21,  0x69,  0xa0,  0x1f,  0x10,  0x7d,  0xf3,  0x5f,  0xbf,  0xcf,  0xe0,  0xd7,  0x17,  0x47, 
  0x50,  0xf0,  0x1f,  0xc7,  0xe1,  0xff,  0x31,  0x04,  0xe7,  0x57,  0x11,  0xfd,  0xa2,  0x41,  0x80,  0x4e, 
  0xde,  0x05,  0x03,  0x50,  0x70,  0xfd,  0x15,  0x10,  0xd2,  0x07,  0xfe,  0x05,  0x11,  0xfe,  0xe7,  0x07, 
  0xa4,  0xe0,  0x51,  0x0d,  0xe2,  0x67,  0xf8,  0x47,  0x94,  0x3d,  0x00,  0x25,  0x8f,  0x00,  0xe6,  0x09, 
  0x52,  0x85,  0x18,  0x08,  0xc1,  0xff,  0x7f,  0x77,  0x0f,  0xcf,  0x1e,  0x02,  0xb0,  0xc7,  0xa0,  0x70, 

  0x1b,  0xf1,  0xff,  0x4f,  0x8c,  0x18,  0x02,  0x00,  0xc6,  0x20,  0x11,  0x14,  0xd0,  0xe3,  0xcf,  0x8e, 
  0x98,  0x10,  0x62,  0x40,  0x80,  0x11,  0x61,  0x90,  0xc0,  0x8f,  0x18,  0x7d,  0x00,  0xfc,  0x99,  0x08, 
  0x10,  0x20,  0x0c,  0x22,  0xc1,  0x63,  0x00,  0x05,  0x97,  0x80,  0x98,  0x35,  0x83,  0x53,  0xb0,  0x82, 
  0xff,  0x21,  0x02,  0x64,  0x7a,  0x9c,  0x88,  0xdd,  0xfa,  0x5f,  0x65,  0x2f,  0x88,  0xc1,  0xe3,  0x72, 
  0xbe,  0x89,  0x10,  0x94,  0xbf,  0x16,  0xe2,  0xed,  0x0c,  0xff,  0xfe,  0x57,  0xe0,  0x93,  0x0e,  0x4e, 
  0x10,  0xc2,  0xef,  0x3b,  0xf9,  0x86,  0xe1,  0xab,  0x78,  0x04,  0xf7,  0xf0,  0x55,  0x1e,  0xc3,  0x7f, 
  0xfa,  0xba,  0x96,  0xc1,  0x3d,  0x7e,  0x56,  0x40,  0x48,  0xfd,  0x1e,  0x80,  0xc7,  0xf3,  0x01,  0x69, 
  0xd8,  0xf7,  0xbf,  0x80,  0x5f,  0x2d,  0xfa,  0x62,  0x40,  0x0f,  0xca,  0x90,  0x7e,  0x46,  0x80,  0x0f, 
  0x18,  0x88,  0xd3,  0xc1,  0xff,  0x0c,  0xe0,  0x9f,  0x31,  0x04,  0x04,  0xcc,  0xa0,  0x16,  0x0c,  0xfe, 
  0x41,  0x10,  0x08,  0x18,  0x18,  0x83,  0x83,  0x47,  0x8c,  0x01,  0x78,  0x7d,  0x5d,  0x08,  0x4f,  0x1e, 
  0x3d,  0xae,  0x8d,  0x00,  0x1c,  0xfc,  0x43,  0x6c,  0xf0,  0x8f,  0x00,  0xfb,  0x31,  0xfc,  0x47,  0xa7, 
  0x80,  0x1c,  0x7c,  0xa3,  0x46,  0xfc,  0x0a,  0x94,  0xe1,  0x3f,  0xc0,  0x06,  0xf1,  0xc0,  0x1b,  0xdc, 
  0x43,  0x78,  0x80,  0x0f,  0x2a,  0x57,  0x21,  0xc0,  0x85,  0xa5,  0x71,  0x11,  0xc0,  0x7e,  0xc5,  0x10, 
  0x7e,  0x9b,  0x9e,  0xfb,  0x8d,  0xe7,  0x00,  0xe4,  0x09,  0x33,  0x26,  0xc4,  0x01,  0x33,  0x40,  0x7a, 
  0x0a,  0x1a,  0x01,  0xd1,  0x73,  0xab,  0xf0,  0x88,  0x29,  0x60,  0x04,  0x84,  0x9a,  0xe9,  0x3f,  0x42, 
  0x8d,  0x88,  0x80,  0x19,  0x8d,  0x83,  0x6f,  0xec,  0x88,  0xbb,  0xe1,  0xd9,  0x73,  0x6a,  0x0c,  0x08, 

  0x2b,  0x3c,  0x08,  0x64,  0xa6,  0x90,  0x11,  0x60,  0x42,  0xd3,  0xbe,  0x3f,  0x22,  0x85,  0xe4,  0x94, 
  0x87,  0xfd,  0x80,  0x1f,  0xfd,  0xe3,  0x78,  0x82,  0x4f,  0xea,  0x29,  0x3f,  0x9d,  0x67,  0xfa,  0xec, 
  0x9e,  0xfb,  0x0b,  0x78,  0x91,  0x2f,  0xe9,  0x65,  0xbf,  0x92,  0x57,  0xfb,  0xda,  0x5e,  0xff,  0x9b, 
  0x78,  0x8b,  0x5f,  0xde,  0x7d,  0xbd,  0x2f,  0x06,  0xfd,  0x10,  0xbf,  0x06,  0xe6,  0x75,  0xb8,  0x19, 
  0xcd,  0x43,  0x7c,  0x92,  0x8e,  0xff,  0x20,  0x1e,  0xe2,  0xc3,  0x7a,  0xc4,  0x8f,  0xe6,  0xb1,  0x3e, 
  0xbe,  0x27,  0xfe,  0x14,  0x9e,  0xe6,  0x33,  0x7a,  0xd6,  0xcf,  0xe5,  0xf9,  0xbe,  0xb0,  0x17,  0xff, 
  0x32,  0x5e,  0xe1,  0xab,  0x7a,  0xcd,  0xef,  0xdf,  0x9d,  0x70,  0x90,  0x20,  0xee,  0x0a,  0xdd,  0xf2, 
  0xb7,  0x04,  0x27,  0xc4,  0xc1,  0xb1,  0x5f,  0x45,  0xd0,  0xe0,  0x3c,  0x2c,  0x23,  0x48,  0xb0,  0x19, 
  0x17,  0xa3,  0x28,  0x12,  0xc6,  0x0d,  0xcf,  0xfe,  0x83,  0xff,  0x28,  0x0d,  0x7e,  0x13,  0x3d,  0x24, 
  0x4d,  0xff,  0x39,  0xbe,  0xe0,  0x97,  0xfa,  0xca,  0x5f,  0xe7,  0x9b,  0x7e,  0xbb,  0xef,  0xfe,  0x03, 
  0x7e,  0xe4,  0x4f,  0xfa,  0xd9,  0xbf,  0xe4,  0xd7,  0xfe,  0xb6,  0x63,  0xc4,  0x88,  0x21,  0x40,  0xbc, 
  0x69,  0x4c,  0x83,  0xfb,  0xf5,  0x05,  0xd7,  0xe0,  0x3f,  0xe9,  0x82,  0xfb,  0x98,  0x8a,  0xfe,  0xe1, 
  0x6d,  0x3e,  0x85,  0x58,  0xff,  0x8b,  0x7b,  0x54,  0x04,  0xb7,  0x00,  0x1e,  0xe4,  0x43,  0x7a,  0xd8, 
  0x8f,  0xe4,  0xd1,  0x3e,  0xb6,  0xc7,  0xff,  0x24,  0x9e,  0xe2,  0xd3,  0x7a,  0xc6,  0xcf,  0xe6,  0xb9, 
  0x3e,  0xbf,  0x17,  0xfe,  0xff,  0x1f,  0x20,  0x21,  0x07,  0x80,  0xe6,  0x1a,  0xe8,  0x82,  0x7b,  0xc8, 
  0x79,  0x8f,  0xe1,  0x3f,  0x3c,  0x47,  0x97,  0x1f,  0x19,  0xfe,  0x03,  0x68,  0xe7,  0xef,  0xe1,  0x7d, 

  0x7e,  0xa0,  0x0f,  0xfd,  0x51,  0x3e,  0xee,  0x27,  0xfb,  0xf4,  0x9f,  0xe3,  0x0b,  0x7e,  0xa9,  0xaf, 
  0xfc,  0x75,  0xbe,  0xe9,  0xb7,  0xfb,  0xee,  0x3f,  0xe0,  0x47,  0xbe,  0xff,  0xd6,  0x59,  0x4f,  0x17, 
  0x22,  0x48,  0x35,  0xf5,  0x3b,  0xd1,  0xf2,  0x5b,  0x7b,  0xa0,  0x7f,  0xf6,  0xaf,  0xfd,  0xfd,  0x7f, 
  0xf1,  0x1f,  0xff,  0xd7,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff, 
  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xa7, 
  0x7f, 
};
static PROGMEM prog_uchar logo_desire_sprpal[] = {

  0x9f,  0x4f,  0xb7,  0x3a,  0xcf,  0x25,  0xe8,  0x10,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00, 
  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x80, 
};


void intro(){

/* INTRO TECH SPEC */
  map_load_Text();
  textRect(6, 0+3, 35, 16,  "");

  putstr(8,2+3,  " DEMO PLATFORM SPECIFICATIONS:");
  putstr(8,5+3,  "         ARDUINO MEGA");
  putstr(8,7+3,  "CPU         : ATMega 2560 (8-BIT)");
  putstr(8,9+3,  "CPU SPEED   : 16Mhz");
  putstr(8,11+3, "MEMORY      :   8KB");
  putstr(8,13+3, "FLASH SPACE : 256KB ");

  textRect(6, 18+3, 35, 10,  "");

  putstr(8+4,20+3,"ADDITIONAL HARDWARE:");

  putstr(8,23+3,"Gameduino Shield");
  putstr(8,25+3,"PS2 Keyboard");

  delay(16000);

  fadeAll();

  hideSprites();

  /* LOGO FADING BETWEEN TRSI AND DESIRE */
  GD.uncompress(RAM_SPRIMG, logo_trsi_sprimg);
  GD.copy(PALETTE16A, logo_trsi_sprpal, sizeof(logo_trsi_sprpal));

  // For show, randomly scatter the frames on the screen
  GD.__wstartspr(0);
  draw_logo_trsi(160+35, 120, 0, 0);
  GD.__end();

  delay(2000);
  fadeAll();

  hideSprites();

  GD.uncompress(RAM_SPRIMG, logo_desire_sprimg);
  GD.copy(PALETTE16A, logo_desire_sprpal, sizeof(logo_desire_sprpal));

  // For show, randomly scatter the frames on the screen
  GD.__wstartspr(0);
  draw_logo_desire(160+35, 120, 0, 0);
  GD.__end();

  delay(2000);
  fadeAll();

  clearScreen();

  /* STORY NARRATIVE HERE */
  hideSprites();
  map_load_Text();
  textRect(6, 0+3, 35-4, 16,  "A long time ago, in a South   Western Scene far far away...                               There were three alien dudes  called Saar Star, Trired      Sectorius and Coopus Desirius.                              They always fought about the  question, who had the best    effects on the planet, so theydecided to visit their local  battle arena E-Werk and       have an epic duel about it.");
  
  
  //  There were three alien dudes called \"Saar Star\"\,\"Trired Sectorius\" and \"Coopus Desirius\"!They always fought about the question, who had the best effects on the planet\, so they decided to visit their local battle arena \"E-Werkius\" and have an epic duel about it.");
  fadeAll();

  clearScreen();
  clearSprites();
  runStars3D(600);
 //fadeAll();

  clearSprites();
  GD.wr(SPR_PAGE, flip);
//  clearSprites();
 fadeAll();

//  clearScreen();  


}







