
#include <SPI.h>
#include <GD.h>

#include "logo_trsi.h"

void setup()
{
  GD.begin();

  GD.copy(PALETTE16A, logo_trsi_sprpal, sizeof(logo_trsi_sprpal));
  GD.uncompress(RAM_SPRIMG, logo_trsi_sprimg);

  // For show, randomly scatter the frames on the screen
  GD.__wstartspr(0);
  for (int anim = 0; anim < LOGO_TRSI_FRAMES; anim++)
    draw_logo_trsi(random(400), random(300), anim, 0);
  GD.__end();
}

void loop()
{
}