/*

 Name      :  Plasma
 Notes     :  everybody loves plasma effect
 
 */

class Plasma
{
public:
  Plasma(){
    frame=0;
    calcsine();
    calcPalette();  
    sineColor = &sinePalette[0];    
  }

  void render()
  {
    drawplasma(frame>>1, 256 - frame>>1);
    frame = (frame + 1) & 511;
  }

private:
  unsigned char sine[512];
  unsigned char sinePalette[256];
  unsigned char *sineColor;
  int frame;

  void calcPalette()
  {
    for(int i = 0; i < 256; i++)
    {
      int r = int((cos(i * 2.0 * PI / 256.0) + 1) * 32);
      int g = int(sin(i * 2.0 * PI / 512.0) * 255 * cos(i * 2.0 * PI / 1024.0));
      int b = int(sin(i * 2.0 * PI / 512.0) * 255);
      sinePalette[i] = color(b,g,r);
    }
  }

  void calcsine()
  {
    int c;
    for(c = 0; c < 512; c++)
    {
      sine[c] = int(sin(c * PI/ 64) * 64);
    } 
  }

  void drawplasma(int xa, int ya)
  {
    int x, y;
    int t2, t4;
    unsigned char *s1, *s2;

    for(y = 0; y < RENDERHEIGHT; y++) 
    {
      t2 = *(sine + ((xa + ya - y) & 255));
      s1 = (sine + xa);
      s2 = (sine + ((xa - ya + y ) & 255) + 256);

      for(x = 0; x < RENDERWIDTH; x++)
      {
        t4 = ((*(s1++) + *(s2--) + t2) & 254) + 1;
        fire_buffer[x+y*50] = *(sinePalette + t4);
      }
    }
  }
};




