/* sprites for star field and main logo */


static void draw_sm_star_shaded(int x, int y, byte anim, byte rot, byte jk = 0) {

  switch (anim) {
    case 0:    
      GD.xsprite(x, y, 0, 0, 38, 0, rot, jk);
      break;
    case 1:
      GD.xsprite(x, y, 0, 0, 42, 0, rot, jk);
      break;
    case 2:
       GD.xsprite(x, y, 0, 0, 43, 0, rot, jk);
      break;

    case 3:
      GD.xsprite(x, y, 0, 0, 44, 0, rot, jk);
      break;

    case 4:
      GD.xsprite(x, y, 0, 0, 45, 0, rot, jk);
      break;

    case 5:
      GD.xsprite(x, y, 0, 0, 46, 0, rot, jk);
      break;


    case 6:
      GD.xsprite(x, y, 0, 0, 47, 0, rot, jk);
      break;


    case 7:
      GD.xsprite(x, y, 0, 0, 48, 0, rot, jk);
      break;


    case 8:
      GD.xsprite(x, y, 0, 0, 49, 0, rot, jk);
      break;


    case 9:
      GD.xsprite(x, y, 0, 0, 50, 0, rot, jk);
      break;

  }

}



static void draw_sm_star(int x, int y, byte anim, byte rot, byte jk = 0) {

  switch (anim) {
    case 0:    
      GD.xsprite(x, y, 0, 0, 46, 0, rot, jk);
      break;
    case 1:
      GD.xsprite(x, y, 0, 0, 47, 0, rot, jk);
      break;
    case 2:
       GD.xsprite(x, y, 0, 0, 48, 0, rot, jk);
      break;

    case 3:
      GD.xsprite(x, y, 0, 0, 49, 0, rot, jk);
      break;

    case 4:
      GD.xsprite(x, y, 0, 0, 50, 0, rot, jk);
      break;
  }

}

static void draw_lg_star(int x, int y, byte anim, byte rot, byte jk = 0) {

  switch (anim) {
    case 0:    
      GD.xsprite(x, y, 0, 0, 38, 0, rot, jk);
      break;
    case 1:
      GD.xsprite(x, y, 0, 0, 42, 0, rot, jk);
      break;
    case 2:
      GD.xsprite(x, y, 0, 0, 43, 0, rot, jk);
      break;

    case 3:
      GD.xsprite(x, y, 0, 0, 44, 0, rot, jk);
      break;

    case 4:
      GD.xsprite(x, y, 0, 0, 45, 0, rot, jk);
      break;
  }
}


static void draw_sm_logo(int x, int y, byte anim, byte rot, byte jk = 0) {
  switch (anim) {
  case 0:
    GD.xsprite(x, y, -108, -32, 0, 0, rot, jk);
    GD.xsprite(x, y, -92, -32, 1, 0, rot, jk);
    GD.xsprite(x, y, -76, -32, 2, 0, rot, jk);
    GD.xsprite(x, y, -60, -32, 3, 0, rot, jk);
    GD.xsprite(x, y, -44, -32, 4, 0, rot, jk);
    GD.xsprite(x, y, -28, -32, 5, 0, rot, jk);
    GD.xsprite(x, y, -12, -32, 6, 0, rot, jk);
    GD.xsprite(x, y, 4, -32, 7, 0, rot, jk);
    GD.xsprite(x, y, 20, -32, 8, 0, rot, jk);
    GD.xsprite(x, y, 36, -32, 9, 0, rot, jk);
    GD.xsprite(x, y, 52, -32, 10, 0, rot, jk);
    GD.xsprite(x, y, 68, -32, 11, 0, rot, jk);
    GD.xsprite(x, y, 84, -32, 12, 0, rot, jk);
    GD.xsprite(x, y, -108, -16, 13, 0, rot, jk);
    GD.xsprite(x, y, -92, -16, 14, 0, rot, jk);
    GD.xsprite(x, y, -76, -16, 15, 0, rot, jk);
    GD.xsprite(x, y, -60, -16, 16, 0, rot, jk);
    GD.xsprite(x, y, -44, -16, 17, 0, rot, jk);
    GD.xsprite(x, y, -28, -16, 18, 0, rot, jk);
    GD.xsprite(x, y, -12, -16, 19, 0, rot, jk);
    GD.xsprite(x, y, 4, -16, 20, 0, rot, jk);
    GD.xsprite(x, y, 20, -16, 21, 0, rot, jk);
    GD.xsprite(x, y, 36, -16, 22, 0, rot, jk);
    GD.xsprite(x, y, 52, -16, 23, 0, rot, jk);
    GD.xsprite(x, y, 68, -16, 24, 0, rot, jk);
    GD.xsprite(x, y, 84, -16, 25, 0, rot, jk);
    GD.xsprite(x, y, -108, 0, 26, 0, rot, jk);
    GD.xsprite(x, y, -92, 0, 27, 0, rot, jk);
    GD.xsprite(x, y, -76, 0, 28, 0, rot, jk);
    GD.xsprite(x, y, -60, 0, 29, 0, rot, jk);
    GD.xsprite(x, y, -44, 0, 30, 0, rot, jk);
    GD.xsprite(x, y, -28, 0, 31, 0, rot, jk);
    GD.xsprite(x, y, -12, 0, 32, 0, rot, jk);
    GD.xsprite(x, y, 4, 0, 33, 0, rot, jk);
    GD.xsprite(x, y, 20, 0, 34, 0, rot, jk);
    GD.xsprite(x, y, 36, 0, 35, 0, rot, jk);
    GD.xsprite(x, y, 52, 0, 36, 0, rot, jk);
    GD.xsprite(x, y, 68, 0, 37, 0, rot, jk);
    GD.xsprite(x, y, -92, 16, 39, 0, rot, jk);
    GD.xsprite(x, y, -76, 16, 40, 0, rot, jk);
    GD.xsprite(x, y, -60, 16, 41, 0, rot, jk);
    break;
  }
}

const static PROGMEM prog_uchar sm_logo_sprimg[] = {

0xc9,  0xe1,  0x28,  0xf8,  0x0f,  0xe0,  0x41,  0x3e,  0xa4,  0x87,  0xfd,  0x48,  0x1e,  0xed,  0x63,  0xbb, 
0x7f,  0x5f,  0x3e,  0xfd,  0x04,  0x00,  0x9f,  0xbe,  0x12,  0x47,  0x60,  0x0c,  0x52,  0xde,  0xbd,  0x1b, 
0xd4,  0x68,  0xc4,  0xa9,  0xbf,  0xe0,  0xe0,  0xc2,  0xa2,  0x6b,  0x37,  0x4e,  0x9d,  0xfa,  0x70,  0xc1, 
0x9e,  0x0d,  0x1b,  0x86,  0xc4,  0x99,  0xe8,  0xf7,  0x67,  0x44,  0x00,  0x58,  0x44,  0x04,  0x88,  0xba, 
0x17,  0xcc,  0x92,  0x27,  0x57,  0x7a,  0xd4,  0x90,  0x21,  0x20,  0xc4,  0x5e,  0x20,  0x50,  0x00,  0xe0, 
0x50,  0xdb,  0x63,  0xc9,  0x86,  0x0b,  0x1d,  0x52,  0xf8,  0xf0,  0xa0,  0x04,  0x05,  0x94,  0x81,  0x00, 
0x30,  0xe0,  0x48,  0x68,  0x65,  0x49,  0x8f,  0x0e,  0x01,  0x02,  0x08,  0xc0,  0xa3,  0x04,  0x07,  0x18, 
0x91,  0x00,  0x26,  0x60,  0x90,  0x29,  0x0c,  0x0e,  0xa4,  0x98,  0x08,  0x24,  0x0e,  0x06,  0x14,  0x68, 
0xc0,  0x60,  0x05,  0x08,  0x25,  0x84,  0x40,  0x21,  0x69,  0x2a,  0x44,  0x02,  0x07,  0x7b,  0x44,  0x80, 
0x41,  0x00,  0x08,  0x1e,  0x02,  0x98,  0x22,  0x50,  0x17,  0x3c,  0x90,  0x33,  0x15,  0xc8,  0x94,  0x41, 
0xd2,  0x00,  0x00,  0x34,  0x78,  0x88,  0x24,  0x60,  0x84,  0x1c,  0x15,  0xb4,  0x49,  0x20,  0x78,  0x20, 
0x07,  0x1c,  0xbc,  0x99,  0x38,  0x64,  0x8c,  0x16,  0x35,  0x11,  0x81,  0x4c,  0x18,  0xa4,  0x84,  0xf0, 
0x21,  0x30,  0x7c,  0x88,  0x74,  0xc0,  0x3e,  0x78,  0x20,  0x61,  0x1a,  0x3c,  0x08,  0x11,  0x01,  0x9a, 
0x03,  0x98,  0x0a,  0xd5,  0xd8,  0xff,  0x87,  0xf8,  0x88,  0x1f,  0xeb,  0x13,  0x7f,  0x9a,  0xcf,  0xfa, 
0x5e,  0xbd,  0xf0,  0x97,  0x61,  0x8f,  0x08,  0x10,  0x9e,  0x7c,  0x7a,  0xf1,  0xbe,  0xfa,  0x88,  0x06, 
0x40,  0xe2,  0x99,  0x43,  0xbf,  0x45,  0x0f,  0x91,  0x05,  0x2d,  0x3a,  0x74,  0xa8,  0x91,  0x22,  0x41, 

0x46,  0x88,  0x89,  0x18,  0xfd,  0x0e,  0xbd,  0x84,  0x44,  0xf4,  0x01,  0x00,  0x6d,  0x85,  0x40,  0x0a, 
0x0e,  0x0c,  0x81,  0xfe,  0x20,  0x54,  0xa1,  0x1b,  0x3f,  0xa4,  0x49,  0x05,  0x87,  0x00,  0x85,  0x24, 
0x04,  0x10,  0x67,  0xc0,  0x84,  0xa9,  0x18,  0xd2,  0x44,  0x10,  0x21,  0x47,  0x86,  0x0c,  0x6d,  0x24, 
0x40,  0x82,  0x80,  0x49,  0xa3,  0x08,  0x11,  0xa4,  0x48,  0x13,  0x0d,  0x1c,  0xc4,  0x09,  0x20,  0x47, 
0x8d,  0x1a,  0x7c,  0x08,  0x60,  0x1a,  0x00,  0x90,  0x73,  0x21,  0xcd,  0xbe,  0x55,  0x88,  0x64,  0x4a, 
0x00,  0x29,  0x1a,  0x70,  0x33,  0x40,  0x80,  0x40,  0x44,  0xac,  0x58,  0xb1,  0x0b,  0x9e,  0x62,  0x04, 
0x20,  0x42,  0x19,  0x02,  0x88,  0x0b,  0x15,  0x4a,  0x80,  0x34,  0x1f,  0xd6,  0x62,  0xc4,  0x84,  0x40, 
0x06,  0x48,  0xd0,  0xc4,  0x08,  0x81,  0x81,  0x81,  0x00,  0x1f,  0x56,  0xec,  0xc5,  0xc7,  0x48,  0x91, 
0xc8,  0xc0,  0xc7,  0x08,  0x62,  0x62,  0xfe,  0x87,  0x4f,  0x83,  0x96,  0x1a,  0x7c,  0xe0,  0x66,  0x02, 
0x96,  0x81,  0xc5,  0x10,  0x1e,  0x26,  0x19,  0x00,  0x06,  0x03,  0x96,  0x89,  0xfb,  0x88,  0xee,  0x9f, 
0x10,  0x00,  0x04,  0xc8,  0xab,  0x83,  0xa8,  0x8e,  0x1e,  0x3c,  0x00,  0x93,  0xe3,  0x46,  0xf4,  0x79, 
0xd8,  0xf7,  0x99,  0x58,  0x88,  0x9f,  0x05,  0x44,  0x52,  0xe4,  0x0a,  0x66,  0xcc,  0x5e,  0xa3,  0x07, 
0x5f,  0x69,  0x88,  0x35,  0x08,  0x90,  0x40,  0xf9,  0xc9,  0xd1,  0xad,  0x47,  0xac,  0x28,  0x8d,  0x2e, 
0x62,  0x91,  0x50,  0x50,  0x10,  0x41,  0x30,  0xd4,  0xa9,  0x5d,  0xbb,  0x65,  0x93,  0xda,  0x74,  0x58, 
0xca,  0x93,  0x9a,  0xc1,  0xc0,  0x02,  0x47,  0x40,  0x9b,  0x7a,  0xcd,  0x3a,  0x0c,  0x19,  0x36,  0x62, 
0xd1,  0x52,  0x6a,  0x70,  0x8a,  0x08,  0x2d,  0x9e,  0x2a,  0xa1,  0x50,  0x91,  0x22,  0x2d,  0x06,  0x0d, 

0x1a,  0x16,  0x20,  0xca,  0x94,  0x61,  0xe2,  0x44,  0xe8,  0x23,  0x63,  0xa2,  0x54,  0x94,  0x42,  0xf5, 
0x1a,  0x42,  0x00,  0x53,  0xf6,  0xa2,  0xc4,  0x33,  0x21,  0xda,  0x0b,  0x82,  0x87,  0x70,  0x51,  0x62, 
0xb5,  0x18,  0x32,  0x28,  0xb4,  0x2b,  0x68,  0x14,  0x40,  0x9c,  0x35,  0x3d,  0x02,  0x42,  0xc5,  0x8b, 
0x15,  0x1f,  0x03,  0x45,  0x8a,  0x56,  0x27,  0x9e,  0x3d,  0x43,  0x96,  0x5c,  0x91,  0x33,  0x30,  0x92, 
0x22,  0x13,  0x44,  0xf0,  0x12,  0xc5,  0x98,  0x15,  0x57,  0xd2,  0x88,  0x34,  0x1a,  0x4e,  0x0e,  0xe1, 
0x53,  0xa1,  0x06,  0x2d,  0x0a,  0x19,  0xb3,  0xe6,  0x42,  0x1f,  0x11,  0x13,  0x57,  0xa6,  0x4c,  0x59, 
0xb6,  0xda,  0xe7,  0x07,  0xfa,  0xd0,  0x1f,  0xe5,  0xe3,  0x7e,  0xb2,  0x4f,  0xff,  0x39,  0xbe,  0xe0, 
0x97,  0xa2,  0x57,  0xb7,  0xae,  0x9c,  0x38,  0xf4,  0x34,  0xfe,  0xbd,  0xdb,  0x13,  0xbb,  0x2b,  0x88, 
0xfd,  0x00,  0x17,  0x6d,  0xc2,  0xa6,  0x1b,  0xb7,  0xee,  0xdc,  0x59,  0x12,  0x43,  0x88,  0x00,  0x11, 
0x02,  0x88,  0x10,  0x31,  0xf5,  0xe2,  0x52,  0x0c,  0xd1,  0x9e,  0xa1,  0x4d,  0x14,  0x31,  0xa2,  0xf4, 
0xb8,  0x70,  0x61,  0x45,  0x1a,  0x39,  0x21,  0x9b,  0x8e,  0x10,  0xe9,  0x98,  0x14,  0x8c,  0x89,  0xd2, 
0xa5,  0x82,  0x1e,  0x3d,  0x3d,  0xae,  0x5c,  0xc1,  0x20,  0x50,  0x24,  0x54,  0x9d,  0xe8,  0xe0,  0xc1, 
0x85,  0x0e,  0x6a,  0xd2,  0x64,  0x91,  0x92,  0xe2,  0x82,  0x04,  0x01,  0x03,  0x31,  0xe1,  0x43,  0x4c, 
0x3d,  0x40,  0x4f,  0x5e,  0x8a,  0x0c,  0xa2,  0x60,  0x50,  0x3e,  0x0f,  0x69,  0x4c,  0x75,  0xb4,  0x0b, 
0x56,  0xf4,  0xd1,  0xcb,  0x51,  0x21,  0x57,  0x1e,  0x11,  0x10,  0xa0,  0x37,  0x83,  0x1a,  0xf5,  0x3a, 
0xd8,  0x25,  0x03,  0xf2,  0x4a,  0x8d,  0x6b,  0xd3,  0x25,  0x15,  0x0c,  0x00,  0xa0,  0xac,  0xe5,  0x19, 

0x74,  0xca,  0x38,  0x49,  0xb0,  0x36,  0x65,  0x7f,  0x6b,  0xe8,  0x22,  0x7e,  0x39,  0x18,  0x4a,  0x73, 
0x19,  0x3c,  0xb8,  0x71,  0x63,  0xe5,  0x34,  0x78,  0x88,  0x17,  0x2d,  0x0d,  0x01,  0x00,  0x62,  0xb2, 
0xfe,  0x7c,  0x10,  0x0f,  0xf1,  0x61,  0x3d,  0xe2,  0x47,  0xf3,  0x58,  0x1f,  0xdf,  0x13,  0x7f,  0x0a, 
0x4f,  0x33,  0x1e,  0x3d,  0x7a,  0x0a,  0x40,  0x3e,  0x7d,  0xfa,  0x09,  0x00,  0x59,  0x8b,  0x7c,  0x00, 
0x22,  0x47,  0x6c,  0x40,  0x04,  0x00,  0xb1,  0x79,  0x0b,  0x35,  0x1d,  0xd2,  0x54,  0xa8,  0xe0,  0xc3, 
0x47,  0x05,  0x1d,  0x1a,  0x24,  0x04,  0x34,  0x16,  0x43,  0x04,  0xd4,  0xba,  0x05,  0x45,  0xca,  0x34, 
0x69,  0x52,  0xa2,  0x84,  0x8b,  0x28,  0x63,  0xf1,  0xe5,  0x82,  0x00,  0x38,  0xaa,  0xa8,  0x51,  0x06, 
0x00,  0x34,  0xb8,  0x28,  0xc0,  0x42,  0x26,  0x9c,  0x81,  0x7e,  0x3f,  0x84,  0x40,  0x61,  0x43,  0x4d, 
0x0e,  0x0d,  0x78,  0x70,  0x60,  0x60,  0x40,  0x01,  0x23,  0x4a,  0xa8,  0x00,  0xa7,  0x0c,  0x01,  0xc3, 
0x82,  0x25,  0x98,  0x37,  0x05,  0x2c,  0xa0,  0x41,  0x80,  0x00,  0xc3,  0x54,  0xbb,  0x46,  0x31,  0xfc, 
0x40,  0xc1,  0x80,  0xc5,  0x4a,  0x97,  0x04,  0x5c,  0x70,  0x40,  0x77,  0x0b,  0x06,  0x1a,  0x0c,  0x69, 
0xe4,  0x07,  0x06,  0x34,  0x0c,  0x72,  0x26,  0x8c,  0x4b,  0xc6,  0x05,  0x05,  0x04,  0x60,  0x42,  0xf3, 
0xc2,  0x50,  0xf0,  0x00,  0x09,  0x05,  0xbd,  0x4e,  0x39,  0x62,  0x85,  0xe1,  0x8a,  0x00,  0x05,  0x22, 
0x78,  0xf4,  0xff,  0x21,  0x3e,  0xe2,  0xc7,  0xfa,  0xc4,  0x9f,  0xe6,  0xb3,  0x7e,  0xbe,  0x2f,  0xfe, 
0x15,  0xe8,  0xc7,  0x57,  0x00,  0xea,  0xa1,  0x1b,  0xd0,  0xa7,  0x17,  0xd7,  0x3e,  0x7c,  0xfa,  0x08, 
0x00,  0xee,  0x7d,  0x85,  0x30,  0x47,  0xec,  0xc8,  0x31,  0x66,  0x4c,  0x88,  0x89,  0x97,  0x7d,  0xe7, 

0x94,  0x3c,  0x78,  0xd4,  0xa8,  0x91,  0x22,  0x50,  0x78,  0xec,  0xdc,  0x2a,  0x42,  0x4e,  0x85,  0x1a, 
0x35,  0x24,  0xc4,  0x12,  0xbc,  0x23,  0x42,  0x68,  0x83,  0x07,  0x32,  0x44,  0xc6,  0xd3,  0x46,  0x86, 
0x71,  0x24,  0x00,  0x3d,  0x75,  0xea,  0xf8,  0x10,  0x08,  0x8a,  0x13,  0x21,  0xd8,  0x8f,  0x4d,  0x81, 
0xe8,  0x39,  0xd2,  0xc4,  0x87,  0x94,  0x98,  0x27,  0x83,  0x0e,  0x33,  0x91,  0x1f,  0xa7,  0x6c,  0xd1, 
0xf2,  0xa2,  0x4b,  0x1d,  0x2d,  0x21,  0x03,  0x06,  0x8d,  0x58,  0x8a,  0xde,  0xec,  0xd0,  0x72,  0xa1, 
0x49,  0x9d,  0x0a,  0x01,  0x85,  0x06,  0x2d,  0x59,  0x74,  0x1a,  0xbd,  0x84,  0x12,  0xe1,  0x49,  0x87, 
0x3a,  0x55,  0x64,  0x02,  0xff,  0x7f,  0x10,  0x0f,  0xf1,  0x61,  0x3d,  0xe2,  0x47,  0xf3,  0x58,  0x1f, 
0xdf,  0x13,  0x7f,  0x0a,  0x1e,  0xc0,  0x03,  0x22,  0x9d,  0xf9,  0xf4,  0xeb,  0x2f,  0x00,  0xfa,  0xf5, 
0x10,  0xc2,  0xdc,  0x8b,  0x67,  0xca,  0x84,  0x89,  0x00,  0x2d,  0x55,  0x79,  0x7a,  0xb9,  0x78,  0x15, 
0xf7,  0xe1,  0x38,  0x78,  0x2b,  0x06,  0xde,  0x8b,  0x97,  0x63,  0xd1,  0x08,  0xc0,  0x41,  0x81,  0x00, 
0x80,  0x90,  0xa7,  0x72,  0x60,  0xb1,  0x7c,  0x39,  0x62,  0x8f,  0x00,  0x25,  0x7c,  0xa8,  0x60,  0x84, 
0x54,  0x0d,  0x4b,  0x0a,  0xaa,  0x97,  0x4e,  0xe2,  0x60,  0xf0,  0x60,  0x47,  0x89,  0x5c,  0x81,  0x1f, 
0x0f,  0xea,  0x04,  0xd4,  0x4f,  0x77,  0x4a,  0x91,  0x83,  0xc7,  0x8b,  0x1d,  0x35,  0x03,  0xfd,  0x7e, 
0x9d,  0xaa,  0x63,  0xdf,  0x3c,  0xed,  0x09,  0x8f,  0x0e,  0xc1,  0x03,  0xad,  0x00,  0xfd,  0xbe,  0x2c, 
0x89,  0x15,  0x90,  0x02,  0x9d,  0x32,  0x45,  0x80,  0x0d,  0x3b,  0x36,  0x52,  0xea,  0xf4,  0x7b,  0xd6, 
0x22,  0x54,  0x80,  0x9b,  0xe4,  0x48,  0x1c,  0x3c,  0x4a,  0x54,  0x38,  0xc8,  0xea,  0xd7,  0xef,  0x54, 

0xbd,  0x80,  0xf8,  0x95,  0x0b,  0x7c,  0x0e,  0xfa,  0x6a,  0x6d,  0xc9,  0xed,  0xa8,  0x3f,  0xc7,  0x82, 
0xac,  0x4e,  0xfa,  0xe9,  0x24,  0x18,  0x01,  0xeb,  0x59,  0x3f,  0x1f,  0x2d,  0x21,  0x02,  0x40,  0xac, 
0x36,  0x2f,  0x15,  0x4f,  0x4c,  0x81,  0xd6,  0x89,  0x04,  0xde,  0x36,  0xf4,  0x13,  0x00,  0x1c,  0xfc, 
0xbd,  0x78,  0xf6,  0xec,  0x5e,  0x00,  0x82,  0xae,  0x41,  0xa0,  0x50,  0xa6,  0x21,  0xe1,  0xac,  0x05, 
0xe9,  0x27,  0x86,  0x0c,  0x0c,  0xc8,  0xe0,  0xe3,  0x54,  0x18,  0x18,  0x00,  0x20,  0x84,  0x10,  0x65, 
0x09,  0x0e,  0x12,  0x11,  0xa7,  0x5e,  0x6b,  0xa3,  0xe0,  0xe0,  0x00,  0x00,  0x24,  0x13,  0xc6,  0xac, 
0xc1,  0xc1,  0x45,  0x6b,  0x33,  0x78,  0x58,  0x12,  0x82,  0x00,  0x00,  0x18,  0xc0,  0x10,  0x18,  0x48, 
0x23,  0x07,  0x0b,  0x3e,  0x12,  0x1d,  0x1f,  0x40,  0x38,  0x22,  0x50,  0x48,  0xc8,  0x80,  0x80,  0x20, 
0xd0,  0x38,  0x7a,  0xf8,  0xf0,  0xc1,  0x29,  0xb4,  0xa8,  0x94,  0x28,  0x18,  0x02,  0x4c,  0xd8,  0x82, 
0x82,  0x20,  0x54,  0x35,  0x4a,  0x8c,  0xc1,  0x43,  0x8c,  0x1c,  0x86,  0x88,  0x88,  0xb7,  0x03,  0x85, 
0xe0,  0x21,  0x2a,  0x90,  0x82,  0x12,  0x33,  0x56,  0x70,  0x02,  0x05,  0x13,  0x67,  0x2a,  0x54,  0xa8, 
0x22,  0x75,  0x8b,  0x41,  0x09,  0x37,  0x58,  0x58,  0x83,  0x07,  0x53,  0x81,  0x02,  0x15,  0x28,  0x50, 
0xa4,  0x5f,  0xf0,  0xe4,  0xf8,  0xff,  0x41,  0x3c,  0xc4,  0x87,  0xf5,  0x88,  0x1f,  0xcd,  0x63,  0x7d, 
0x7c,  0x4f,  0xfc,  0x29,  0x3c,  0xcd,  0xf4,  0x08,  0x2f,  0x01,  0x20,  0x93,  0xfb,  0xf4,  0x29,  0x48, 
0x98,  0x60,  0xbd,  0x06,  0x6c,  0x3a,  0xb5,  0xe7,  0x31,  0x0f,  0x7a,  0x75,  0xef,  0xd3,  0x37,  0x28, 
0x50,  0xe0,  0x90,  0xa1,  0x45,  0x47,  0x45,  0x98,  0x35,  0xa7,  0x5e,  0xdc,  0xbb,  0xb5,  0x4d,  0x0e, 

0x01,  0x04,  0xd0,  0x50,  0x60,  0xc0,  0xc2,  0x08,  0x17,  0xb6,  0x04,  0xeb,  0x91,  0x42,  0x09,  0x3a, 
0x90,  0x00,  0x20,  0x40,  0x86,  0x8b,  0x19,  0x3b,  0x5e,  0xbc,  0x98,  0xe1,  0xcb,  0xd2,  0x2b,  0x0c, 
0x1d,  0x0a,  0x4a,  0xa0,  0x21,  0x06,  0x0f,  0xa8,  0x50,  0xa1,  0x60,  0xc4,  0x0e,  0x17,  0x9f,  0x7c, 
0xb2,  0x2c,  0xd8,  0xf2,  0x42,  0x09,  0x19,  0x3a,  0x44,  0x28,  0xb8,  0x50,  0x41,  0xc1,  0x8e,  0x19, 
0x06,  0x1b,  0xb6,  0x82,  0xd2,  0x01,  0x3e,  0xb8,  0x90,  0x60,  0xe0,  0x62,  0xc1,  0x70,  0x22,  0x60, 
0x87,  0x42,  0x46,  0xbe,  0x10,  0x61,  0x66,  0xf0,  0xc1,  0x87,  0xc5,  0x82,  0x33,  0x1b,  0x41,  0x24, 
0xe1,  0xe2,  0x85,  0x81,  0x4c,  0xbe,  0x50,  0x05,  0x66,  0xb1,  0x61,  0xc7,  0x23,  0x4c,  0x58,  0xc1, 
0x60,  0x83,  0x99,  0x02,  0x0a,  0x14,  0xf2,  0x07,  0x82,  0x62,  0x98,  0xfd,  0x7f,  0x88,  0x8f,  0xf8, 
0xb1,  0x3e,  0xf1,  0xa7,  0xf9,  0xac,  0x9f,  0xef,  0x8b,  0x7f,  0x85,  0xf7,  0xb8,  0x00,  0xe9,  0x27, 
0xf0,  0x06,  0x43,  0x5b,  0xae,  0x7d,  0xfb,  0x76,  0xe4,  0xc5,  0x8f,  0x27,  0x47,  0x2e,  0x5d,  0xfa, 
0xf6,  0xe1,  0xc3,  0xb7,  0x73,  0x30,  0xe0,  0x51,  0xa2,  0xe4,  0xe8,  0xc5,  0x85,  0x0a,  0x5e,  0xe8, 
0xc0,  0x21,  0x45,  0x8b,  0x87,  0x26,  0x6d,  0x10,  0x20,  0x21,  0x80,  0xa4,  0x62,  0x41,  0x32,  0x0d, 
0xd0,  0x20,  0xfe,  0x46,  0x00,  0x00,  0x87,  0x25,  0x38,  0x04,  0x00,  0xb2,  0x12,  0xeb,  0x05,  0x36, 
0x8c,  0x41,  0x02,  0x22,  0x48,  0xb2,  0x92,  0x40,  0x42,  0x86,  0x08,  0x01,  0x0f,  0x6f,  0x0e,  0xbc, 
0x24,  0x51,  0x1e,  0x13,  0x10,  0xc1,  0xf1,  0x95,  0x08,  0x01,  0x1a,  0x64,  0x08,  0x30,  0x79,  0x07, 
0x00,  0x89,  0x1c,  0xc7,  0x04,  0x04,  0x12,  0x12,  0x65,  0x43,  0x84,  0x37,  0x02,  0xa0,  0xf2,  0x96, 

0x20,  0x49,  0x05,  0x4f,  0x68,  0xd0,  0xa0,  0xf0,  0x94,  0x6c,  0x02,  0x32,  0x1c,  0x38,  0x90,  0xa1, 
0xc8,  0x96,  0x21,  0xcb,  0x04,  0x77,  0xe8,  0xd0,  0xb0,  0xc9,  0x52,  0x11,  0x3c,  0x20,  0x87,  0x0e, 
0x70,  0xca,  0x54,  0xa8,  0xb0,  0x40,  0x17,  0x13,  0x5c,  0x8e,  0xc6,  0xd5,  0xaa,  0xf8,  0xff,  0x41, 
0x3c,  0xc4,  0x87,  0xf5,  0x88,  0x1f,  0xcd,  0x63,  0x7d,  0x7c,  0x4f,  0xfc,  0x29,  0xbc,  0xff,  0x0f, 
0xe4,  0xcc,  0x67,  0xdb,  0x56,  0xef,  0xf0,  0xed,  0xd6,  0x8d,  0x53,  0xb7,  0x9e,  0x3c,  0xb9,  0x77, 
0x9f,  0x0f,  0x61,  0x81,  0x03,  0x8f,  0x86,  0x0a,  0x9d,  0xbb,  0x29,  0x50,  0xa0,  0x18,  0x9b,  0x5e, 
0x1c,  0x3a,  0xe8,  0x0d,  0x03,  0x02,  0x24,  0xd4,  0xfb,  0x80,  0x0d,  0x09,  0x12,  0xa4,  0x06,  0x6c, 
0x1a,  0x50,  0x0a,  0x0e,  0x04,  0x44,  0x68,  0x98,  0xf1,  0x53,  0xa7,  0xcf,  0x9d,  0x0b,  0x47,  0x74, 
0x4a,  0x95,  0x29,  0x23,  0x8a,  0x04,  0x24,  0x74,  0xcc,  0x14,  0x69,  0x72,  0xa4,  0x4b,  0x95,  0x0b, 
0x49,  0xf4,  0x66,  0xac,  0x13,  0x41,  0x4b,  0x14,  0x34,  0x5e,  0xea,  0x1c,  0x29,  0xe3,  0xa5,  0x48, 
0x8d,  0x0b,  0x1e,  0x96,  0xd6,  0xc9,  0x22,  0x61,  0x43,  0x1c,  0x1c,  0x75,  0xfc,  0xf0,  0xb1,  0xb1, 
0x34,  0xae,  0x3a,  0x78,  0x28,  0x13,  0x84,  0x8a,  0x05,  0x12,  0xb4,  0xb0,  0x28,  0xc2,  0xe2,  0xa8, 
0xc2,  0xba,  0x39,  0xb5,  0x54,  0xf1,  0xd9,  0xa6,  0x42,  0x8b,  0x04,  0x7a,  0x58,  0x78,  0x31,  0x53, 
0xb7,  0xad,  0x56,  0xad,  0x05,  0xe3,  0xd8,  0xb8,  0xc8,  0xa5,  0xc9,  0x19,  0x9f,  0xe2,  0xfe,  0x3f, 
0xc4,  0x47,  0xfc,  0x58,  0x9f,  0xf8,  0xd3,  0x7c,  0xd6,  0xcf,  0xf7,  0xc5,  0xbf,  0xc2,  0xd7,  0xfc, 
0x46,  0xdf,  0xda,  0x5e,  0x7d,  0xf9,  0xf1,  0x1c,  0xf4,  0xf7,  0x85,  0x43,  0xcb,  0x3a,  0x4d,  0x59, 

0x76,  0xe3,  0xe5,  0x30,  0x79,  0xf7,  0xee,  0xc6,  0xbd,  0x07,  0xd6,  0x5c,  0xf8,  0x48,  0x91,  0x63, 
0xd2,  0xad,  0x6b,  0x9f,  0x9e,  0xdd,  0xbb,  0xb2,  0xa4,  0xd3,  0xb0,  0x61,  0x52,  0x82,  0xe5,  0xca, 
0x91,  0x23,  0x4d,  0xae,  0x65,  0x57,  0x4e,  0x2c,  0x89,  0x57,  0x6a,  0x32,  0x00,  0x08,  0x63,  0xcd, 
0x4f,  0xae,  0x1a,  0xb9,  0xa4,  0xd9,  0xb9,  0x70,  0x29,  0x5e,  0x8e,  0x9e,  0xe0,  0x61,  0x1a,  0x2d, 
0x69,  0x29,  0x7c,  0xa4,  0x93,  0x42,  0x26,  0xca,  0xb7,  0x28,  0x51,  0xba,  0xb5,  0x19,  0xd6,  0xa1, 
0x9b,  0x88,  0x19,  0xe1,  0x54,  0xa8,  0x80,  0x62,  0xec,  0x43,  0x0e,  0x79,  0xb9,  0xda,  0x8c,  0x78, 
0x91,  0x23,  0xd5,  0x8c,  0x19,  0x3e,  0x70,  0x41,  0x80,  0xb1,  0xe0,  0x88,  0x28,  0x3f,  0x39,  0x3a, 
0x5d,  0x7a,  0x13,  0x45,  0x5e,  0xaf,  0x5e,  0x8e,  0x20,  0x41,  0x30,  0x74,  0xcb,  0x1a,  0xbd,  0x54, 
0xd1,  0x8e,  0x5c,  0x3a,  0x61,  0x8f,  0xe8,  0xff,  0x07,  0xf1,  0x10,  0x1f,  0xd6,  0x23,  0x7e,  0x34, 
0x8f,  0xf5,  0xf1,  0x3d,  0xf1,  0xa7,  0xf0,  0x34,  0x9f,  0xd1,  0xb3,  0x96,  0x9f,  0x1c,  0x9e,  0x67, 
0xbc,  0xb8,  0x1b,  0xf6,  0x45,  0xd9,  0x89,  0x6b,  0x0f,  0xde,  0xdd,  0x95,  0xf2,  0x72,  0x61,  0xca, 
0x94,  0x43,  0x0f,  0x2e,  0x2a,  0x79,  0xb5,  0xb0,  0xa2,  0x47,  0xbc,  0x2b,  0x9f,  0xb5,  0xbc,  0x5e, 
0x98,  0x16,  0xa5,  0xd1,  0x8b,  0x9b,  0x46,  0xde,  0x2c,  0x04,  0xb3,  0x77,  0xef,  0xbd,  0xe5,  0xb7, 
0x43,  0xe2,  0x5a,  0xbd,  0xfb,  0xea,  0xf8,  0xdd,  0x90,  0x89,  0x1f,  0x67,  0x3d,  0xbd,  0x6f,  0x79, 
0x90,  0x83,  0x1c,  0x35,  0x78,  0xe4,  0x4c,  0x19,  0x04,  0x40,  0x02,  0x0c,  0x98,  0x0a,  0xd5,  0x58, 
0x00,  0x18,  0x20,  0x41,  0x09,  0x9e,  0x10,  0x53,  0x26,  0x4c,  0x04,  0x08,  0x15,  0x23,  0x5e,  0x9d, 

0x8e,  0x0a,  0x20,  0x1e,  0x39,  0x1a,  0x94,  0x08,  0x18,  0x08,  0x10,  0x20,  0x50,  0xa4,  0x42,  0x2d, 
0x3a,  0x0c,  0x36,  0x00,  0x27,  0x8c,  0x51,  0xa2,  0x01,  0x8f,  0x80,  0x89,  0x50,  0xa1,  0x22,  0xd5, 
0xe9,  0x37,  0x18,  0x3c,  0x6e,  0x83,  0x61,  0x22,  0x68,  0x22,  0x04,  0x22,  0xa6,  0x62,  0x82,  0x6f, 
0x8c,  0x10,  0x8c,  0x16,  0x17,  0x2e,  0xd4,  0x29,  0x43,  0xa3,  0x16,  0x2d,  0xc1,  0xdb,  0xcf,  0xb6, 
0x40,  0x47,  0x91,  0x32,  0x15,  0xa2,  0x4c,  0x35,  0xe8,  0x8f,  0x9f,  0x03,  0xcb,  0x29,  0x51,  0x74, 
0xc1,  0x83,  0x0e,  0x11,  0x06,  0x62,  0x8c,  0xe8,  0x1f,  0x25,  0x96,  0x88,  0xa0,  0xa4,  0x88,  0x8f, 
0x0a,  0x72,  0x02,  0x02,  0x74,  0x4e,  0x5a,  0x8b,  0x88,  0xc0,  0x61,  0xc6,  0x88,  0x07,  0x69,  0x66, 
0x98,  0x6d,  0x2e,  0x10,  0x81,  0x82,  0x06,  0x1d,  0x23,  0x4a,  0x30,  0x8b,  0xdf,  0x31,  0x02,  0x10, 
0x10,  0xe0,  0xe2,  0x45,  0x7d,  0xff,  0xfd,  0xb8,  0x21,  0x00,  0x02,  0x0a,  0x5e,  0xea,  0xcf,  0xdf, 
0xbf,  0x57,  0x1f,  0x0c,  0xc0,  0xa0,  0xa4,  0xfb,  0xfe,  0x43,  0x90,  0x18,  0xa4,  0xd1,  0xff,  0x77, 
0xf9,  0xf2,  0xed,  0x88,  0x88,  0x00,  0x02,  0xec,  0x58,  0x33,  0x16,  0x2d,  0x32,  0x00,  0x32,  0x00, 
0x8f,  0x06,  0x05,  0x32,  0x91,  0x3a,  0x18,  0x30,  0xe6,  0x47,  0x54,  0x80,  0xf8,  0x10,  0x28,  0x00, 
0x19,  0xaa,  0xce,  0xc1,  0xde,  0xa2,  0x00,  0xe2,  0x52,  0xd0,  0x13,  0x13,  0x2b,  0xaa,  0x3b,  0x28, 
0x24,  0x0a,  0x0b,  0x1b,  0x4a,  0x72,  0x86,  0x34,  0x12,  0x67,  0x4d,  0x0a,  0x99,  0x60,  0xe1,  0x01, 
0x40,  0x0e,  0x6b,  0x70,  0x38,  0x30,  0x12,  0x31,  0x64,  0x88,  0x09,  0x39,  0x6a,  0x60,  0x18,  0x4a, 
0x13,  0x2c,  0x58,  0xae,  0x34,  0x24,  0x58,  0xb0,  0xa1,  0x36,  0x68,  0x51,  0x28,  0x11,  0x2a,  0xa0, 

0x10,  0x49,  0xe1,  0x17,  0x3c,  0x74,  0x21,  0x45,  0x81,  0x06,  0x89,  0x0e,  0x1d,  0x1a,  0x89,  0x62, 
0x03,  0x0d,  0x94,  0xb5,  0x14,  0x29,  0xd2,  0xd4,  0xa0,  0xcd,  0x10,  0x48,  0x34,  0xab,  0xd7,  0xc8, 
0x18,  0x3c,  0x14,  0x10,  0xc4,  0xa4,  0x24,  0x00,  0x15,  0x68,  0x61,  0x85,  0x0f,  0x75,  0x62,  0xc5, 
0x8b,  0x42,  0x0a,  0x15,  0x24,  0x22,  0x69,  0x29,  0x32,  0x7a,  0xa2,  0xd4,  0x26,  0x5a,  0xb4,  0xf8, 
0x2c,  0x00,  0x05,  0x41,  0x06,  0x24,  0x0e,  0xbe,  0x00,  0xa0,  0x64,  0xa2,  0x3d,  0x78,  0x30,  0x46, 
0x8d,  0x1d,  0x25,  0x7a,  0xf4,  0x68,  0x51,  0xa1,  0x40,  0x85,  0x0a,  0x19,  0x18,  0x01,  0x11,  0x92, 
0x34,  0x3e,  0x3c,  0x78,  0x70,  0x04,  0x87,  0x00,  0x00,  0x9e,  0x28,  0x32,  0xb0,  0x42,  0xc5,  0x6b, 
0x24,  0x4f,  0x8a,  0x0a,  0x15,  0x3c,  0xf5,  0x22,  0x38,  0xa0,  0x67,  0xc9,  0x05,  0x29,  0x22,  0x6d, 
0xe2,  0xd9,  0x93,  0xa2,  0x4b,  0x25,  0x06,  0x20,  0x43,  0x4a,  0x84,  0x2c,  0x43,  0x2e,  0xf4,  0x16, 
0x86,  0x46,  0x75,  0xa4,  0xe9,  0x52,  0x65,  0x25,  0x5c,  0xa8,  0x00,  0xa6,  0x01,  0x00,  0x2d,  0xd7, 
0x4d,  0x21,  0x5e,  0x3f,  0x79,  0x6a,  0x74,  0xc9,  0x8a,  0xed,  0x15,  0x62,  0xc4,  0x28,  0x7c,  0x85, 
0x06,  0xe3,  0x07,  0x6b,  0x2e,  0x74,  0xd0,  0x13,  0x72,  0x60,  0xdf,  0x8a,  0x15,  0x47,  0x3a,  0x34, 
0xe8,  0x30,  0xac,  0x95,  0x18,  0x79,  0x72,  0x74,  0xa8,  0x12,  0x15,  0xef,  0xc0,  0x54,  0xf0,  0xb0, 
0xa2,  0x5d,  0xbb,  0x0e,  0x43,  0x44,  0x89,  0x22,  0xa2,  0x42,  0x15,  0x3d,  0x53,  0x27,  0x56,  0xad, 
0x58,  0xd5,  0xa1,  0x5d,  0x83,  0x66,  0xfd,  0xc4,  0xd0,  0x23,  0x40,  0xfa,  0x02,  0x88,  0x59,  0x74, 
0xed,  0xc8,  0xaa,  0x28,  0x75,  0x09,  0x43,  0x1d,  0x71,  0xb4,  0x04,  0x10,  0xe0,  0xa3,  0xba,  0x34, 

0x7c,  0x3b,  0x77,  0xce,  0x6e,  0x09,  0x34,  0x00,  0xe2,  0xa8,  0x59,  0x21,  0x02,  0x4f,  0x95,  0x14, 
0x31,  0x17,  0x2e,  0x9d,  0x33,  0x5e,  0x0b,  0x62,  0x74,  0x30,  0x44,  0x4a,  0xfe,  0x68,  0x44,  0x00, 
0xe4,  0x62,  0x22,  0x00,  0x63,  0x31,  0x21,  0x40,  0x3f,  0x63,  0x24,  0xa4,  0x45,  0x82,  0x45,  0x42, 
0x11,  0x2d,  0x63,  0xdf,  0x2e,  0x83,  0x97,  0x18,  0x26,  0x68,  0xd1,  0x8b,  0x21,  0x04,  0x06,  0x2f, 
0x3e,  0x72,  0x36,  0x9d,  0x30,  0xd9,  0x02,  0x7b,  0x91,  0x08,  0x91,  0x6a,  0x80,  0x00,  0x25,  0x55, 
0xd2,  0x42,  0x9d,  0x08,  0x08,  0xbe,  0x02,  0x22,  0x00,  0x02,  0xfc,  0x54,  0xc9,  0x5b,  0x16,  0x78, 
0x04,  0x8e,  0x42,  0xf8,  0x28,  0x06,  0x11,  0x00,  0x11,  0xaa,  0x8c,  0x20,  0x8a,  0x69,  0x08,  0xee, 
0x1f,  0xec,  0xce,  0xc7,  0xf4,  0xa0,  0x4a,  0x85,  0x15,  0xc3,  0x10,  0x4c,  0x36,  0x08,  0x88,  0x15, 
0x2b,  0x18,  0x09,  0x3e,  0xea,  0xd4,  0x98,  0xb0,  0x63,  0x1f,  0x13,  0xc9,  0xe1,  0x63,  0xa9,  0x44, 
0x98,  0x12,  0x22,  0xb0,  0x68,  0xe2,  0xd3,  0xa8,  0x41,  0x5d,  0x00,  0x10,  0xcf,  0x1a,  0x1f,  0x29, 
0x52,  0xe8,  0xd0,  0x80,  0x03,  0x4d,  0x99,  0xa2,  0x4b,  0xa7,  0xac,  0xf9,  0x73,  0x61,  0xe5,  0xa6, 
0x73,  0x68,  0x13,  0xab,  0x8d,  0x3d,  0x60,  0x44,  0xc2,  0x5c,  0x7b,  0x64,  0x1c,  0x3c,  0x58,  0xfb, 
0x70,  0x6d,  0xc5,  0xb0,  0x7a,  0x0d,  0x3a,  0x11,  0x01,  0x66,  0xe0,  0xc2,  0x13,  0x63,  0xbe,  0xdc, 
0x58,  0x7b,  0xf1,  0x62,  0xd5,  0xb0,  0x0e,  0xcd,  0x3a,  0x94,  0x22,  0x02,  0xeb,  0xc2,  0x3b,  0x79, 
0xbe,  0x7c,  0x59,  0x7b,  0x72,  0xeb,  0xc8,  0x60,  0x00,  0x34,  0x6d,  0x9a,  0xa9,  0x73,  0x4f,  0xe4, 
0xb8,  0x04,  0x0f,  0x47,  0x2e,  0x0c,  0x19,  0x36,  0x65,  0xc4,  0xb0,  0x49,  0x93,  0xa6,  0x9d,  0xbb, 

0x21,  0x1f,  0x3c,  0xc8,  0x1b,  0xb6,  0x64,  0xd0,  0x88,  0xa9,  0x00,  0xa0,  0x53,  0x9b,  0xf6,  0xe0, 
0xc1,  0x8a,  0x0b,  0x7f,  0xd2,  0xe2,  0x0d,  0x87,  0x07,  0x53,  0x26,  0x03,  0x41,  0xf0,  0x62,  0x17, 
0x3c,  0xc8,  0x89,  0xd2,  0xb9,  0x2b,  0x12,  0x50,  0xc6,  0x70,  0xe9,  0x56,  0x30,  0x3d,  0xfe,  0xf4, 
0xd8,  0xd9,  0xd4,  0xa0,  0x5e,  0x47,  0xf0,  0xd0,  0xa2,  0x5e,  0xbd,  0x25,  0x37,  0xa2,  0xc9,  0x96, 
0x00,  0xf2,  0x36,  0xf5,  0x07,  0x05,  0x1d,  0x3a,  0x02,  0x86,  0x16,  0xcb,  0x87,  0x80,  0x34,  0x57, 
0xae,  0xe4,  0x74,  0x04,  0x4f,  0xcd,  0x21,  0x21,  0x12,  0xd8,  0x77,  0xe0,  0xfa,  0x6c,  0x70,  0x27, 
0x2d,  0xdc,  0x48,  0xf0,  0x68,  0x0c,  0xea,  0x62,  0x81,  0x43,  0xab,  0x6e,  0xf9,  0x50,  0xe1,  0x4e, 
0x2d,  0x01,  0x28,  0x53,  0x22,  0x4a,  0xb4,  0x3a,  0xcd,  0xd7,  0xc2,  0xa5,  0x47,  0x69,  0x78,  0x38, 
0x52,  0xa7,  0x63,  0x53,  0x89,  0xf0,  0x00,  0xa0,  0x44,  0xa9,  0x76,  0x76,  0xae,  0x5c,  0x5b,  0xc6, 
0x43,  0x9d,  0x3a,  0x3e,  0xd5,  0xc1,  0x4b,  0x98,  0x1c,  0xd5,  0x54,  0x4c,  0x5a,  0x76,  0x43,  0x05, 
0x2f,  0x75,  0x3c,  0xfc,  0x64,  0x49,  0x97,  0x25,  0x59,  0xb2,  0x2c,  0x15,  0x52,  0xc0,  0x80,  0x82, 
0x8d,  0x56,  0xa3,  0xa8,  0x68,  0x48,  0x02,  0x14,  0x58,  0xa1,  0x16,  0xb5,  0x0a,  0x23,  0x00,  0x0a, 
0x0b,  0x5a,  0xfd,  0x62,  0x83,  0x87,  0x78,  0xb1,  0x2c,  0x10,  0x10,  0xd2,  0x68,  0x89,  0x10,  0x13, 
0x30,  0xd8,  0xce,  0x81,  0x3a,  0xd1,  0xa2,  0xd5,  0x6b,  0x14,  0xc3,  0x86,  0xb8,  0x50,  0x17,  0x84, 
0x98,  0x3e,  0x01,  0xf4,  0x42,  0xf5,  0xe7,  0x09,  0x85,  0x8a,  0x14,  0x08,  0x64,  0x20,  0xc6,  0x91, 
0x1e,  0x39,  0x48,  0xf1,  0xe1,  0x63,  0x67,  0xb1,  0x6a,  0x28,  0x24,  0x40,  0x48,  0x30,  0x53,  0x25, 

0xce,  0xf5,  0xd8,  0x27,  0x82,  0xe7,  0x18,  0x38,  0x34,  0x64,  0x69,  0x19,  0x00,  0x25,  0xc0,  0x5e, 
0x81,  0x01,  0x3d,  0x4e,  0x88,  0xa2,  0xa6,  0xca,  0xca,  0x95,  0x25,  0xc7,  0xac,  0xc1,  0x30,  0x20, 
0xc4,  0x40,  0x89,  0x32,  0xc3,  0xae,  0xc8,  0xa3,  0xa4,  0x49,  0x7a,  0x08,  0x88,  0x27,  0x87,  0x40, 
0x80,  0x13,  0x31,  0x62,  0x94,  0xe9,  0xb0,  0x27,  0x18,  0x29,  0x5d,  0x7c,  0xd4,  0xc8,  0x52,  0x63, 
0x81,  0x4c,  0xa0,  0xa5,  0x45,  0x60,  0x58,  0xab,  0xa5,  0x14,  0x40,  0x97,  0x2e,  0x4d,  0x0e,  0x9c, 
0x38,  0x67,  0x0a,  0x23,  0xda,  0x8d,  0x58,  0x09,  0x1e,  0xda,  0xc1,  0x53,  0xa7,  0x49,  0x95,  0x66, 
0xf0,  0x20,  0x23,  0x20,  0x28,  0xe8,  0x34,  0x65,  0xc8,  0xa2,  0xc9,  0xd7,  0x40,  0x95,  0x2c,  0x1d, 
0x2a,  0xb4,  0x48,  0x92,  0xb7,  0xa7,  0x53,  0xbb,  0x61,  0x9d,  0x06,  0x5c,  0x23,  0x47,  0x4b,  0x95, 
0x8f,  0x25,  0x7e,  0x64,  0xd1,  0x11,  0x70,  0x6a,  0xc0,  0xb8,  0x36,  0xdd,  0x3a,  0x5d,  0x13,  0x45, 
0x49,  0x9d,  0x8b,  0x4d,  0x0b,  0xe6,  0x18,  0x22,  0xb7,  0x67,  0xe1,  0x00,  0x68,  0xd3,  0x69,  0x9b, 
0xce,  0x6f,  0xa0,  0x63,  0x4e,  0x9f,  0x39,  0xe3,  0x64,  0x59,  0x2b,  0x8b,  0x01,  0xaa,  0x75,  0xda, 
0x94,  0x80,  0x31,  0x79,  0x98,  0xd5,  0x17,  0x02,  0xcc,  0x0a,  0x11,  0xa8,  0x48,  0x87,  0xd6,  0x2b, 
0x60,  0xd3,  0x9e,  0x7f,  0x3f,  0x96,  0x14,  0x12,  0x63,  0x49,  0x87,  0x2e,  0x35,  0x64,  0xc4,  0x2d, 
0xda,  0x74,  0x64,  0xc9,  0x92,  0xeb,  0xe0,  0xa1,  0x8e,  0x38,  0xbd,  0x4c,  0x40,  0x17,  0x3d,  0x01, 
0x97,  0x2e,  0x83,  0x87,  0x23,  0x97,  0x6e,  0x2c,  0xea,  0x67,  0x4c,  0x96,  0xec,  0x97,  0x20,  0x8d, 
0xc8,  0xa5,  0x73,  0xe7,  0x01,  0x21,  0x64,  0x38,  0xb2,  0x48,  0x9c,  0x2c,  0x43,  0x86,  0x5c,  0xb8, 

0x04,  0xaf,  0x00,  0xe8,  0xc8,  0x79,  0xf0,  0x62,  0xcc,  0x8a,  0x1b,  0x11,  0x5b,  0x21,  0x28,  0x7c, 
0xce,  0x81,  0xf0,  0xc1,  0x94,  0x35,  0x5f,  0xf2,  0x3a,  0x2c,  0x87,  0x8d,  0x98,  0x68,  0xdf,  0x1e, 
0x21,  0xd2,  0xc4,  0x05,  0x30,  0xe6,  0xc6,  0xc7,  0x72,  0xf0,  0x76,  0xe4,  0xd0,  0x31,  0x21,  0xa2, 
0xc4,  0x05,  0x32,  0x65,  0xc5,  0xc7,  0x6a,  0x0a,  0x70,  0xed,  0xda,  0xa5,  0x6b,  0x07,  0xee,  0x09, 
0x04,  0x0f,  0x01,  0x42,  0xc9,  0xf3,  0x31,  0x65,  0xd5,  0xb9,  0x07,  0xf7,  0x2e,  0x9c,  0x38,  0xf2, 
0x14,  0x3e,  0x05,  0x88,  0x67,  0xcd,  0xc7,  0x8a,  0xa9,  0x1f,  0xf0,  0x31,  0x12,  0x86,  0x8f,  0xe8, 
0xc9,  0x54,  0x17,  0x3b,  0x56,  0xc1,  0x23,  0x02,  0xe4,  0xa4,  0xe0,  0xc9,  0x90,  0x89,  0x76,  0xc1, 
0xe4,  0x4d,  0x9a,  0x32,  0x65,  0x25,  0x59,  0x04,  0x6f,  0x72,  0x0c,  0xb4,  0xcb,  0x21,  0x1a,  0xbc, 
0x02,  0x80,  0x73,  0xfb,  0xde,  0x88,  0x93,  0x26,  0x4f,  0xdc,  0x80,  0x76,  0x62,  0xe1,  0x33,  0x02, 
0x44,  0x84,  0x44,  0xc0,  0x98,  0x34,  0x2b,  0xe2,  0x66,  0x74,  0x31,  0x36,  0x6c,  0x32,  0x45,  0x98, 
0x0a,  0x04,  0x56,  0x5d,  0x05,  0x4f,  0x86,  0x66,  0xe4,  0x0a,  0xd6,  0xe9,  0xdf,  0x8d,  0x52,  0x22, 
0x28,  0x91,  0xa2,  0xc4,  0x41,  0x5a,  0xa3,  0x0e,  0x8b,  0x0a,  0x05,  0xb0,  0x17,  0xee,  0xc9,  0xa9, 
0x18,  0x64,  0x28,  0x91,  0xa3,  0xc2,  0x41,  0x56,  0x87,  0x06,  0xcd,  0x62,  0x04,  0x08,  0x66,  0x6f, 
0xc9,  0x88,  0x50,  0xa4,  0x68,  0x89,  0xa0,  0xc1,  0x45,  0x56,  0xa3,  0x16,  0xf5,  0x22,  0x05,  0x0a, 
0x4f,  0x19,  0x16,  0x19,  0xa3,  0x26,  0x47,  0x0c,  0x0d,  0x7e,  0x96,  0xfa,  0x35,  0xab,  0x17,  0x2d, 
0x4a,  0x35,  0x01,  0x39,  0x16,  0x89,  0xa2,  0x65,  0x4d,  0x0c,  0x15,  0x25,  0xf2,  0xfa,  0xb5,  0xa8, 

0x13,  0x2d,  0xda,  0x02,  0x22,  0xb1,  0xf1,  0x01,  0x3d,  0x7b,  0x42,  0x48,  0x28,  0xb2,  0xd6,  0xaf, 
0x5e,  0xbd,  0x28,  0xf1,  0x16,  0x90,  0x0b,  0x65,  0x8f,  0x9e,  0x94,  0x50,  0x02,  0xe0,  0x29,  0xb3, 
0x36,  0xa4,  0x43,  0x87,  0x68,  0x6d,  0x6a,  0x89,  0x32,  0x20,  0x4f,  0x9a,  0xb1,  0x98,  0xe0,  0x41, 
0x93,  0x95,  0xfe,  0xe0,  0xa9,  0x5d,  0x38,  0x79,  0x42,  0xe4,  0xe8,  0xb1,  0x13,  0x45,  0x00,  0x09, 
0x75,  0xf2,  0x86,  0x0c,  0x69,  0x14,  0xad,  0xa7,  0x07,  0x10,  0x25,  0xc5,  0x4a,  0xa0,  0x78,  0x02, 
0xa8,  0x83,  0x97,  0x78,  0x39,  0x56,  0x49,  0x4b,  0x21,  0x4d,  0x2a,  0x3c,  0x68,  0x20,  0x84,  0x8e, 
0x26,  0x79,  0x8b,  0x86,  0x44,  0xc9,  0xb1,  0x80,  0x96,  0x4f,  0x00,  0x60,  0x2a,  0x5a,  0x0b,  0x31, 
0x74,  0xb4,  0xfe,  0x85,  0x21,  0xc1,  0x72,  0x94,  0xa0,  0x64,  0x25,  0x85,  0x35,  0x63,  0xf1,  0x1a, 
0x89,  0xe3,  0xa3,  0x4c,  0xce,  0x9e,  0x56,  0xc1,  0x6a,  0x05,  0xc3,  0x20,  0x2a,  0x85,  0x28,  0xd3, 
0xe0,  0x49,  0x92,  0x24,  0x39,  0x87,  0xe2,  0xd9,  0x5b,  0x60,  0x09,  0x03,  0x29,  0x59,  0x64,  0x42, 
0xb5,  0x69,  0x26,  0x16,  0x3c,  0x88,  0xb9,  0x14,  0x2c,  0xc8,  0x02,  0x35,  0x98,  0x60,  0xc0,  0x21, 
0x57,  0xa7,  0x45,  0x7f,  0xf0,  0x20,  0x41,  0xdc,  0x39,  0x3b,  0x41,  0xc6,  0x48,  0xc0,  0x56,  0x4a, 
0x07,  0x36,  0x4e,  0xac,  0x30,  0x18,  0x0a,  0x15,  0xaa,  0x40,  0x81,  0xfa,  0x14,  0x80,  0x87,  0xaa, 
0x5c,  0x52,  0xb0,  0x61,  0x60,  0x85,  0x45,  0x56,  0x51,  0x00,  0xa8,  0x0f,  0x19,  0x00,  0x1f,  0x5d, 
0x69,  0xd8,  0x30,  0x06,  0x2f,  0x65,  0xea,  0x35,  0x04,  0x0f,  0xfd,  0xec,  0xf0,  0xd1,  0xe7,  0x87, 
0x11,  0x1b,  0x2c,  0xac,  0x30,  0x49,  0x59,  0x0f,  0x17,  0x21,  0x42,  0x3f,  0x1b,  0x2a,  0x5c,  0xc8, 

0xc3,  0xa2,  0x82,  0x12,  0x2b,  0xbc,  0xe0,  0xad,  0x48,  0x3f,  0x4b,  0x6a,  0x5c,  0x88,  0xc0,  0xa0, 
0x83,  0x12,  0x03,  0x5c,  0x2a,  0xe3,  0x40,  0x83,  0x22,  0x05,  0x8a,  0x58,  0x52,  0xa7,  0x8b,  0x1a, 
0x23,  0x2b,  0x94,  0x30,  0xe1,  0xe2,  0x31,  0x10,  0x1c,  0x33,  0x04,  0x59,  0xea,  0xd4,  0xc1,  0x63, 
0xe3,  0x87,  0x16,  0x2a,  0x74,  0x8c,  0x4a,  0xcc,  0x04,  0x47,  0x05,  0xb5,  0x82,  0x06,  0x38,  0x3c, 
0x52,  0xd1,  0x43,  0x81,  0x07,  0x43,  0xb8,  0x5e,  0x25,  0x7a,  0x0b,  0x04,  0x9e,  0xe0,  0x01,  0x83, 
0x8a,  0x1a,  0x62,  0xa0,  0x83,  0xa7,  0xf1,  0xe0,  0x61,  0x46,  0x18,  0x36,  0xfc,  0x14,  0x60,  0xd1, 
0x33,  0x41,  0x3e,  0x78,  0x4a,  0x51,  0xab,  0x44,  0x89,  0x01,  0x3e,  0xf0,  0x71,  0xe2,  0xc2,  0xc8, 
0x4d,  0x2d,  0x4b,  0xd0,  0x70,  0xa0,  0xf0,  0x53,  0xab,  0x22,  0x78,  0x70,  0x81,  0x8e,  0x09,  0x5b, 
0x72,  0x50,  0xc5,  0x12,  0x12,  0x74,  0xa8,  0x5c,  0x8c,  0x07,  0x4f,  0x7a,  0xd0,  0xe1,  0xe1,  0xc2, 
0x27,  0x5b,  0x39,  0x47,  0x90,  0x90,  0x21,  0xd2,  0xb1,  0xa9,  0x4f,  0x9f,  0x39,  0x3a,  0x70,  0xe1, 
0xe2,  0xa7,  0xa9,  0xdc,  0x28,  0x2f,  0x10,  0x10,  0x21,  0x52,  0xb5,  0x6d,  0xd6,  0x9c,  0x39,  0xca, 
0xf0,  0xe0,  0x52,  0x63,  0xc1,  0x8b,  0x03,  0x2d,  0x50,  0x10,  0x20,  0xe2,  0xb3,  0x6d,  0x3c,  0x78, 
0x60,  0x83,  0x0d,  0x9b,  0x0e,  0x5e,  0x6a,  0x4a,  0x84,  0xf7,  0x0d,  0xe1,  0xd8,  0x29,  0xa0,  0x40, 
0x21,  0x5f,  0x81,  0x5e,  0x61,  0x90,  0xf1,  0xd2,  0x2b,  0x53,  0x7a,  0xf1,  0xe3,  0x46,  0x85,  0x2a, 
0x78,  0x98,  0x61,  0x03,  0x11,  0x3f,  0xbf,  0xc7,  0x51,  0x17,  0x94,  0x51,  0xc6,  0x8d,  0x23,  0x78, 
0xe8,  0xb5,  0x4e,  0x15,  0x22,  0x15,  0xe1,  0xaf,  0x53,  0xbd,  0x32,  0x1a,  0x14,  0x22,  0x40,  0x74, 

0xb0,  0x86,  0x0f,  0x32,  0x1d,  0x05,  0x9a,  0x83,  0x17,  0xed,  0xe0,  0x19,  0x3e,  0xf4,  0x62,  0x84, 
0xc3,  0x62,  0x0e,  0x4c,  0x09,  0xcd,  0x5a,  0x68,  0xe3,  0x0e,  0x9e,  0x66,  0x14,  0xc3,  0x81,  0xc7, 
0x72,  0x09,  0x68,  0x09,  0x5f,  0xc1,  0x33,  0x39,  0xf0,  0x83,  0x83,  0x95,  0x6d,  0x17,  0x08,  0x1e, 
0x1a,  0x94,  0xc5,  0x87,  0x14,  0x10,  0x1f,  0xe8,  0x40,  0xc3,  0x29,  0xc8,  0x8c,  0x5e,  0x2d,  0x06, 
0xd4,  0xaa,  0x8a,  0x0e,  0x58,  0x71,  0xa5,  0x07,  0x8a,  0xd0,  0x28,  0x09,  0xd2,  0xac,  0xcc,  0x80, 
0x71,  0xb3,  0x92,  0x71,  0x06,  0x0f,  0x1a,  0xd6,  0xac,  0xe3,  0xc5,  0x44,  0x53,  0x88,  0xb2,  0xe0, 
0x69,  0x8e,  0x37,  0x6e,  0x0a,  0x58,  0xe9,  0xd9,  0x56,  0x82,  0x19,  0x2b,  0x8f,  0xa2,  0xa0,  0xc8, 
0x80,  0x01,  0x73,  0x3c,  0xb0,  0x06,  0x0f,  0x9e,  0xb6,  0xa5,  0xc3,  0xc3,  0x29,  0x41,  0xaf,  0xe2, 
0xde,  0x11,  0x3c,  0x38,  0x06,  0x0f,  0xdc,  0x92,  0x6d,  0xf3,  0xc5,  0x44,  0x41,  0xa6,  0x19,  0xe1, 
0x4a,  0x8c,  0x07,  0x80,  0xe2,  0x40,  0x9b,  0x92,  0x0a,  0xdb,  0x34,  0x31,  0xd1,  0x50,  0x65,  0x56, 
0x89,  0xda,  0xe4,  0xa1,  0x96,  0x12,  0x6d,  0xda,  0x9c,  0x2d,  0xd8,  0x6e,  0x04,  0x9c,  0x55,  0x29, 
0x14,  0x2e,  0x47,  0xad,  0x5a,  0x99,  0xe1,  0x31,  0x3e,  0x58,  0xa0,  0x44,  0x49,  0x82,  0x31,  0x08, 
0x10,  0x20,  0x43,  0x06,  0x2d,  0x73,  0x59,  0x58,  0xa0,  0x8a,  0x09,  0xa3,  0x64,  0xb5,  0xc6,  0x25, 
0x40,  0x00,  0x09,  0x11,  0x1a,  0x24,  0x36,  0x31,  0x42,  0x35,  0x76,  0x4c,  0xf8,  0xf5,  0x05,  0x0f, 
0x8e,  0x10,  0x41,  0x40,  0x80,  0x03,  0x91,  0xa3,  0x35,  0x73,  0x32,  0xb0,  0x16,  0x0d,  0x73,  0x69, 
0x81,  0x0a,  0x46,  0x50,  0x90,  0x83,  0x07,  0x59,  0x6b,  0xb6,  0xb9,  0x63,  0xc5,  0xc0,  0xcf,  0x9c, 

0x3e,  0x59,  0xd8,  0xf1,  0xc1,  0x80,  0x86,  0x09,  0x12,  0x59,  0xeb,  0xb6,  0xa9,  0x63,  0x85,  0xaf, 
0xd8,  0x9a,  0x35,  0x09,  0x98,  0x39,  0xc2,  0xed,  0x18,  0x50,  0x88,  0x58,  0x37,  0x81,  0x17,  0x1e, 
0x5e,  0xeb,  0xfa,  0xac,  0xd3,  0xc3,  0x2c,  0x08,  0x05,  0x4c,  0xac,  0x30,  0xd1,  0x59,  0x97,  0x8a, 
0x15,  0x0e,  0xb5,  0xe0,  0x61,  0x8d,  0x22,  0x66,  0xc5,  0xc8,  0xa1,  0x04,  0x05,  0xf8,  0xd6,  0xab, 
0x02,  0x3c,  0x41,  0x7a,  0xf5,  0x29,  0xc6,  0x88,  0xd9,  0x1c,  0x51,  0x48,  0x58,  0x4f,  0x83,  0x75, 
0x9a,  0x70,  0x30,  0x2e,  0x07,  0xb3,  0xdc,  0xa2,  0x86,  0x6d,  0x3a,  0x90,  0x83,  0x07,  0x6c,  0xe3, 
0xf8,  0xa1,  0x51,  0x34,  0xd3,  0x04,  0xa8,  0x41,  0xc5,  0x6c,  0x9b,  0x23,  0xb4,  0x3c,  0x01,  0x2b, 
0x5f,  0x40,  0xa3,  0x63,  0x4d,  0xb5,  0x71,  0x3c,  0xd0,  0xb1,  0x0e,  0x05,  0x38,  0x98,  0x30,  0xc1, 
0xa6,  0x0f,  0x0f,  0x3a,  0xef,  0x72,  0x21,  0x23,  0x6b,  0x60,  0x32,  0x26,  0x1b,  0x7e,  0xf0,  0x80, 
0x8a,  0x1d,  0x0e,  0x34,  0x99,  0xe6,  0xcd,  0x71,  0x81,  0x8c,  0x09,  0xba,  0x79,  0xa3,  0xc1,  0x13, 
0x1a,  0x74,  0xa8,  0x28,  0x8c,  0x19,  0xb3,  0x41,  0x15,  0x72,  0x64,  0x08,  0x1e,  0x58,  0x62,  0x00, 
0xd4,  0x8e,  0x81,  0xcf,  0x86,  0x51,  0xf3,  0x98,  0x43,  0x07,  0x76,  0xa3,  0xc1,  0x03,  0x66,  0xf4, 
0x08,  0x00,  0x3c,  0x8c,  0xa9,  0x92,  0x08,  0x1d,  0x1e,  0x1c,  0x9a,  0xb0,  0x29,  0x62,  0xe7,  0xab, 
0x4c,  0x85,  0x0a,  0x79,  0x52,  0xe8,  0xa8,  0xa5,  0xc3,  0x81,  0x24,  0x1b,  0xbd,  0x98,  0x29,  0xe2, 
0x55,  0xa1,  0x44,  0x85,  0xac,  0x00,  0x60,  0x56,  0x16,  0x25,  0x1a,  0xb4,  0xe4,  0x0b,  0xc3,  0x8e, 
0x97,  0xba,  0x71,  0xd5,  0xfa,  0x02,  0xc0,  0x35,  0xe0,  0x4a,  0x81,  0x12,  0x3d,  0xf9,  0xf2,  0x29, 

0x60,  0xe6,  0x62,  0xc1,  0x6c,  0xf0,  0x32,  0x43,  0x6d,  0x3e,  0xf0,  0xf9,  0x11,  0xf8,  0xb1,  0xcb, 
0x34,  0x1b,  0x00,  0xcc,  0x44,  0x00,  0x25,  0x14,  0x29,  0x51,  0x1e,  0x11,  0xca,  0xb0,  0x63,  0xd6, 
0x17,  0x1e,  0xf8,  0xf1,  0x34,  0x67,  0x4e,  0x18,  0xfe,  0x83,  0xc0,  0xc7,  0x85,  0x71,  0xf8,  0xf8, 
0xad,  0x2f,  0x0d,  0x8c,  0x78,  0xac,  0x5b,  0xe7,  0x89,  0xfb,  0x24,  0xd0,  0xb7,  0x6f,  0x05,  0x32, 
0x7d,  0xdb,  0xb6,  0x79,  0x42,  0x66,  0xf3,  0x36,  0xb8,  0xe1,  0x3c,  0x05,  0x14,  0xe5,  0x5a,  0x85, 
0x4e,  0x9d,  0x1b,  0x17,  0xf8,  0xf0,  0x65,  0xe9,  0x33,  0x17,  0xbc,  0x28,  0x70,  0x71,  0x01,  0x1f, 
0x6e,  0x00,  0x80,  0x4e,  0xd5,  0x82,  0x0a,  0xe3,  0x3c,  0x71,  0x5e,  0x82,  0x08,  0x88,  0x35,  0x00, 
0xc2,  0xe5,  0x7a,  0x3e,  0xd4,  0x4a,  0xc6,  0xfe,  0x08,  0x71,  0xd1,  0x99,  0x1a,  0x11,  0x92,  0xbf, 
0x74,  0x59,  0xf2,  0x54,  0xe0,  0xc5,  0x19,  0x3e,  0x68,  0x60,  0xc3,  0x4e,  0x9f,  0x1e,  0x34,  0xcc, 
0xb2,  0x65,  0xc8,  0x90,  0xae,  0x82,  0x37,  0x5c,  0x4a,  0x9c,  0x38,  0x61,  0x94,  0x10,  0x17,  0xa0, 
0x35,  0x08,  0xe9,  0x01,  0x40,  0xc5,  0x41,  0x80,  0x1f,  0x3c,  0x70,  0x34,  0x09,  0xfe,  0x18,  0x39, 
0x2a,  0x0f,  0x0f,  0xd1,  0xc3,  0x84,  0x44,  0xb8,  0x1c,  0x38,  0xe3,  0x97,  0x2d,  0x91,  0x37,  0x6f, 
0xc9,  0x01,  0x20,  0x3a,  0x04,  0x80,  0x08,  0x40,  0x99,  0x17,  0x4d,  0xf9,  0x6c,  0x61,  0x01,  0x40, 
0xa6,  0x4a,  0x35,  0x29,  0x2e,  0xfc,  0xb4,  0x39,  0xb7,  0x62,  0x9f,  0x01,  0x22,  0x41,  0x64,  0x51, 
0x22,  0x61,  0xab,  0x8f,  0x1b,  0x3e,  0x89,  0x52,  0x4c,  0x3a,  0x32,  0x65,  0x9f,  0xbd,  0x48,  0xbd, 
0xc2,  0x04,  0x09,  0x12,  0x6e,  0x9c,  0x0e,  0x7d,  0xde,  0xd2,  0x5c,  0x05,  0x00,  0xf7,  0xde,  0x7d, 

0xea,  0x95,  0x15,  0x3c,  0x94,  0x48,  0xa1,  0xc2,  0x5d,  0x8a,  0x43,  0xef,  0xde,  0x5d,  0x07,  0x04, 
0xf7,  0x7a,  0xe5,  0xcb,  0x52,  0x62,  0x8d,  0x1b,  0x7e,  0x8e,  0xfc,  0xdc,  0xf8,  0xf4,  0xef,  0x21, 
0x24,  0x38,  0x1e,  0x11,  0x55,  0xc1,  0x26,  0x3d,  0xca,  0x9c,  0x78,  0x7a,  0x08,  0x1e,  0x01,  0xc0, 
0x8f,  0x2f,  0xe3,  0x4a,  0xd4,  0x9a,  0xb4,  0x4f,  0xad,  0x4a,  0x70,  0x74,  0xe5,  0x25,  0x78,  0x86, 
0x08,  0xe3,  0x5d,  0xc2,  0x8a,  0x49,  0x6a,  0x55,  0x80,  0x83,  0x36,  0x9f,  0x7e,  0x82,  0x8f,  0x71, 
0x2b,  0x7a,  0xa8,  0xf1,  0xe0,  0xc5,  0x89,  0xb5,  0x5f,  0x0f,  0x11,  0x68,  0x1d,  0x04,  0x0f,  0x93, 
0x54,  0x39,  0xf3,  0xe2,  0x45,  0xcf,  0xbe,  0xf7,  0xe0,  0x65,  0xd3,  0x80,  0x05,  0xd3,  0x7a,  0xa8, 
0x72,  0xe0,  0xc4,  0x83,  0x8e,  0x94,  0x08,  0xac,  0xc4,  0x82,  0x5a,  0x35,  0x16,  0xa8,  0xe1,  0x4a, 
0x80,  0xf4,  0x0a,  0x40,  0xfc,  0xe4,  0x69,  0xa2,  0x49,  0xa8,  0xe5,  0x87,  0x71,  0x2c,  0x70,  0xa2, 
0x66,  0xd2,  0x6f,  0x8a,  0xa4,  0xd9,  0x3f,  0x0a,  0x80,  0x0a,  0x6c,  0x73,  0x23,  0x02,  0xc8,  0xf1, 
0xe7,  0x2b,  0x78,  0x86,  0x4f,  0xd5,  0x26,  0xa8,  0x61,  0x09,  0x1f,  0xbc,  0xb4,  0x15,  0x8b,  0x1c, 
0xc1,  0xdb,  0x98,  0x6c,  0xd9,  0xd2,  0x8d,  0xf1,  0x44,  0x11,  0x3d,  0x78,  0x1b,  0xf6,  0x53,  0x20, 
0xed,  0xb9,  0x29,  0xcd,  0x81,  0xdc,  0x4f,  0xf0,  0x0f,  0x3d,  0xee,  0xc3,  0x7b,  0xe4,  0x49,  0x89, 
0x31,  0x3c,  0xce,  0x27,  0xf4,  0xa4,  0x9f,  0xca,  0xd3,  0x7d,  0x66,  0xcf,  0xfe,  0x79,  0xbc,  0xc0, 
0x17,  0xf5,  0x92,  0x5f,  0xce,  0x2b,  0x7d,  0x75,  0xaf,  0xfd,  0x0d,  0xbc,  0xc9,  0xb7,  0xf4,  0xb6, 
0xdf,  0xc9,  0xbb,  0x7d,  0x6f,  0x0f,  0xf0,  0xed,  0xd0,  0x93,  0xf3,  0xe0,  0x1f,  0x46,  0x3c,  0x85, 

0xff,  0x67,  0x38,  0x3f,  0xbc,  0x5f,  0xec,  0x98,  0xe3,  0xd3,  0xbb,  0xbf,  0x0d,  0x30,  0xdc,  0xe3, 
0xa1,  0x2b,  0xe2,  0x82,  0x8d,  0xeb,  0x49,  0xfe,  0x69,  0xc0,  0x15,  0x78,  0xe4,  0xb2,  0x64,  0xa5, 
0xff,  0x2c,  0xe0,  0x81,  0x05,  0x32,  0xd6,  0x6a,  0xb2,  0xff,  0x3f,  0x70,  0xc7,  0x96,  0x16,  0x7a, 
0x7e,  0xfb,  0xfe,  0x1f,  0x78,  0x65,  0xcb,  0x81,  0x0e,  0x9d,  0x63,  0xbf,  0x15,  0x25,  0x73,  0xe2, 
0x4e,  0xff,  0xdc,  0x9f,  0x45,  0x15,  0x1c,  0x39,  0x72,  0xb9,  0xf6,  0x05,  0xd0,  0x81,  0x1e,  0x79, 
0x52,  0xee,  0xfd,  0x63,  0xf4,  0xee,  0xcb,  0xa7,  0x97,  0x67,  0xff,  0xda,  0xdf,  0xff,  0x17,  0xff, 
0xf1,  0x7f,  0x91,  0x14,  0x35,  0xae,  0x44,  0x05,  0xeb,  0x17,  0x4c,  0x8a,  0x3e,  0x1d,  0xc1,  0x1a, 
0xc5,  0xab,  0xd3,  0xa0,  0xc1,  0x08,  0x69,  0x2e,  0x2c,  0xd9,  0xe9,  0x57,  0x47,  0x8e,  0x3e,  0x7d, 
0x7e,  0x5a,  0xd4,  0x6b,  0xd6,  0xac,  0xde,  0x87,  0x34,  0x7a,  0xdc,  0x58,  0x6b,  0xd3,  0xc9,  0x8e, 
0x1e,  0x17,  0x6e,  0xea,  0x34,  0xab,  0x13,  0xaf,  0xde,  0xbd,  0x0b,  0x6e,  0x41,  0x42,  0x9a,  0x01, 
0xb1,  0xf4,  0xb8,  0x73,  0x15,  0xad,  0x45,  0xbc,  0x68,  0xb1,  0x7a,  0x2c,  0x48,  0xe1,  0xc2,  0x47, 
0x8a,  0x32,  0x65,  0xa1,  0x32,  0x31,  0xa8,  0x13,  0x2d,  0x5a,  0xae,  0x2e,  0xb9,  0x5c,  0xf8,  0x4b, 
0xd1,  0x6e,  0x5c,  0x0a,  0x3d,  0xfe,  0xfc,  0xb4,  0xa9,  0x0f,  0x5e,  0x7a,  0xf8,  0xf0,  0x95,  0xa2, 
0x5b,  0xbb,  0x36,  0x7a,  0x7c,  0xf9,  0x4a,  0x53,  0x2a,  0x4a,  0xb8,  0x5a,  0x5d,  0xa6,  0x83,  0x80, 
0x14,  0x6d,  0xda,  0x4d,  0xc6,  0x80,  0xd0,  0xa0,  0x4c,  0x89,  0x70,  0xd5,  0x56,  0x5d,  0x04,  0x4f, 
0x5d,  0x6a,  0x8d,  0x4b,  0xa3,  0xc3,  0x9f,  0x9b,  0x6a,  0xb5,  0xd2,  0xb8,  0xcb,  0x95,  0xca,  0x8d, 

0x2f,  0x7f,  0xdd,  0x6a,  0x83,  0x02,  0x47,  0x9e,  0xdc,  0x65,  0x18,  0x97,  0xcb,  0x95,  0x3b,  0x77, 
0xbe,  0xdc,  0xf9,  0xab,  0x96,  0x2b,  0x4b,  0x35,  0x4f,  0x8e,  0x09,  0xc2,  0x82,  0x6a,  0xfe,  0xd1, 
0x82,  0x2b,  0x37,  0xa9,  0xf2,  0xe4,  0x05,  0x0f,  0x79,  0x74,  0xc3,  0x40,  0x32,  0x70,  0x62,  0x5a, 
0x8f,  0x69,  0xfb,  0xa6,  0xf4,  0x58,  0xb1,  0x62,  0xca,  0xc5,  0xb8,  0x88,  0x01,  0x56,  0x2f,  0xc1, 
0xe4,  0xf0,  0x79,  0x16,  0x02,  0x52,  0x04,  0x32,  0xfd,  0xfe,  0x8f,  0x67,  0x0c,  0xe0,  0xb8,  0xff, 
0xb7,  0x57,  0x1a,  0x48,  0x13,  0x1a,  0x3a,  0x86,  0x66,  0xb1,  0xe2,  0x59,  0x53,  0xa5,  0x88,  0x0d, 
0x23,  0x46,  0x14,  0x38,  0x28,  0xd3,  0x50,  0x1f,  0x00,  0xd5,  0x69,  0x64,  0x4d,  0x91,  0x26,  0x7e, 
0x5c,  0x01,  0x90,  0x12,  0x8d,  0x5e,  0x10,  0x22,  0x35,  0xf2,  0xa3,  0x4a,  0x99,  0x32,  0x1e,  0x3c, 
0xd8,  0x70,  0x60,  0xa1,  0x14,  0x3e,  0x07,  0x83,  0x46,  0xc1,  0xd4,  0x29,  0xca,  0x90,  0x2e,  0x43, 
0x8a,  0x0c,  0x3a,  0x38,  0x44,  0x8b,  0x17,  0xab,  0x6e,  0x34,  0x48,  0x89,  0x0e,  0xfc,  0xe5,  0x49, 
0x97,  0x2e,  0x4f,  0x22,  0x96,  0x01,  0x11,  0x20,  0x45,  0x49,  0xa1,  0x86,  0x97,  0x4f,  0xf0,  0x90, 
0x21,  0x59,  0x36,  0x65,  0xe1,  0xc2,  0x43,  0x94,  0x2c,  0xaa,  0xd8,  0x39,  0x86,  0x0f,  0xc9,  0xc1, 
0x83,  0x77,  0xf0,  0x08,  0x11,  0xa2,  0xe4,  0xa8,  0xa0,  0x88,  0x99,  0xa6,  0x8a,  0xe0,  0x29,  0x43, 
0x76,  0xf0,  0x1a,  0x04,  0x52,  0xa9,  0xc2,  0xa7,  0xa8,  0x36,  0x7e,  0x04,  0x40,  0xa9,  0xb2,  0x02, 
0xe5,  0x6b,  0xa0,  0x8e,  0x1d,  0x1e,  0x17,  0xb5,  0xf2,  0x54,  0x74,  0x06,  0x69,  0xd2,  0xa4,  0x86, 
0x0e,  0x59,  0xdc,  0xa9,  0xd2,  0xc4,  0x0c,  0x8d,  0xaf,  0x2e,  0x79,  0x72,  0x55,  0x0f,  0x89,  0x00, 

0x20,  0x5d,  0x2e,  0x47,  0xca,  0x74,  0xa9,  0x42,  0xc7,  0xce,  0x33,  0x67,  0xc8,  0xd3,  0x1d,  0xa2, 
0xa5,  0x06,  0x00,  0x79,  0x52,  0x77,  0x83,  0x3c,  0x35,  0x6a,  0x74,  0x2f,  0x85,  0x08,  0x19,  0x12, 
0x37,  0xc7,  0x84,  0x08,  0x16,  0x63,  0x40,  0x4d,  0x22,  0x88,  0x00,  0x6a,  0x02,  0x86,  0x3c,  0x5d, 
0xba,  0x0b,  0xc4,  0x31,  0x70,  0x10,  0x3c,  0x54,  0x44,  0x8a,  0x00,  0x15,  0x3c,  0x42,  0x80,  0x1a, 
0x3d,  0xd8,  0x04,  0xd9,  0xb6,  0xc9,  0x0f,  0x23,  0x75,  0x6c,  0x74,  0x8a,  0x53,  0xf1,  0x50,  0x8d, 
0x8b,  0x94,  0x71,  0x73,  0x6a,  0x31,  0xe2,  0xc0,  0x8e,  0x57,  0x9e,  0xec,  0xe0,  0x29,  0x59,  0x3a, 
0x25,  0x54,  0xc2,  0xf4,  0x59,  0xa0,  0x02,  0x13,  0x3f,  0x7c,  0x9e,  0xb2,  0x25,  0xf2,  0x8f,  0x80, 
0x94,  0x50,  0x10,  0xd1,  0x67,  0x5c,  0x22,  0x4c,  0x9c,  0x70,  0x07,  0x00,  0x7f,  0x89,  0xe1,  0x93, 
0x02,  0x2a,  0xf0,  0x82,  0x54,  0xa8,  0xc2,  0x06,  0x07,  0x33,  0xdc,  0x5b,  0x91,  0x00,  0x55,  0x60, 
0xc0,  0x05,  0x8e,  0x88,  0x72,  0xd9,  0x1c,  0x21,  0x61,  0x85,  0x48,  0xb9,  0x5d,  0xb4,  0x08,  0xd9, 
0x18,  0x70,  0x63,  0x00,  0x27,  0x28,  0x29,  0x60,  0x84,  0x04,  0x1d,  0x0a,  0xcf,  0x99,  0x20,  0x8f, 
0x3f,  0x0e,  0x4c,  0xb8,  0x41,  0x13,  0x49,  0x0a,  0x3c,  0x40,  0x43,  0x83,  0x04,  0x4b,  0xa2,  0x0a, 
0xd5,  0x5c,  0x38,  0xc2,  0xc1,  0x09,  0x03,  0x0c,  0x37,  0x89,  0x12,  0x49,  0x80,  0x84,  0x0e,  0x09, 
0x05,  0x6f,  0xd5,  0xf8,  0x25,  0xc2,  0xc1,  0x84,  0x15,  0x04,  0x52,  0xde,  0xbf,  0x02,  0x25,  0x48, 
0x68,  0x90,  0xa1,  0xc1,  0xc7,  0xc9,  0x11,  0x32,  0x4c,  0x98,  0xa0,  0x01,  0x20,  0x7d,  0x0b,  0x1c, 
0xc1,  0x83,  0x4c,  0x18,  0x98,  0xf0,  0x53,  0x87,  0x0e,  0x1f,  0x36,  0x4c,  0x50,  0x20,  0x60,  0x7d, 

0x03,  0xba,  0xf8,  0x40,  0x83,  0x86,  0x04,  0x59,  0x6a,  0x6e,  0xe8,  0x05,  0x7a,  0x54,  0xcb,  0x92, 
0x25,  0x95,  0xdf,  0x64,  0x10,  0x44,  0x87,  0x8a,  0xae,  0x2e,  0xa0,  0xc7,  0x90,  0x7e,  0x1d,  0xfa, 
0x03,  0x90,  0x25,  0xa7,  0x8e,  0x3d,  0xea,  0x99,  0x05,  0xda,  0x4d,  0x7b,  0xf7,  0x1c,  0x80,  0xff, 
0x96,  0x15,  0xd3,  0x11,  0xd0,  0xc3,  0xff,  0x0e,  0xc4,  0xaa,  0xb5,  0xeb,  0x94,  0x85,  0x8d,  0x06, 
0x65,  0xc5,  0xfa,  0x02,  0x80,  0x59,  0xeb,  0x8a,  0x14,  0x68,  0x53,  0x6d,  0xc2,  0xb8,  0x2c,  0x8c, 
0xf8,  0x29,  0x49,  0x32,  0xaf,  0x52,  0x6f,  0x00,  0x0c,  0x1e,  0x52,  0x59,  0xf3,  0x94,  0x88,  0x0b, 
0x2f,  0x05,  0x5e,  0xc1,  0x43,  0x71,  0xf0,  0x52,  0x40,  0x0d,  0x24,  0x06,  0x5a,  0x14,  0x70,  0xe2, 
0xe2,  0x14,  0x3e,  0x54,  0xca,  0xd7,  0x2b,  0x5f,  0x88,  0x82,  0x36,  0xc0,  0xfb,  0x13,  0x60,  0xc0, 
0x41,  0x2b,  0x38,  0x08,  0x13,  0x12,  0x1c,  0xd8,  0x0a,  0x81,  0x0f,  0x81,  0xa7,  0x0a,  0x0e,  0xb0, 
0x71,  0xd1,  0x90,  0x1d,  0x3c,  0x55,  0x22,  0x40,  0x20,  0x08,  0x1e,  0x74,  0xee,  0x6a,  0x39,  0xc0, 
0xa4,  0x44,  0x41,  0x92,  0x4a,  0x49,  0x82,  0x78,  0x81,  0x40,  0xa0,  0x0f,  0x33,  0x66,  0x8e,  0x26, 
0x68,  0xc2,  0xa4,  0x81,  0x81,  0x97,  0xd1,  0x18,  0x81,  0x1c,  0x04,  0x32,  0xeb,  0xf8,  0xf1,  0x72, 
0xb0,  0x4d,  0x07,  0x36,  0x2d,  0x0c,  0x24,  0x13,  0x80,  0x24,  0xf0,  0xe0,  0x82,  0x07,  0xf5,  0xbc, 
0xa1,  0x96,  0x32,  0x2e,  0xce,  0x64,  0x50,  0xa0,  0x41,  0x8a,  0x04,  0x17,  0x49,  0xf4,  0xd6,  0xf1, 
0xc2,  0xa3,  0xcc,  0x0b,  0x0b,  0x05,  0x5a,  0x01,  0x90,  0x05,  0x27,  0x4e,  0x24,  0x49,  0x58,  0x87, 
0x8a,  0x8b,  0xb7,  0x44,  0x0e,  0x34,  0x38,  0x70,  0xe0,  0x1c,  0x00,  0x78,  0x70,  0xa6,  0xc5,  0x59, 

0x1f,  0x3f,  0x13,  0x16,  0x9c,  0xbb,  0x09,  0x00,  0xae,  0x6d,  0x69,  0x50,  0xaf,  0x59,  0x4b,  0x2f, 
0x30,  0xeb,  0xc1,  0x93,  0x27,  0xf7,  0xee,  0xbd,  0x78,  0x77,  0xef,  0xd6,  0x69,  0x00,  0xb2,  0xe7, 
0xba,  0xcb,  0x07,  0xf1,  0x10,  0x1f,  0x9c,  0xfb,  0x83,  0x29,  0x2b,  0xa6,  0x0c,  0x5b,  0xb6,  0xea, 
0x9a,  0x1d,  0x29,  0x3e,  0x6c,  0x14,  0xc8,  0xd1,  0x66,  0xd2,  0x94,  0x29,  0x8b,  0x56,  0xac,  0xd8, 
0x74,  0xe4,  0x9a,  0x3d,  0x69,  0x3e,  0x6c,  0xf5,  0xaa,  0xb6,  0xaf,  0x53,  0x8f,  0x65,  0xcb,  0xc1, 
0xc3,  0x91,  0x73,  0x57,  0x82,  0x83,  0xa7,  0x7c,  0xe3,  0x26,  0x83,  0x87,  0x43,  0xe7,  0x11,  0xc1, 
0xaa,  0x73,  0x27,  0x72,  0xe8,  0xf0,  0x11,  0x24,  0x5f,  0x99,  0x41,  0x3d,  0x26,  0x5d,  0xba,  0x74, 
0xe0,  0xd0,  0xb2,  0x23,  0xfb,  0xc6,  0xe9,  0xf1,  0x96,  0x20,  0xdf,  0x8c,  0x21,  0xbd,  0x3a,  0x2d, 
0x59,  0x72,  0xe9,  0xde,  0xa9,  0x5b,  0x57,  0x06,  0xe8,  0x49,  0x94,  0xa0,  0x52,  0xbf,  0x45,  0x33, 
0x06,  0xc2,  0x46,  0xf0,  0x08,  0x11,  0xae,  0x8d,  0x73,  0x94,  0x28,  0xc9,  0xa8,  0x59,  0x8b,  0x36, 
0xad,  0xc4,  0x0f,  0xe7,  0xae,  0xdd,  0xba,  0x70,  0x6d,  0x81,  0xa3,  0x24,  0x49,  0xaa,  0xf4,  0xdb, 
0xcc,  0x12,  0xc1,  0xc1,  0x65,  0xb0,  0x08,  0x00,  0x8e,  0x78,  0x05,  0x0f,  0xf3,  0x16,  0x82,  0x97, 
0xcb,  0x90,  0x10,  0x3c,  0xdc,  0x5b,  0xe0,  0x2c,  0x89,  0xb7,  0x2a,  0x63,  0xb6,  0xac,  0x47,  0x48, 
0xdb,  0x6e,  0x5a,  0x82,  0x4f,  0x5e,  0xd1,  0xa3,  0x17,  0x18,  0xb3,  0x60,  0x2e,  0x39,  0x38,  0x72, 
0xe1,  0xd6,  0x83,  0x6b,  0x87,  0xb4,  0x78,  0xf0,  0xe2,  0x40,  0xcb,  0x96,  0x5b,  0xe7,  0x0e,  0xa3, 
0x82,  0xcf,  0x37,  0xe0,  0xc1,  0xbd,  0x93,  0xc0,  0xd1,  0x87,  0x7c,  0xfa,  0xea,  0xf4,  0x1d,  0xbf, 

0xf7,  0x0f,  0xf8,  0xa0,  0xee,  0x1f,  0x01,  0x08,  0x06,  0xfa,  0x35,  0xe8,  0x27,  0x4b,  0x02,  0x1d, 
0x71,  0x07,  0x6c,  0x24,  0xc9,  0xc4,  0x81,  0xe1,  0x64,  0x08,  0xd0,  0xa1,  0xd1,  0x26,  0x69,  0x74, 
0xb8,  0x58,  0xea,  0x64,  0xab,  0x72,  0x4f,  0xe0,  0x62,  0x8a,  0x40,  0xb1,  0x66,  0x1d,  0xd6,  0x49, 
0x05,  0x0f,  0x2e,  0xc6,  0x6f,  0x02,  0x67,  0x5c,  0xb8,  0x0c,  0xcb,  0x57,  0xaf,  0xc1,  0xa0,  0x19, 
0x92,  0x41,  0x80,  0x9b,  0x5e,  0x41,  0xe6,  0x59,  0x04,  0x0f,  0x43,  0xfa,  0x75,  0xec,  0x0a,  0x33, 
0x64,  0xc2,  0x00,  0x3f,  0xbd,  0x0f,  0x82,  0x0c,  0x25,  0x5e,  0x86,  0x74,  0x18,  0xd4,  0xa1,  0x3e, 
0x78,  0xe0,  0xc0,  0x2d,  0xd3,  0xfc,  0x8f,  0xa0,  0xc4,  0x42,  0xaf,  0x21,  0x03,  0x01,  0xd0,  0x1c, 
0x0d,  0x1c,  0xb8,  0x64,  0xfe,  0x00,  0x5e,  0x14,  0x78,  0xd9,  0xb4,  0x65,  0xc0,  0xb8,  0x71,  0x0b, 
0x16,  0x68,  0xe1,  0xc2,  0xaf,  0xdc,  0x98,  0x31,  0x16,  0x94,  0x24,  0x0d,  0x01,  0xab,  0x26,  0x2d, 
0x1b,  0xb1,  0x40,  0x91,  0x12,  0x85,  0xe0,  0x61,  0x9e,  0x16,  0x19,  0xa3,  0x3e,  0xdd,  0x7b,  0x70, 
0xe5,  0xca,  0xa4,  0x24,  0x14,  0x1c,  0x70,  0xf0,  0xb0,  0xc1,  0x8b,  0x12,  0x25,  0x99,  0x16,  0xdc, 
0xbb,  0x72,  0xef,  0xd7,  0x02,  0x1a,  0xd0,  0xb4,  0x29,  0xe1,  0x90,  0x49,  0x99,  0x0c,  0x05,  0x5a, 
0xe6,  0x5d,  0x78,  0xf7,  0xef,  0xdd,  0x34,  0x3a,  0x28,  0x38,  0x29,  0xe3,  0xe0,  0x40,  0x99,  0x46, 
0xa1,  0x30,  0x17,  0x1c,  0x82,  0x87,  0x6b,  0x6f,  0xae,  0x9c,  0x04,  0x40,  0x57,  0xf6,  0xf7,  0x82, 
0xc3,  0x4e,  0x1e,  0xc4,  0x43,  0x7c,  0x58,  0x8f,  0xf8,  0xd1,  0x10,  0x03,  0x14,  0x48,  0x20,  0x41, 
0x42,  0x84,  0x84,  0xcf,  0xb6,  0x71,  0x73,  0x66,  0xb1,  0x60,  0x80,  0x4d,  0x27,  0x60,  0x60,  0x80, 

0x01,  0x15,  0x0e,  0x4c,  0x8a,  0x6a,  0xf5,  0x99,  0xd5,  0x17,  0x14,  0x60,  0x73,  0xc4,  0x85,  0x05, 
0x06,  0x24,  0xd0,  0xb0,  0xb1,  0x50,  0xa8,  0x16,  0xc6,  0x94,  0x07,  0x4f,  0xce,  0xa8,  0x50,  0xa1, 
0x23,  0x83,  0x0e,  0x06,  0x16,  0x1c,  0xf5,  0x91,  0x17,  0xcc,  0xf0,  0xc1,  0x46,  0x90,  0x4a,  0xf3, 
0x55,  0x00,  0x66,  0xf0,  0x90,  0x1d,  0x18,  0x38,  0x41,  0x0a,  0x1f,  0x6c,  0x6d,  0xe8,  0xd5,  0x6b, 
0x9e,  0x17,  0x06,  0x2c,  0x58,  0x64,  0x1a,  0xb3,  0x41,  0x0b,  0x12,  0x4c,  0x98,  0x6c,  0x12,  0x85, 
0x0d,  0x63,  0x92,  0x82,  0xa7,  0xa4,  0xe0,  0x05,  0x15,  0x26,  0x67,  0x73,  0xfa,  0xf4,  0x19,  0x53, 
0x19,  0x1e,  0x30,  0x48,  0x48,  0x0e,  0xe8,  0xa0,  0x42,  0xc5,  0xd0,  0x29,  0xcc,  0x2b,  0x1f,  0x03, 
0x28,  0x72,  0x01,  0x2f,  0x55,  0xbc,  0x41,  0x43,  0x85,  0x84,  0x87,  0x97,  0xca,  0xc9,  0xa0,  0x32, 
0x0e,  0xc0,  0x86,  0x4a,  0xc1,  0x28,  0x49,  0x90,  0x90,  0x21,  0x41,  0x81,  0xcd,  0x8b,  0x33,  0x0b, 
0x16,  0xa0,  0xe3,  0x40,  0x25,  0xc0,  0x05,  0xba,  0x32,  0x40,  0x86,  0x06,  0xd9,  0x82,  0x04,  0x4a, 
0xe0,  0x40,  0x81,  0x86,  0x02,  0x15,  0x34,  0x2a,  0x50,  0x81,  0x31,  0x03,  0x38,  0x76,  0xe3,  0xc2, 
0xa2,  0xc5,  0xde,  0x61,  0xd9,  0xaa,  0x65,  0x43,  0x01,  0xc0,  0xb0,  0x11,  0x93,  0xfd,  0x7f,  0x88, 
0x8f,  0xf8,  0xb1,  0x3e,  0xf1,  0xa7,  0xa1,  0x42,  0xe1,  0x4a,  0x54,  0x18,  0xe7,  0xb8,  0x0c,  0xce, 
0x87,  0x6d,  0x55,  0xb8,  0xc8,  0x54,  0x0a,  0x61,  0xc2,  0x84,  0xcb,  0x53,  0x8b,  0x03,  0x0b,  0x25, 
0x5c,  0x36,  0x6c,  0x4b,  0xc2,  0xc5,  0x42,  0x92,  0x51,  0x41,  0x82,  0x84,  0x0b,  0xe7,  0xdf,  0x3e, 
0x30,  0x50,  0xb6,  0x61,  0xe3,  0x5f,  0xb0,  0x28,  0x1b,  0x6c,  0x7a,  0x84,  0x62,  0x9a,  0x5d,  0x00, 

0xea,  0x79,  0xb0,  0xf1,  0x0b,  0x82,  0x27,  0x67,  0xce,  0x6c,  0x05,  0x61,  0x69,  0x03,  0x30,  0x6a, 
0x87,  0xd1,  0x63,  0x51,  0x2f,  0xea,  0x06,  0x2d,  0x36,  0x9d,  0x03,  0x0e,  0x24,  0x74,  0xff,  0x62, 
0x50,  0x04,  0x8f,  0x66,  0x50,  0x2f,  0x38,  0xc3,  0x84,  0x08,  0x15,  0x8a,  0x84,  0x28,  0x09,  0x25, 
0x7c,  0xca,  0xe7,  0xc1,  0x03,  0x47,  0x63,  0x80,  0x44,  0x4b,  0xa5,  0x24,  0x95,  0x64,  0xa0,  0x50, 
0x10,  0x24,  0x24,  0x78,  0x04,  0x47,  0x08,  0x18,  0x24,  0x05,  0x00,  0x95,  0xa8,  0xa0,  0x90,  0x51, 
0xa9,  0x58,  0x6f,  0x34,  0x08,  0x0e,  0xe9,  0x40,  0x12,  0x2f,  0xde,  0xcb,  0x92,  0x92,  0xd1,  0x65, 
0x00,  0x19,  0x22,  0x44,  0x0c,  0x9c,  0x78,  0xf3,  0x0a,  0x00,  0x28,  0xa0,  0xa0,  0x42,  0xb3,  0x08, 
0xf4,  0xc2,  0xc1,  0xc1,  0xd3,  0x84,  0x64,  0xde,  0x3c,  0x38,  0xa0,  0x03,  0x99,  0x33,  0x50,  0xf1, 
0x32,  0xa6,  0xca,  0xa4,  0x0b,  0x8f,  0x9e,  0xfe,  0x85,  0x09,  0xd9,  0xbc,  0x68,  0x70,  0xe0,  0x9c, 
0x09,  0x8c,  0x2a,  0xff,  0x3f,  0x3e,  0xfd,  0x04,  0x2e,  0x2f,  0xce,  0x4d,  0x18,  0xfb,  0xff,  0x61, 
0xd8,  0x97,  0x97,  0x41,  0x3f,  0x5c,  0x6b,  0x03,  0x8e,  0xc7,  0x08,  0x07,  0xea,  0xee,  0x30,  0xcf, 
0x11,  0x1a,  0xa6,  0xf7,  0xf1,  0x1c,  0x48,  0x9e,  0x0a,  0x0c,  0x30,  0xb1,  0x1d,  0x06,  0xf3,  0x14, 
0xa1,  0xfd,  0x8e,  0xca,  0x60,  0x9e,  0x05,  0x94,  0x6b,  0x01,  0x95,  0x46,  0xf3,  0x90,  0x09,  0x1f, 
0x36,  0x6c,  0xca,  0xca,  0x83,  0x27,  0xa4,  0xe0,  0x01,  0xb3,  0x4d,  0xf2,  0x86,  0x09,  0xff,  0x39, 
0xa8,  0x08,  0x5e,  0x38,  0x62,  0x40,  0x7b,  0x30,  0xca,  0x21,  0x76,  0x4a,  0x08,  0x1f,  0x46,  0x3b, 
0x07,  0x0e,  0xd8,  0xb8,  0x8c,  0xca,  0x54,  0x8e,  0x1f,  0x26,  0x6c,  0x1c,  0xb2,  0x65,  0xcb,  0x57, 

0x2c,  0x09,  0x05,  0xae,  0xf8,  0xa0,  0x5c,  0xb2,  0x64,  0xd8,  0x99,  0x81,  0x86,  0x6c,  0x19,  0x2d, 
0x42,  0x31,  0x2a,  0x5c,  0x30,  0x39,  0x85,  0x01,  0x1e,  0x50,  0xb1,  0xc1,  0xe4,  0xa1,  0x5c,  0x45, 
0xf0,  0xd0,  0x87,  0x0a,  0x0b,  0x8c,  0x70,  0x21,  0xbb,  0x7d,  0x60,  0x86,  0xc9,  0x51,  0xa2,  0xda, 
0xe0,  0x19,  0x1f,  0x30,  0x2a,  0x97,  0xbd,  0x31,  0xe0,  0xc1,  0x83,  0x0c,  0x1d,  0x2e,  0x7c,  0x25, 
0x4a,  0xf4,  0x51,  0x80,  0x44,  0x4d,  0x95,  0x44,  0xa8,  0x90,  0xe1,  0x40,  0x0f,  0x00,  0xf0,  0x30, 
0xa9,  0x50,  0x61,  0x6e,  0x7d,  0xf0,  0x52,  0x4b,  0x0f,  0x34,  0x0c,  0xb8,  0xf0,  0xe0,  0xc3,  0xc7, 
0x8e,  0x59,  0x95,  0x0a,  0x0b,  0xf4,  0x60,  0xd8,  0x72,  0xf9,  0x2f,  0xfe,  0x82,  0x69,  0x2b,  0x56, 
0xac,  0x5a,  0x51,  0x2e,  0x4b,  0x05,  0x59,  0x6c,  0x3e,  0x5c,  0xba,  0xf5,  0xe2,  0xc5,  0x53,  0x00, 
0x76,  0xef,  0x44,  0x0f,  0x7f,  0x29,  0x5e,  0x1c,  0x0e,  0xef,  0x00,  0xee,  0xd3,  0xd3,  0x60,  0x97, 
0x20,  0xa9,  0x4c,  0x04,  0x48,  0x79,  0x2a,  0xd4,  0x98,  0xb0,  0x45,  0x97,  0x32,  0x2f,  0x0e,  0x92, 
0xa5,  0xcb,  0x08,  0x81,  0xd2,  0xd5,  0x04,  0x87,  0xe0,  0xc1,  0x8d,  0x06,  0x8f,  0x0e,  0xa0,  0x42, 
0x5e,  0x08,  0x94,  0x1e,  0x1e,  0x4d,  0x5b,  0xe5,  0xcf,  0x61,  0x63,  0x28,  0x57,  0x25,  0x5d,  0x76, 
0xb5,  0x94,  0xa1,  0x22,  0x78,  0x38,  0xe0,  0xce,  0x91,  0x52,  0x83,  0x90,  0x7d,  0x35,  0x8f,  0x05, 
0x77,  0xd9,  0x11,  0x90,  0x2e,  0x07,  0x5c,  0x92,  0x64,  0xf3,  0x46,  0x87,  0x82,  0x07,  0x2c,  0x90, 
0x94,  0x25,  0xaa,  0xb0,  0xc5,  0x9f,  0x22,  0x7e,  0x8e,  0x2a,  0x65,  0x48,  0x02,  0x85,  0x84,  0x37, 
0x68,  0x90,  0x34,  0x25,  0x67,  0x00,  0xec,  0xd8,  0xf1,  0x9a,  0xe0,  0x6c,  0x01,  0x1f,  0x48,  0x3c, 

0x34,  0x21,  0x40,  0xa0,  0xaf,  0x46,  0x37,  0x45,  0xcc,  0x98,  0xb9,  0xdb,  0x46,  0xc7,  0x11,  0x22, 
0x24,  0x8e,  0x18,  0xa1,  0x41,  0xe6,  0x99,  0x0f,  0x82,  0x03,  0x75,  0x97,  0x92,  0x51,  0x40,  0x82, 
0x0e,  0x9f,  0x03,  0xa6,  0xa0,  0xc0,  0x93,  0x4b,  0xb4,  0xa0,  0xd8,  0x1c,  0x38,  0xe2,  0xc2,  0x04, 
0x07,  0x7e,  0x14,  0xc0,  0x89,  0x1d,  0x7f,  0x97,  0xc0,  0x2b,  0x43,  0x37,  0x5f,  0xea,  0xd4,  0x77, 
0x06,  0x55,  0x2e,  0xd4,  0xf1,  0x07,  0x00,  0x8a,  0x74,  0xa5,  0xc8,  0x93,  0x12,  0x29,  0xb8,  0x94, 
0x0a,  0xb7,  0x6e,  0x5d,  0x38,  0xb0,  0x6a,  0xd5,  0x49,  0xf7,  0x08,  0x02,  0xae,  0x03,  0x84,  0x27, 
0xef,  0x7d,  0xe2,  0x5f,  0x04,  0x40,  0x5f,  0xdf,  0xd0,  0xbb,  0xaf,  0x40,  0xd1,  0xeb,  0x7f,  0xfa, 
0xe0,  0x0f,  0x41,  0x92,  0x8d,  0xc9,  0x94,  0x2c,  0xd3,  0xbc,  0x64,  0x34,  0x7d,  0x81,  0x9f,  0x33, 
0x9f,  0x13,  0xd2,  0x86,  0x0d,  0x63,  0xca,  0x8d,  0x1a,  0x33,  0x46,  0x2b,  0x78,  0x48,  0xf3,  0x13, 
0xbc,  0x6c,  0x07,  0x0f,  0x55,  0xe6,  0xcd,  0xdb,  0xe0,  0xc8,  0x81,  0x8f,  0x7d,  0x1f,  0x09,  0xc8, 
0x86,  0x79,  0xa3,  0xc1,  0x23,  0x12,  0x04,  0x0f,  0xae,  0xe9,  0x62,  0x05,  0xc9,  0x94,  0xf4,  0x17, 
0x82,  0x87,  0x72,  0x0e,  0x2c,  0xf8,  0xf9,  0x4b,  0xdf,  0xe0,  0xd0,  0x05,  0xaf,  0x11,  0x41,  0xcb, 
0x61,  0x5e,  0x01,  0x01,  0x2e,  0x38,  0xaa,  0xe2,  0x45,  0x4b,  0x72,  0x09,  0x2c,  0x40,  0x20,  0x41, 
0xab,  0xcc,  0x08,  0xbc,  0x79,  0xf1,  0xf2,  0xe1,  0xa5,  0xb8,  0xc0,  0x40,  0xa1,  0xca,  0xc2,  0x82, 
0xe0,  0x65,  0xcb,  0x9d,  0xd7,  0xe2,  0x43,  0x99,  0xa2,  0x64,  0x09,  0x3c,  0x78,  0x9b,  0xf6,  0xeb, 
0xb8,  0xda,  0x72,  0xe1,  0xc8,  0x7d,  0x7d,  0x04,  0x87,  0xac,  0xdd,  0xb4,  0xb8,  0x73,  0x93,  0x28, 

0xcf,  0xaa,  0x67,  0x0f,  0xad,  0xdd,  0x89,  0x2b,  0x2f,  0xbe,  0x3c,  0xc4,  0xdd,  0xae,  0xd5,  0x3b, 
0x7c,  0x36,  0xa6,  0xde,  0xde,  0xff,  0x87,  0xf8,  0x88,  0x1f,  0xeb,  0x01,  0x53,  0x93,  0xb3,  0x29, 
0x1e,  0xa2,  0x11,  0x33,  0x0b,  0xfe,  0x11,  0x1a,  0x08,  0xf0,  0xf0,  0x1f,  0xa3,  0xc4,  0x01,  0x04, 
0x68,  0x27,  0x86,  0x27,  0x44,  0x84,  0xc1,  0x03,  0x71,  0x02,  0x4f,  0x89,  0x80,  0xc2,  0x07,  0xb0, 
0x34,  0x43,  0x38,  0x4c,  0x04,  0xf8,  0xa0,  0x00,  0x28,  0x35,  0x30,  0x03,  0x12,  0xe2,  0x01,  0x02, 
0x11,  0x97,  0x1f,  0xed,  0x00,  0x8f,  0x68,  0xc0,  0xdd,  0x25,  0xfb,  0x90,  0x94,  0xe2,  0x11,  0x47, 
0x10,  0xc2,  0x15,  0x0d,  0x58,  0x74,  0xad,  0xbb,  0x76,  0x52,  0x17,  0xe1,  0x9c,  0x00,  0xc8,  0x73, 
0x4e,  0x03,  0x5e,  0x0e,  0x35,  0x45,  0x8a,  0x86,  0x8b,  0x30,  0x8e,  0x22,  0xae,  0xa8,  0x75,  0xbe, 
0xa1,  0x0f,  0x12,  0x5f,  0xba,  0xb9,  0xf3,  0xe5,  0x3e,  0xd8,  0xc7,  0xa0,  0x7b,  0xfe,  0xfc,  0xe9, 
0x8f,  0xf6,  0x29,  0xe8,  0x56,  0x0a,  0x7f,  0x8e,  0x93,  0x7d,  0x0e,  0x7a,  0x94,  0xce,  0x9f,  0xef, 
0x6c,  0x5f,  0x82,  0x9e,  0xc2,  0x07,  0xff,  0xc5,  0x1e,  0xbc,  0xe4,  0x49,  0x0e,  0xfe,  0x9b,  0xcb, 
0xbb,  0x7b,  0x57,  0xae,  0x36,  0xfb,  0xf6,  0xdf,  0xe3,  0x07,  0xfe,  0xa8,  0x9f,  0xfc,  0x73,  0x7e, 
0xe9,  0xaf,  0xfb,  0xed,  0xff,  0xf5,  0xff,  0xfd,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0x4d,  0xeb, 
0x51,  0xad,  0x46,  0x97,  0x2e,  0xdd,  0xba,  0x75,  0xe9,  0xd1,  0x63,  0xda,  0x8a,  0x6e,  0xd5,  0xa6, 
0xe5,  0x5a,  0x0d,  0x12,  0xa6,  0x4d,  0x9b,  0x0a,  0x88,  0x01,  0xc0,  0xaa,  0xfd,  0x30,  0xc1,  0xdd, 
0xaa,  0x6e,  0x93,  0x61,  0x20,  0x00,  0x38,  0x70,  0x14,  0x00,  0x82,  0x87,  0x69,  0x5d,  0x34,  0xf9, 

0x87,  0x09,  0xcb,  0xce,  0x1d,  0x06,  0x43,  0xab,  0x0e,  0xec,  0xbb,  0x72,  0xed,  0x80,  0x2e,  0x15, 
0xc9,  0xa1,  0x40,  0x77,  0x3c,  0x72,  0xef,  0xde,  0x8b,  0x77,  0xef,  0xbe,  0xb8,  0x90,  0x26,  0xc7, 
0x47,  0x86,  0x69,  0x07,  0x41,  0xc3,  0xad,  0xfb,  0x60,  0xf1,  0x3f,  0xa3,  0x84,  0x43,  0xfb,  0xee, 
0x9d,  0xf9,  0xf2,  0xb2,  0xd5,  0x83,  0x78,  0x88,  0x0f,  0xeb,  0x11,  0x3f,  0x9a,  0xc7,  0xfa,  0xf8, 
0x9e,  0xf8,  0x53,  0x78,  0x9a,  0xcf,  0xe8,  0x59,  0x3f,  0x97,  0xe7,  0xfb,  0xc2,  0x5e,  0xfc,  0x4c, 
0x59,  0xd1,  0x25,  0x57,  0x8d,  0x95,  0x72,  0x1f,  0x3c,  0xfa,  0x82,  0x1a,  0x79,  0xba,  0x1d,  0x7b, 
0xad,  0x7e,  0x56,  0x9c,  0xb8,  0x77,  0x32,  0x3c,  0xec,  0x07,  0x7f,  0x07,  0xad,  0xc2,  0xbb,  0x07, 
0x0f,  0xcd,  0xde,  0xbf,  0x07,  0x5f,  0x6d,  0xbe,  0xa3,  0x77,  0xfd,  0x5e,  0xde,  0xef,  0x07,  0xfb, 
0xf0,  0x1f,  0xe3,  0x13,  0x7e,  0xaa,  0xcf,  0xfc,  0x79,  0xbe,  0xe8,  0x97,  0xfb,  0xea,  0xdf,  0xe0, 
0x5b,  0x7e,  0xa7,  0xef,  0xfd,  0x43,  0x7e,  0xec,  0x4f,  0xfb,  0xf9,  0xbf,  0x22,  0xe2,  0xec,  0xdc, 
0xf0,  0x3b,  0x8d,  0x98,  0xf0,  0x03,  0x7f,  0x52,  0x9e,  0x81,  0x00,  0x7f,  0xe1,  0x6f,  0x8a,  0x19, 
0x20,  0x40,  0x9a,  0x3e,  0xfc,  0xaf,  0x44,  0x18,  0x3c,  0x10,  0x47,  0x59,  0xc4,  0xc0,  0x02,  0x60, 
0x78,  0x00,  0x04,  0x24,  0x70,  0x85,  0x22,  0xc4,  0xc1,  0x30,  0xa0,  0xa6,  0x12,  0x66,  0x40,  0x42, 
0x0c,  0x10,  0x71,  0xff,  0x57,  0x53,  0x70,  0x29,  0xe8,  0xe9,  0x32,  0x42,  0x65,  0xf8,  0x04,  0x09, 
0x2c,  0x66,  0x96,  0xf4,  0xf4,  0x80,  0xd8,  0x99,  0x9d,  0x9c,  0x50,  0xd2,  0x34,  0x01,  0x61,  0x96, 
0x5a,  0x9c,  0x35,  0xfd,  0xff,  0x6d,  0xa7,  0xe5,  0xff,  0xff,  0xdf,  0xff,  0xff,  0xdf,  0xfc,  0x47, 

0xef,  0x20,  0x65,  0x6f,  0xf8,  0xb5,  0xd7,  0x7f,  0xea,  0x0c,  0xd8,  0xf0,  0x6f,  0xa9,  0xcd,  0xdc, 
0x4e,  0x54,  0x08,  0x10,  0xc0,  0x83,  0x07,  0xf0,  0xc0,  0xe5,  0x6e,  0x2d,  0x05,  0xc3,  0x00,  0x83, 
0x70,  0x93,  0x38,  0x43,  0x1c,  0x42,  0x52,  0xfa,  0x7c,  0x08,  0xee,  0xff,  0xdb,  0x6b,  0xb7,  0x88, 
0x90,  0x3b,  0x3e,  0x5d,  0x11,  0x8e,  0x99,  0x3b,  0x3e,  0x3d,  0x94,  0x4b,  0x71,  0xc0,  0x7a,  0xf5, 
0xb1,  0xce,  0x4c,  0xa9,  0x21,  0xf8,  0x7f,  0xfc,  0x6f,  0xfe,  0xeb,  0xff,  0x7b,  0xe0,  0x0f,  0xe1, 
0x61,  0x3e,  0x22,  0xb9,  0xf3,  0x1a,  0xc5,  0x87,  0x7f,  0x5c,  0x1f,  0xfe,  0xc9,  0xdc,  0x0e,  0x70, 
0xe0,  0x05,  0x3b,  0x68,  0x33,  0x0b,  0x00,  0x88,  0xff,  0x01,  0xe1,  0xc0,  0x78,  0x40,  0x98,  0x01, 
0x0f,  0x16,  0x01,  0x0a,  0x78,  0x0d,  0x1b,  0x11,  0x21,  0x08,  0xe1,  0xfb,  0xff,  0x01,  0xc1,  0xab, 
0xb9,  0xa7,  0xcb,  0xa8,  0x11,  0x33,  0x32,  0x7c,  0x31,  0x58,  0x1a,  0x76,  0x34,  0x21,  0xdc,  0xf1, 
0x7d,  0x21,  0x2a,  0x79,  0x25,  0x1c,  0xff,  0x5b,  0x7e,  0x3b,  0xff,  0xe3,  0xff,  0xff,  0xff,  0xff, 
0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xdf,  0xff,  0xff,  0x76,  0xda,  0xfb,  0x0f,  0xad,  0xf6,  0xc3, 
0xff,  0xd9,  0xdb,  0x11,  0x57,  0x01,  0x80,  0x23,  0x0c,  0x04,  0xe2,  0xbe,  0xcb,  0x08,  0xb8,  0x1e, 
0x01,  0x18,  0xb1,  0xb3,  0xf7,  0x37,  0x22,  0x02,  0x00,  0xc2,  0x04,  0x3f,  0x9f,  0x83,  0x47,  0x86, 
0x9f,  0x51,  0xdf,  0xe3,  0x63,  0xfd,  0xb0,  0xa5,  0x91,  0xe3,  0x7f,  0x76,  0x12,  0x4e,  0x76,  0xbf, 
0xfe,  0xbf,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xcf,  0xff, 
0xff,  0xbf,  0xff,  0xff,  0x87,  0xff,  0x4b,  0x7b,  0xe6,  0x15,  0xa4,  0x5a,  0x94,  0xf7,  0x79,  0x58, 

0x37,  0x02,  0xd4,  0x70,  0x0d,  0x2f,  0x11,  0x7c,  0xb9,  0xae,  0xf0,  0x18,  0x62,  0x27,  0x66,  0xec, 
0xf8,  0xee,  0xe9,  0xf9,  0x6f,  0xb8,  0x4b,  0xe1,  0xbf,  0xfd,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff, 
0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xeb,  0xff,  0xfb,  0xef, 
0xff,  0xff,  0x27,  0x7a,  0xf8,  0xff,  0xdc,  0x6e,  0xfe,  0xbe,  0xc5,  0x05,  0xc0,  0x10,  0x1f,  0x42, 
0x22,  0xf8,  0x72,  0xd6,  0xa4,  0x29,  0x86,  0xaf,  0x67,  0xff,  0xfe,  0x12,  0xf8,  0x6f,  0xff,  0xff, 
0x7f,  0xfc,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0x0f,  0xe8,  0x41,  0x3f,  0x94, 
0x87,  0xfb,  0xc8,  0x1e,  0xfd,  0xe3,  0x78,  0x82,  0x4f,  0xea,  0x29,  0xd3,  0x6b,  0xea,  0x1f,  0xfe, 
0x59,  0x3e,  0x27,  0x34,  0x83,  0x00,  0x98,  0xe7,  0x0b,  0xa2,  0xbb,  0xe0,  0x10,  0xe3,  0xa3,  0xb3, 
0x33,  0x3b,  0x0b,  0xbc,  0xc2,  0x57,  0xf5,  0x9a,  0x5f,  0xcf,  0x1b,  0x7d,  0x73,  0x6f,  0xfd,  0x1d, 
0xbc,  0xcb,  0xf7,  0xf4,  0xbe,  0x3f,  0xc8,  0x87,  0xfd,  0x68,  0x1f,  0xff,  0x53,  0x7c,  0xc6,  0xcf, 
0xf5,  0x85,  0xbf,  0xcc,  0x57,  0x7d,  0x07,  0x6f,  0xef,  0xc3,  0xe5,  0x3f,  0x8c,  0xf0,  0x03,  0xfd, 
0x3f,  0x8e,  0xf8,  0xfc,  0xf1,  0x7c,  0xc6,  0x2f,  0xfc,  0x55,  0xbf,  0xf9,  0xf7,  0xfc,  0xd1,  0x3f, 
0xf7,  0xd7,  0xff,  0xc1,  0xbf,  0xfc,  0x4f,  0xff,  0xfb,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff, 
0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xdf,  0xff,  0xfa,  0xff,  0xfe,  0x41,  0xdf,  0xfb, 
0xf8,  0x0d,  0xfe,  0xbf,  0xfd,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff, 
0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0xff,  0x3f,  0xfc,  0x03, 
};


const static PROGMEM prog_uchar sm_logo_sprpal[] = {

0xdf,  0x67,  0xe0,  0x7f,  0xa0,  0x73,  0x7b,  0x5f,  0x40,  0x67,  0xf8,  0x5a,  0xe0,  0x5a,  0xa0,  0x56, 
0x9d,  0x43,  0x9e,  0x2b,  0x1a,  0x3f,  0x1b,  0x23,  0xb7,  0x3e,  0x91,  0x42,  0xb7,  0x26,  0x95,  0x22, 
0x9e,  0x0f,  0x3d,  0x0b,  0x1c,  0x13,  0x1c,  0x07,  0xda,  0x12,  0xdb,  0x0a,  0xfb,  0x06,  0xda,  0x06, 
0xb9,  0x12,  0xba,  0x0a,  0x97,  0x16,  0x99,  0x0a,  0xba,  0x06,  0xb8,  0x06,  0x99,  0x06,  0x97,  0x06, 
0x53,  0x36,  0x43,  0x46,  0x11,  0x32,  0xe3,  0x39,  0x54,  0x22,  0x33,  0x22,  0x11,  0x22,  0xd0,  0x25, 
0x58,  0x16,  0x54,  0x1a,  0x37,  0x16,  0x32,  0x1a,  0x15,  0x12,  0x11,  0x16,  0xf3,  0x15,  0xcf,  0x15, 
0x59,  0x0a,  0x56,  0x0a,  0x59,  0x02,  0x56,  0x02,  0x37,  0x0a,  0x37,  0x02,  0x34,  0x0a,  0x34,  0x02, 
0x16,  0x0a,  0x16,  0x02,  0xf5,  0x09,  0xf6,  0x05,  0xf2,  0x09,  0xf2,  0x05,  0xd1,  0x09,  0xd2,  0x05, 
0xaf,  0x29,  0xa5,  0x31,  0x6d,  0x25,  0x65,  0x29,  0xaf,  0x1d,  0x8d,  0x1d,  0x6c,  0x1d,  0x4c,  0x1d, 
0xb2,  0x11,  0x92,  0x0d,  0xae,  0x11,  0x8d,  0x11,  0x71,  0x0d,  0x6d,  0x11,  0x6b,  0x11,  0x4b,  0x11, 
0xb5,  0x05,  0xd1,  0x05,  0x93,  0x05,  0x91,  0x05,  0xaf,  0x09,  0xaf,  0x05,  0x8e,  0x09,  0x8f,  0x01, 
0x71,  0x05,  0x6f,  0x05,  0x50,  0x09,  0x51,  0x01,  0x6d,  0x09,  0x6d,  0x01,  0x4c,  0x09,  0x4c,  0x01, 
0x2b,  0x21,  0x2b,  0x19,  0x04,  0x21,  0x09,  0x15,  0xe9,  0x18,  0xc9,  0x14,  0xe2,  0x1c,  0xc5,  0x14, 
0x2f,  0x09,  0x2b,  0x0d,  0x29,  0x0d,  0x09,  0x0d,  0xeb,  0x0c,  0xca,  0x0c,  0xe7,  0x0c,  0xc7,  0x10, 
0x2f,  0x05,  0x2c,  0x05,  0x0e,  0x01,  0x0d,  0x05,  0x2a,  0x05,  0x0a,  0x05,  0x09,  0x05,  0x0a,  0x01, 
0xed,  0x04,  0xea,  0x04,  0xcc,  0x04,  0xca,  0x00,  0xe8,  0x04,  0xe8,  0x00,  0xc7,  0x04,  0xc8,  0x00, 

0xa7,  0x14,  0xa7,  0x10,  0xa9,  0x08,  0xa6,  0x08,  0x88,  0x10,  0x86,  0x10,  0x88,  0x08,  0x86,  0x08, 
0x83,  0x10,  0x84,  0x10,  0x85,  0x08,  0x84,  0x08,  0x65,  0x0c,  0x64,  0x08,  0x61,  0x0c,  0x64,  0x08, 
0xa9,  0x04,  0xa9,  0x00,  0x89,  0x00,  0x88,  0x00,  0xa6,  0x04,  0x86,  0x00,  0x85,  0x04,  0x86,  0x00, 
0x86,  0x00,  0x88,  0x00,  0x86,  0x04,  0x67,  0x00,  0x65,  0x04,  0x85,  0x00,  0x65,  0x00,  0x67,  0x0c, 
0x46,  0x0c,  0x64,  0x08,  0x45,  0x0c,  0x67,  0x04,  0x65,  0x04,  0x64,  0x04,  0x44,  0x04,  0x67,  0x00, 
0x65,  0x00,  0x48,  0x00,  0x46,  0x00,  0x65,  0x00,  0x64,  0x00,  0x45,  0x00,  0x64,  0x08,  0x44,  0x08, 
0x44,  0x08,  0x64,  0x08,  0x61,  0x08,  0x44,  0x08,  0x44,  0x08,  0x42,  0x08,  0x63,  0x04,  0x43,  0x04, 
0x43,  0x04,  0x43,  0x04,  0x64,  0x00,  0x43,  0x00,  0x43,  0x00,  0x46,  0x08,  0x45,  0x04,  0x43,  0x08, 
0x44,  0x04,  0x43,  0x08,  0x43,  0x08,  0x43,  0x04,  0x43,  0x04,  0x48,  0x00,  0x46,  0x00,  0x44,  0x00, 
0x44,  0x00,  0x43,  0x00,  0x42,  0x00,  0x43,  0x00,  0x25,  0x08,  0x24,  0x04,  0x24,  0x04,  0x27,  0x00, 
0x24,  0x00,  0x22,  0x04,  0x22,  0x04,  0x22,  0x00,  0x22,  0x00,  0x22,  0x00,  0x24,  0x04,  0x04,  0x04, 
0x25,  0x00,  0x22,  0x04,  0x22,  0x00,  0x03,  0x00,  0x40,  0x04,  0x21,  0x04,  0x21,  0x04,  0x22,  0x00, 
0x22,  0x00,  0x22,  0x00,  0x22,  0x00,  0x21,  0x04,  0x22,  0x00,  0x02,  0x00,  0x00,  0x00,  0x22,  0x00, 
0x01,  0x00,  0x22,  0x00,  0x01,  0x00,  0x01,  0x00,  0x01,  0x00,  0x01,  0x00,  0x00,  0x00,  0x01,  0x00, 
0x00,  0x00,  0x01,  0x00,  0x01,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x01,  0x00,  0x00,  0x00, 
0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x01,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x00,  0x80, 
};

